/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DSTATM_H
#define _DSTATM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN DnpapEtherStatsMInit(VOID);

WORD DnpapEtherStatsIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsDataSource (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsDropEvents (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsOctets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsBroadcastPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsMulticastPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsCRCAlignErrors (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsUndersizePkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsOversizePkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsFragments (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsJabbers (SNMP_OBJECT *Obj, WORD IdLen);
#ifdef REALLY_IFMIB_SPECIFIC
WORD DnpapEtherStatsInPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsInErrors (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsOutPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsOutErrors (SNMP_OBJECT *Obj, WORD IdLen);
#endif
WORD DnpapEtherStatsCollisions (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts64 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsUtilInterval (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsUtilization (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIFTBuckets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIFTSize (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsLengthBuckets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsLengthSize (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsTypeBuckets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsOwner (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsStatus (SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapEtherStatsIFTIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIFTBucket (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIFTPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIFTOctets (SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapEtherStatsLengthIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsLengthBucket (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsLengthPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsLengthOctets (SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapEtherStatsTypeIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsTypeBucket (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsTypeType (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsTypePkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsTypeOctets (SNMP_OBJECT *Obj, WORD IdLen);


#endif
