include ../../include/gcc_unx.std

MCFLAGS	= -I. -I../system/sys

SYS	= agent
SYSLIB	= b2

OBJ	= $(SYS).o

all: obj

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h 
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(MANDIR)/$(SYS).man: $(SYS).man 
	$(CP) $(SYS).man $(MANDIR)/$(SYS).man 

$(LIBDIR)/lib$(SYSLIB).a: $(OBJ)
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(OBJ)
	ranlib $(LIBDIR)/lib$(SYSLIB).a
                
obj: $(OBJ)

doc: $(SYS).man

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS).man: $(SYS).c
	$(MAN) $(SYS).c > $(SYS).man

$(SYS).o: $(SYS).c $(SYS).h
