include ../../include/gcc_unx.std

MCFLAGS	= -I.

SYS	= disc
SYSLIB	= disc

all: obj

install: all $(INCDIR)/$(SYS)nod.h $(INCDIR)/$(SYS)con.h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS)nod.h: $(SYS)nod.h
	$(CP) $(SYS)nod.h $(INCDIR)/$(SYS)nod.h

$(INCDIR)/$(SYS)con.h: $(SYS)con.h
	$(CP) $(SYS)con.h $(INCDIR)/$(SYS)con.h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS)nodm.o $(SYS)nodc.o $(SYS)conm.o $(SYS)conc.o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS)nodm.o $(SYS)nodc.o $(SYS)conm.o $(SYS)conc.o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS)nodm.o $(SYS)nodc.o $(SYS)conm.o $(SYS)conc.o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.i
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS)nodm.o: $(SYS)nodm.c $(SYS)nod.h $(SYS)nodc.h $(SYS)e.h $(SYS)d.h

$(SYS)nodc.o: $(SYS)nodc.c $(SYS)nodc.h $(SYS)e.h $(SYS)d.h

$(SYS)conm.o: $(SYS)conm.c $(SYS)con.h $(SYS)conc.h $(SYS)e.h $(SYS)d.h

$(SYS)conc.o: $(SYS)conc.c $(SYS)conc.h $(SYS)e.h $(SYS)d.h
