/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _INFOC_H
#define _INFOC_H


#include <dnpap.h>
#include <boolset.h>
#include <timer.h>
#include <mac.h>
#include <snmp.h>


#define INFO_BOOLEAN_DATASOURCE		1
#define INFO_BOOLEAN_OWNER			2


typedef struct _BEHOLDER_INFO
{
    ULONG           Source[SNMP_SIZE_BUFINT];
    WORD            SourceLen;
    MAC_STAT        Stat;
    MAC_STAT        BaseStat;
    BYTE            Owner[SNMP_SIZE_BUFCHR];
    WORD            OwnerLen;
    LONG            Status;

    MAC_IFACE       *Iface;

    BooleanSet      ObjectSet;

} BEHOLDER_INFO;


BOOLEAN InfoInit (BEHOLDER_INFO *beholderInfo);
BOOLEAN InfoStart (BEHOLDER_INFO *beholderInfo);
BOOLEAN InfoStop (BEHOLDER_INFO *beholderInfo);


#endif
