/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */

#ifndef _DMATRIX_M_H
#define _DMATRIX_M_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN DnpapMatrixMInit(VOID);

WORD DnpapMatrixControlIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixControlDataSource(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixControlTableSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixControlLastDelTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixControlOwner(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixControlStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);


WORD DnpapMatrixSDSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixSDDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixSDIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixSDRanking(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixSDPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixSDOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixSDErrors(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixSDConnections(SNMP_OBJECT *obj, WORD idlen, VOID *param);


WORD DnpapMatrixDSSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixDSDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixDSIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixDSRanking(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixDSPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixDSOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixDSErrors(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapMatrixDSConnections(SNMP_OBJECT *obj, WORD idlen, VOID *param);


WORD DMatrixSRankTopNSource(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixSRankTopNDest(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixSRankTopNIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixSRankTopNRanking(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixSRankTopNPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixSRankTopNOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixSRankTopNErrors(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixSRankTopNConnections(SNMP_OBJECT *obj, WORD idlen, VOID *param);


WORD DMatrixDRankTopNSource(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixDRankTopNDest(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixDRankTopNIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixDRankTopNRanking(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixDRankTopNPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixDRankTopNOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixDRankTopNErrors(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DMatrixDRankTopNConnections(SNMP_OBJECT *obj, WORD idlen, VOID *param);

BOOLEAN DnpapMatrixRegisterAll(ULONG channelIndex);


#endif
