/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DSTATM_H
#define _DSTATM_H

#include <dnpap.h>
#include <snmp.h>

BOOLEAN DnpapEtherStatsMInit(VOID);

WORD DnpapEtherStatsIndex(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsDataSource(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsDropEvents(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsOctets(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsPkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsBroadcastPkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsMulticastPkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsCRCAlignErrors(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsUndersizePkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsOversizePkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsFragments(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsJabbers(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);

#ifdef REALLY_IFMIB_SPECIFIC
WORD DnpapEtherStatsInPkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsInErrors(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsOutPkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsOutErrors(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);

#endif
WORD DnpapEtherStatsCollisions(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsPkts64(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsPkts65to127(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsPkts128to255(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsPkts256to511(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsPkts512to1023(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsPkts1024to1518(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsUtilInterval(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsUtilization(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsIFTBuckets(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsIFTSize(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsLengthBuckets(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsLengthSize(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsTypeBuckets(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsOwner(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsStatus(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);

WORD DnpapEtherStatsIFTIndex(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsIFTBucket(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsIFTPkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsIFTOctets(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);

WORD DnpapEtherStatsLengthIndex(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsLengthBucket(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsLengthPkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsLengthOctets(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);

WORD DnpapEtherStatsTypeIndex(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsTypeType(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsTypePkts(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);
WORD DnpapEtherStatsTypeOctets(SNMP_OBJECT * Obj, WORD IdLen, VOID *param);

#endif
