/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DTOPN_M_H
#define _DTOPN_M_H

                                                      
#include <dnpap.h>
#include <snmp.h>
#include <dhostx.h>


BOOLEAN DnpapTopNMInit(VOID);

WORD DnpapHostTopNControlIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNHostIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNRateBase(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNTimeRemaining(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNDuration(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNRequestedSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNGrantedSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNStartTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNOwner(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);

WORD DnpapHostTopNReport(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DnpapHostTopNRate(SNMP_OBJECT *obj, WORD idlen, VOID *param);

BOOLEAN DnpapHostTopNRegisterAll(ULONG hostindex);


#endif
