/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DTOPN_D_H
#define _DTOPN_D_H


#define HOST_SIZE_ADDR    	6	/* maximum of address sizes shown below */

#define ETH_SIZE_ADDR       6


enum DnpapTopNRateBaseTypes
{
    DTOPN_RATE_BASEMIN = 1,
    DTOPN_RATE_INPKTS = DTOPN_RATE_BASEMIN,
    DTOPN_RATE_OUTPKTS,
    DTOPN_RATE_INOCTETS,
    DTOPN_RATE_OUTOCTETS,
    DTOPN_RATE_OUTERRORS,
    DTOPN_RATE_OUTBROADCASTPKTS,
    DTOPN_RATE_OUTMULTICASTPKTS,
#ifdef NOT_HOST_GENERIC
    DTOPN_RATE_INTCPPKTS,
    DTOPN_RATE_OUTTCPPKTS,
    DTOPN_RATE_INOTHERPKTS,
    DTOPN_RATE_OUTOTHERPKTS,
#endif
    DTOPN_RATE_INPKTS64,
    DTOPN_RATE_INPKTS65TO127,
    DTOPN_RATE_INPKTS128TO255,
    DTOPN_RATE_INPKTS256TO511,
    DTOPN_RATE_INPKTS512TO1023,
    DTOPN_RATE_INPKTS1024TO1518,
    DTOPN_RATE_OUTPKTS64,
    DTOPN_RATE_OUTPKTS65TO127,
    DTOPN_RATE_OUTPKTS128TO255,
    DTOPN_RATE_OUTPKTS256TO511,
    DTOPN_RATE_OUTPKTS512TO1023,
    DTOPN_RATE_OUTPKTS1024TO1518,
    DTOPN_RATE_BASEMAX = DTOPN_RATE_OUTPKTS1024TO1518
};


#endif
