include ../../include/gcc_unx.std


SYS	= beholder
# LIBS = $(LIBDIR)/libblock.a $(LIBDIR)/librmon.a $(LIBDIR)/librmon2.a $(LIBDIR)/libdrmon.a $(LIBDIR)/libneuro.a $(LIBDIR)/libdisc.a $(LIBDIR)/libexample.a $(LIBDIR)/libsystem.a $(LIBDIR)/libb2.a $(LIBDIR)/libsnmp.a $(LIBDIR)/libstack.a $(LIBDIR)/libnw.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a $(SUBSCRIPTLIBS)
LIBS = $(LIBDIR)/libblock.a $(LIBDIR)/librmon.a $(LIBDIR)/librmon2.a $(LIBDIR)/libdrmon.a $(LIBDIR)/libneuro.a $(LIBDIR)/libdisc.a $(LIBDIR)/libexample.a $(LIBDIR)/libsystem.a $(LIBDIR)/libb2.a $(LIBDIR)/libsnmp.a $(LIBDIR)/libstack.a $(LIBDIR)/libnw.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a $(SUBSCRIPTLIBS)


all: exe

install: all $(BINDIR)/$(SYS)

$(BINDIR)/$(SYS): $(SYS)
	$(CP) $(SYS) $(BINDIR)/$(SYS)

$(MANDIR)/$(SYS).man: $(SYS).man 
	$(CP) $(SYS).man $(MANDIR)/$(SYS).man 


doc: $(SYS).man

exe: $(SYS)

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.i
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak
	- $(RM) beholder

$(SYS).o: $(SYS).c $(SYS).h sys.mib.h if.mib.h snmp.mib.h rmon.mib.h drmon.mib.h disc.mib.h info.mib.h memory.mib.h register.mib.h neuro.mib.h reach.mib.h perf.mib.h statbuf.mib.h ptype.mib.h subscript.mib.h

$(SYS).ini: $(SYS).cfg

$(SYS): $(SYS).o $(LIBS)
	$(LN) $(SYS).o -o $(SYS) $(LIBS) $(KVMLIB) -lm $(NETLIB)
