include ../../../include/gcc_unx.std

MCFLAGS	= -DNDEBUG -DNMESSAGES

SYS	= neuro
SYSLIB	= neuro

all: obj

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS)_m.o $(SYS)_c.o $(SYS)_k.o $(SYS)_e.o 
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS)_m.o $(SYS)_c.o $(SYS)_k.o $(SYS)_e.o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS)_m.o $(SYS)_c.o $(SYS)_k.o $(SYS)_e.o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.i
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS)_e.o: $(SYS)_e.c $(SYS)_e.h $(SYS)_d.h

$(SYS)_k.o: $(SYS)_k.c $(SYS)_k.h $(SYS)_d.h

$(SYS)_c.o: $(SYS)_c.c $(SYS)_c.h $(SYS)_e.h $(SYS)_d.h

$(SYS)_m.o: $(SYS)_m.c $(SYS).h $(SYS)_c.h $(SYS)_e.h $(SYS)_d.h
