/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _REACH_H
#define _REACH_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN ReachMInit(VOID);

WORD ReachIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachIPAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachDelay(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachTimeout(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachValueSteps(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachICMPWeight(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachUDPWeight(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachRemaining(SNMP_OBJECT *obj, WORD idlen, VOID *param);	
WORD ReachICMPReceived(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachUDPReceived(SNMP_OBJECT *obj, WORD idlen, VOID *param); 
WORD ReachICMPDropped(SNMP_OBJECT *obj, WORD idlen, VOID *param); 
WORD ReachUDPDropped(SNMP_OBJECT *obj, WORD idlen, VOID *param);	 
WORD ReachICMPTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);	 
WORD ReachUDPTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);	 
WORD ReachICMPTimeMin(SNMP_OBJECT *obj, WORD idlen, VOID *param);	 
WORD ReachUDPTimeMin(SNMP_OBJECT *obj, WORD idlen, VOID *param);	 
WORD ReachICMPTimeMax(SNMP_OBJECT *obj, WORD idlen, VOID *param);	 
WORD ReachUDPTimeMax(SNMP_OBJECT *obj, WORD idlen, VOID *param);	 
WORD ReachTotalICMPTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachTotalUDPTime(SNMP_OBJECT *obj, WORD idlen, VOID *param); 
WORD ReachValue(SNMP_OBJECT *obj, WORD idlen, VOID *param);		  
WORD ReachOwner(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD ReachStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);


#endif
