;************************************************************************
;* MODULE INFORMATION*
;**********************
;*     FILE     NAME:       neusrel.asm
;*     SYSTEM   NAME:       
;*     ORIGINAL AUTHOR(S):  Paul Lemmers
;*     VERSION  NUMBER:     
;*     CREATION DATE:       1991/11/12
;*
;* DESCRIPTION: The last file in the link order before the later
;*              discarded Init request function.
;*              
;************************************************************************
;* CHANGES INFORMATION **
;************************
;* REVISION:    $Revision:   1.0  $
;* WORKFILE:    $Workfile:   neusrel.asm  $
;* LOGINFO:     $Log:   D:/CPROG/NDIS/NEUS/VCS/NEUSREL.ASV  $
;*              
;*                 Rev 1.0   16 Feb 1992 18:25:42   PAUL
;*              Initial revision.
;************************************************************************/
;
	INCLUDE neussdef.inc
	.XLIST
	.XCREF
	INCLUDE neusglb.inc
	.CREF
	SUBTITLE   'Memory release and test part'
	NAME    neusrel
	.LIST


_DATA	SEGMENT
_endres	equ	$
	public	_endres
	DD	0		; To make sure that we can
				; allign on DWORD boundary
	db	256 dup (0)	; some extra "dynamic" bytes....
_DATA	ENDS

CONST	SEGMENT
	extrn	_beg_const:NEAR
local_const equ	$
CONST	ENDS

_BSS	SEGMENT
	extrn	__beg_bss:NEAR
local_bss equ	$
_BSS	ENDS

	PAGE
_TEXT      SEGMENT
	ASSUME	CS: _TEXT
	EXTRN	__help:NEAR
freeit	PROC	near C
freeit	ENDP

	public	MemCheck
MemCheck proc FAR
	push	bp
	mov	bp,sp
	push	di
	push	es

	mov	ax,[bp+8]
	mov	di,[bp+6]
	mov	es,ax
	mov	ax,dataOFFSET end_asmdata
	stosw
	mov	ax,dataOFFSET _endres
	stosw
	mov	ax,dataOFFSET _beg_const
	stosw
	mov	ax,dataOFFSET local_const
	stosw
	mov	ax,dataOFFSET __beg_bss
	stosw
	mov	ax,dataOFFSET local_bss
	stosw

	pop	es
	pop	di
	pop	bp
	ret
MemCheck endp

	public	MacTest
MacTest	proc	FAR
	push	bp
	mov	bp,sp
	push	ds

	mov	ax,SEG DGROUP
	mov	ds,ax		;Setup ds for DLL test

	mov	bx,[bp+6]	;get offset to bx
	mov	ax,[bp+8]
	mov	es,ax		;get segment to ex

	push	cs		;simulate far call
	call	__help		;call strategy routine

	pop	ds		;Restore ds after DLL test
	pop	bp
	ret
MacTest	endp


_TEXT	ENDS

	END
