;************************************************************************
;* MODULE INFORMATION*
;**********************
;*     FILE     NAME:       dhlp007.asm
;*     SYSTEM   NAME:       devlib
;*     ORIGINAL AUTHOR(S):  Paul Lemmers
;*     VERSION  NUMBER:     
;*     CREATION DATE:       1990/8/14
;*
;* DESCRIPTION: 
;*              Contains DevHelp SemClear function.
;************************************************************************
;* CHANGES INFORMATION **
;************************
;* REVISION:    $Revision:   1.1  $
;* WORKFILE:    $Workfile:   dhlp007.asm  $
;* LOGINFO:     $Log:   D:/CPROG/MYDEV/DEVLIB/VCS/DHLP007.ASV  $
;*              
;*                 Rev 1.1   17 Dec 1990 14:30:48   PAUL
;*              included devhlp.inc and os2def.h types
;*              
;*                 Rev 1.0   14 Aug 1990 14:33:30   PAUL
;*              Initial revision.
;************************************************************************/
;
	INCLUDE	cdev.inc
	INCLUDE	devhlp.inc


_DATA	SEGMENT
	EXTRN	_DevHelp:DWORD
_DATA	ENDS

_TEXT	SEGMENT
	PUBLIC	_dev_SemClear
;************************************************************************
;* NAME:        dev_SemClear
;* SYNOPSIS:    USHORT dev_SemClear(void _far *hsem)
;*              void far *hsem;     Semaphore handle.
;* DESCRIPTION: See DevHelp SemClear function.
;* UNMODIFIED REGISTERS:
;*              ds bp si di
;* RETURNS:     ax = 0 -->   no error
;*              else    error code
;************************************************************************
	hsem    = 4
_dev_SemClear	PROC	NEAR
	PUSH	BP
	MOV	BP,SP

	mov	bx,[bp+hsem]
	mov	ax,[bp+hsem+2]
	mov	dl,DevHlp_SemClear
	call	[_DevHelp]
	jc	$L000		; jump if error
	xor	ax,ax

$L000:	POP	BP
	RET
_dev_SemClear	ENDP

_TEXT	ENDS

	END
