;************************************************************************
;* MODULE INFORMATION*
;**********************
;*     FILE     NAME:       dhlp031.asm
;*     SYSTEM   NAME:       devlib
;*     ORIGINAL AUTHOR(S):  Paul Lemmers
;*     VERSION  NUMBER:     
;*     CREATION DATE:       1990/12/16
;*
;* DESCRIPTION: 
;*              Contains DevHelp EOI function.
;************************************************************************
;* CHANGES INFORMATION **
;************************
;* REVISION:    $Revision:   1.1  $
;* WORKFILE:    $Workfile:   dhlp031.asm  $
;* LOGINFO:     $Log:   D:/CPROG/MYDEV/DEVLIB/VCS/DHLP031.ASV  $
;*              
;*                 Rev 1.1   18 Dec 1990 14:04:50   PAUL
;*              Ahum, adapted to _fastcall naming
;*              
;*                 Rev 1.0   17 Dec 1990 14:18:10   PAUL
;*              Initial revision.
;************************************************************************/
;
	INCLUDE	cdev.inc
	INCLUDE devhlp.inc


_DATA	SEGMENT
	EXTRN	_DevHelp:DWORD
_DATA	ENDS

_TEXT	SEGMENT
	PUBLIC	@dev_EOI
;************************************************************************
;* NAME:        dev_EOI
;* SYNOPSIS:    void _fastcall dev_EOI(USHORT IRQNum)
;*              USHORT  IRQNum;
;* DESCRIPTION: See DevHelp documentation of EOI
;* CALL REGISTERS:
;*              ax    IRQNum
;* UNMODIFIED REGISTERS:
;*              ds bp si di
;* RETURNS:     ax = 0 -->   no error
;*              else    error code
;************************************************************************
@dev_EOI	PROC	NEAR

	mov	dl,DevHlp_EOI
	call	[_DevHelp]
	RET

@dev_EOI	ENDP

_TEXT	ENDS

	END
