;************************************************************************
;* MODULE INFORMATION*
;**********************
;*     FILE     NAME:       dhlp03a.asm
;*     SYSTEM   NAME:       devlib
;*     ORIGINAL AUTHOR(S):  Paul Lemmers
;*     VERSION  NUMBER:     
;*     CREATION DATE:       1990/12/16
;*
;* DESCRIPTION: 
;*              Contains DevHelp RegisterStackUsage function.
;************************************************************************
;* CHANGES INFORMATION **
;************************
;* REVISION:    $Revision:   1.1  $
;* WORKFILE:    $Workfile:   dhlp03a.asm  $
;* LOGINFO:     $Log:   D:/CPROG/MYDEV/DEVLIB/VCS/DHLP03A.ASV  $
;*              
;*                 Rev 1.1   18 Dec 1990 14:04:52   PAUL
;*              Ahum, adapted to _fastcall naming
;*              
;*                 Rev 1.0   17 Dec 1990 14:19:20   PAUL
;*              Initial revision.
;************************************************************************/
;
	INCLUDE	cdev.inc
	INCLUDE devhlp.inc


_DATA	SEGMENT
	EXTRN	_DevHelp:DWORD
_DATA	ENDS

_TEXT	SEGMENT
	PUBLIC	@dev_RegisterStackUsage
;************************************************************************
;* NAME:        dev_RegisterStackUsage
;* SYNOPSIS:    USHORT _fastcall dev_RegisterStackUsage(void _near *pStackUse)
;*              void _near *pStackUse;     ptr to StackUsage structure
;* DESCRIPTION: See DevHelp documentation of RegisterStackUsage
;* CALL REGISTERS:
;*              bx    pStackUse
;* UNMODIFIED REGISTERS:
;*              ds bp si di
;* RETURNS:     ax = 0 -->   no error
;*              else    error code
;************************************************************************
@dev_RegisterStackUsage	PROC	NEAR

	mov	dl,DevHlp_RegisterStackUsage
	call	[_DevHelp]
	jc	$L000		; jump if error
	xor	ax,ax

$L000:	RET
@dev_RegisterStackUsage	ENDP

_TEXT	ENDS

	END
