include ../../include/gcc_unx.std

SYS	= protocol
SYSLIB	= b2

all: obj

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h 
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS).o proteth.o protip.o prottcp.o protudp.o proticmp.o protarp.o protdns.o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS).o proteth.o protip.o prottcp.o protudp.o proticmp.o protarp.o protdns.o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS).o proteth.o protip.o prottcp.o protudp.o proticmp.o protarp.o protdns.o      

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.i
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS).o:     $(SYS).c    $(SYS).h        prot.h
proteth.o:    proteth.c   protocol.h      prot.h
protip.o:     protip.c    protocol.h      prot.h
prottcp.o:    prottcp.c   protocol.h      prot.h
protudp.o:    protudp.c   protocol.h      prot.h
proticmp.o:   proticmp.c  protocol.h      prot.h
protarp.o:    protarp.c   protocol.h      prot.h
protdns.o:    protdns.c   protocol.h      prot.h

test.o: test.c protocol.h

test: test.o
	$(CC) $(CFLAGS) -o test test.o $(LDFLAGS) -lb2 -ldnpap

dns.o: dns.c protocol.h

dns: dns.o
	$(CC) $(CFLAGS) -o dns dns.o $(LDFLAGS) -lb2 -ldnpap

