/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _ALARM_D_H
#define _ALARM_D_H


#define MIB_ALARM       		1,3,6,1,2,1,16,3,1,1
#define MIB_LEN_ALARM			10

#define MIB_INDEX_ALARMINDEX				1
#define MIB_INDEX_ALARMVARIABLE				3
#define MIB_INDEX_ALARMSAMPLETYPE			4
#define MIB_INDEX_ALARMVALUE				5
#define MIB_INDEX_ALARMRISINGTHRESHOLD		7
#define MIB_INDEX_ALARMFALLINGTHRESHOLD		8
#define MIB_INDEX_ALARMSTATUS				12


enum ALARM_SAMPLETYPES
{
        ALARMTYPE_MIN = 1,
        ALARM_ABSOLUTE = ALARMTYPE_MIN, 
        ALARM_DELTA,
        ALARMTYPE_MAX = ALARM_DELTA
};

enum ALARM_STARTUPALARM
{
        ALARMSTARTUP_MIN = 1,
        ALARM_RISING = ALARMTYPE_MIN, 
        ALARM_FALLING, 
        ALARM_RISINGFALLING,
        ALARMSTARTUP_MAX = ALARM_RISINGFALLING
};


#endif

