/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _CAPTUREM_H
#define _CAPTUREM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN CaptureMInit(VOID);

WORD bufferControlIndex (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlChannelIndex (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlFullStatus (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlFullAction (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlCaptureSliceSize (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlDownloadSliceSize (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlDownloadOffset (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlMaxOctetsRequested (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlMaxOctetsGranted (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlCapturedPackets (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlTurnOnTime (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlOwner (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD bufferControlStatus (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

WORD captureBufferControlIndex (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD captureBufferIndex (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD captureBufferPacketID (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD captureBufferPacketData (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD captureBufferPacketLength (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD captureBufferPacketTime (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD captureBufferPacketStatus (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

BOOLEAN CaptureRegisterAll(ULONG channelIndex);


#endif
