#ifndef _CHANNELX_H
#define _CHANNELX_H


typedef BOOLEAN (*ChannelFilterCallback)(ULONG channelIndex, int type, PROT_PKT *pkt, VOID *filter);
typedef VOID (*ChannelFilterDeRegisterCallback)(ULONG channelIndex, VOID *filter);
typedef VOID (*ChannelSinkCallback)(ULONG channelIndex, int type, PROT_PKT *pkt, VOID *sink);
typedef VOID (*ChannelSinkDeRegisterCallback)(ULONG channelIndex, VOID *sink);


typedef struct FilterCallback_ FilterCallback;

typedef struct FilterDeRegisterCallback_ FilterDeRegisterCallback;

typedef struct SinkCallback_ SinkCallback;

typedef struct SinkDeRegisterCallback_ SinkDeRegisterCallback;


#endif
