!include ..\..\..\include\standard.mak

SYS     = channel
SYSLIB  = collect

all: obj

install: all $(INCDIR)\$(SYS).h $(LIBDIR)\$(SYSLIB).lib

$(INCDIR)\$(SYS).h: $(SYS).h
    $(CP) $(SYS).h $(INCDIR)\$(SYS).h

$(LIBDIR)\$(SYSLIB).lib: $(SYS)m.obj $(SYS)c.obj
    $(AR) $(LIBDIR)\$(SYSLIB).lib -+$(SYS)m.obj -+$(SYS)c.obj;

obj: $(SYS)m.obj $(SYS)c.obj

doc: $(SYS).man

clean:
    - $(RM) *.exe
    - $(RM) *.obj
    - $(RM) *.lib
    - $(RM) *.man
    - $(RM) *.err
    - $(RM) *.bak

$(SYS)m.obj: $(SYS)m.c $(SYS).h $(SYS)c.h $(SYS)x.h $(SYS)e.h 

$(SYS)c.obj: $(SYS)c.c $(SYS)c.h $(SYS)x.h $(SYS)e.h $(SYS)d.h
