include ../../../include/gcc_unx.std

SYS	= hist
SYSLIB	= rmon

all: obj

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS)_m.o $(SYS)_c.o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS)_m.o $(SYS)_c.o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS)_m.o $(SYS)_c.o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS)_m.o: $(SYS)_m.c $(SYS).h $(SYS)_c.h $(SYS)_e.h

$(SYS)_c.o: $(SYS)_c.c $(SYS)_c.h $(SYS)_e.h


