/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _HISTORY_M_H
#define _HISTORY_M_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN HistoryMInit(VOID);

WORD HistoryControlIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HistoryControlDataSource(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HistoryControlBucketsRequested(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HistoryControlBucketsGranted(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HistoryControlInterval(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HistoryControlOwner(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HistoryControlStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);

WORD EtherHistoryIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistorySampleIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryIntervalStart(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryDropEvents(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryBroadcastPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryMulticastPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryCRCAlignErrors(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryUndersizePkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryOversizePkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryFragments(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryJabbers(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryCollisions(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EtherHistoryUtilization(SNMP_OBJECT *obj, WORD idlen, VOID *param);


#endif


