/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _HOSTM_H
#define _HOSTM_H


#include <dnpap.h>
#include <snmp.h>

#include "hostx.h"


BOOLEAN HostMInit(VOID);

WORD hostControlIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostControlDataSource(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostControlTableSize(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostControlLastDeleteTime(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostControlOwner(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostControlStatus(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

WORD hostAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostCreationOrder(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostInPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostOutPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostInOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostOutOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostOutErrors(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

WORD hostTimeAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeInPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeOutPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeInOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeOutOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeOutErrors(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD hostTimeOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

TopNCallback *HostRegisterTopN(ULONG hostindex, HostTopNCallback notify, VOID *topn);
BOOLEAN HostDeRegisterTopN(ULONG hostindex, TopNCallback *topn);
BOOLEAN HostRegisterAll(ULONG hostindex);


#endif
