/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _LOG_M_H
#define _LOG_M_H


#include <dnpap.h>
#include <mibsup.h>


#define LOG_SIZE_DESCR		255

#define MINALLOCLOGS        25


typedef struct Log_
{
    ULONG Index;
    ULONG Time;
    CHAR  Description[LOG_SIZE_DESCR];
    UINT  DescrLen;

} Log;


WORD LogEventIndex(SNMP_OBJECT *obj, WORD idlen, Log *log);
WORD LogIndex(SNMP_OBJECT *obj, WORD idlen, Log *log);
WORD LogTime(SNMP_OBJECT *obj, WORD idlen, Log *log);
WORD LogDescription(SNMP_OBJECT *obj, WORD idlen, Log *log);

Log **NewLog(LONG entries, LONG maxentries);
Log **ReNewLog(Log** ptr, LONG entries, LONG oldentries, LONG maxentries);
VOID DelLog(Log** ptr, LONG entries);


#endif
