/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _STATM_H
#define _STATM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN EtherStatsMInit(VOID);

WORD EtherStatsIndex (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsDataSource (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsDropEvents (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsOctets (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsPkts (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsBroadcastPkts (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsMulticastPkts (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsCRCAlignErrors (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsUndersizePkts (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsOversizePkts (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsFragments (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsJabbers (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsCollisions (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsPkts64Octets (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsPkts65to127Octets (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsPkts128to255Octets (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsPkts256to511Octets (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsPkts512to1023Octets (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsPkts1024to1518Octets (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsOwner (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD EtherStatsStatus (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);


#endif
