/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _TOPN_M_H
#define _TOPN_M_H

                                                      
#include <dnpap.h>
#include <snmp.h>
#include <hostx.h>


BOOLEAN TopNMInit(VOID);

WORD HostTopNControlIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNHostIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNRateBase(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNTimeRemaining(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNDuration(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNRequestedSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNGrantedSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNStartTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNOwner(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);

WORD HostTopNReport(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD HostTopNRate(SNMP_OBJECT *obj, WORD idlen, VOID *param);

BOOLEAN HostTopNRegisterAll(ULONG hostindex);

#endif
