include ../../../include/gcc_unx.std

SYS	= filter2
SYSLIB	= rmon2

all: obj

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS)m.o $(SYS)c.o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS)m.o $(SYS)c.o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS)m.o $(SYS)c.o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS)m.o: $(SYS)m.c $(SYS).h $(SYS)c.h

$(SYS)c.o: $(SYS)c.c $(SYS)c.h
