include ../../../include/gcc_unx.std

SYS	= bbpf
SYSLIB	= stack

all: obj

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS).o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS).o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS).o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.i
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS).o: $(SYS).c $(SYS).h

