/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _ECHO_H_
#define _ECHO_H_


#include <dnpap.h>
#include <udp.h>
#include <timer.h>


typedef struct _ECHO_DESCR ECHO_DESCR;
typedef VOID (*ECHO_CALLBACK)(ECHO_DESCR *echo, ULONG time, USHORT seqnr,
                        VOID *parm);


struct _ECHO_DESCR
{
    ECHO_CALLBACK   callback;
    VOID            *parm;
    USHORT          seqnr;
    WORD            length;
    ULONG           start;
    TIMER_DESCR     *timer;
    UDP_DESCR       *udp;
};

ECHO_DESCR *EchoSend(DWORD addr, ULONG timeout, USHORT length, USHORT seqnr,
                ECHO_CALLBACK callback, VOID *parm);
VOID EchoAbort(ECHO_DESCR *echo);



#endif
