include ../../../include/gcc_unx.std

SYS	= ip
SYSLIB	= stack

all: obj

install: all $(INCDIR)/$(SYS).h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS)hdr.o $(SYS)route.o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS)hdr.o $(SYS)route.o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS)hdr.o $(SYS)route.o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.i
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS)hdr.o: $(SYS)hdr.c $(SYS).h 
$(SYS)route.o: $(SYS)route.c $(SYS).h 

