/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#include "ip.h"
#include "ipprot.h"


IP_PROT *ipProtList = 0;



BOOLEAN IpProtRegister(IP_PROT *prot)
{
    prot->next = ipProtList;
    ipProtList = prot;
    return TRUE;
}


IP_PROT *IpProtFind(BYTE prot)
{
    IP_PROT *p;
    
    for (p = ipProtList; p!=0; p=p->next)
    {
        if (p->prot == prot)
            break;
    }
    return p;
}


void IpProtRemove(IP_PROT *prot)
{
    IP_PROT **p;


    for (p=&ipProtList; *p!=0; p=&(*p)->next)
    {
        if (*p==prot)
            *p=(*p)->next;
    }
}




