/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _PING_H_
#define _PING_H_


#include <dnpap.h>
#include <icmp.h>
#include <timer.h>


typedef struct _PING_DESCR PING_DESCR;
typedef VOID (*PING_CALLBACK)(PING_DESCR *ping, ULONG time, USHORT seqnr,
                        VOID *parm);


struct _PING_DESCR
{
    PING_CALLBACK   callback;
    VOID            *parm;
    USHORT          seqnr;
    WORD            length;
    ULONG           start;
    TIMER_DESCR     *timer;
    ICMP_DESCR      *icmp;
};

PING_DESCR *PingSend(DWORD addr, ULONG timeout, USHORT length, USHORT seqnr,
                PING_CALLBACK callback, VOID *parm);
VOID PingAbort(PING_DESCR *ping);



#endif
