/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <dnpap.h>
#include <mibsup.h>
#include <maxmem.h>

#include "maxmib.h"

EXPORT WORD memoryMax(SNMP_OBJECT * Obj, WORD IdLen, VOID * param)
{
	if (MibSimple(Obj, IdLen) == FALSE)
		return SNMP_NOSUCHNAME;
	Obj->Syntax.LngInt = MemoryGetMaxMemory();
	return SNMP_NOERROR;
}

EXPORT WORD memoryChunk(SNMP_OBJECT * Obj, WORD IdLen, VOID * param)
{
	if (MibSimple(Obj, IdLen) == FALSE)
		return SNMP_NOSUCHNAME;
	Obj->Syntax.LngInt = MemoryGetMaxChunk();
	return SNMP_NOERROR;
}

EXPORT WORD memoryUsed(SNMP_OBJECT * Obj, WORD IdLen, VOID * param)
{
	if (MibSimple(Obj, IdLen) == FALSE)
		return SNMP_NOSUCHNAME;
	Obj->Syntax.LngInt = MemoryGetUsed();
	return SNMP_NOERROR;
}
