/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _SNMPMIB_H
#define _SNMPMIB_H


#include <dnpap.h>
#include <snmp.h>


WORD snmpInPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInBadVersions(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInBadCommunityNames(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInBadCommunityUses(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInASNParseErrs(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInTooBigs(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInNoSuchNames(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInBadValues(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInReadOnlys(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInGenErrs(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInTotalReqVars(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInTotalSetVars(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInGetRequests(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInGetNexts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInSetRequests(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInGetResponses(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpInTraps(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutTooBigs(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutNoSuchNames(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutBadValues(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutGenErrs(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutGetRequests(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutGetNexts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutSetRequests(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutGetResponses(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpOutTraps(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD snmpEnableAuthenTraps(SNMP_OBJECT *obj, WORD idlen, VOID *param);


#endif
