/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
/************************************************************************
** MODULE INFORMATION*
**********************
**     FILE     NAME:       block.h
**     SYSTEM   NAME:       block
**     ORIGINAL AUTHOR(S):  Jan van Oorschot
**     VERSION  NUMBER:     1.00
**     CREATION DATE:       22 march 1993
**
** DESCRIPTION: Global definitions for the blocking library, socket version.
**              Should be included by every module which 
**		contains refences to the blocking functions.
**
*************************************************************************
** CHANGE INFORMATION **
*************************
** REVISION:    $Revision$
** WORKFILE:    $Workfile$
** LOGINFO:     $Log$
*************************************************************************/
#ifndef _BLOCK_H
#define _BLOCK_H

#define		BLOCKEVENT_READ		       	1
#define		BLOCKEVENT_WRITE		2
#define		BLOCKEVENT_EXCEPT		3

typedef struct _BLOCK BLOCK;
struct _BLOCK
{
    int    	sckt;

};
int	BlockInit(void);
int	BlockClose(void);
int BlockRegister(
    BLOCK *blk,
    void *param,
    int (*cb)(BLOCK *block,int reason,void *param)
);
int 	BlockDeRegister(BLOCK *blk);
int 	Block(void);
int 	BlockCheck(void);

#endif
