!include ..\include\standard.mak

SYS     = block
SYSLIB  = b2

all: # obj doc

# install: all $(INCDIR)\$(SYS).h $(MANDIR)\$(SYS).man $(LIBDIR)\$(SYSLIB).lib
install: block.ins

block.ins:
        @cd os2
        $(MAKE) -f msc_os2.mak install $(OPTIONS)
        @cd ..

$(INCDIR)\$(SYS).h: $(SYS).h 
	$(CP) $(SYS).h $(INCDIR)\$(SYS).h

$(MANDIR)\$(SYS).man: $(SYS).man 
	$(CP) $(SYS).man $(MANDIR)\$(SYS).man 

$(LIBDIR)\$(SYSLIB).lib: $(SYS).obj
	$(AR) $(LIBDIR)\$(SYSLIB).lib -+$(SYS).obj;

obj: $(SYS).obj

doc: $(SYS).man

clean: block.cln
#    - $(RM) *.exe
#    - $(RM) *.obj
#    - $(RM) *.lib
#    - $(RM) *.man
#    - $(RM) *.err
#    - $(RM) *.bak

block.cln:
        @cd os2
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)
        @cd ..

$(SYS).man: $(SYS).c
    $(MAN) -R:API  $(SYS).c > $(SYS).man

$(SYS).obj: $(SYS).c $(SYS).h

test.exe: test.obj test.ini
	$(LINK) test.obj $(SYSLIB)
	markexe windowcompat test.exe
