/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _BLOCK_H_
#define _BLOCK_H_


typedef struct _BLOCK BLOCK;

struct _BLOCK
{
    HSEM    hsem;
    BOOLEAN (*Check)(BLOCK *block);
    void    *specific;
};


BOOLEAN BlockInit(void);
BOOLEAN BlockRegister(BLOCK *block);
void    BlockStop(void);
BOOLEAN Block(void);
BOOLEAN BlockCheck(void);












#endif
