/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _BITBYTE_H
#define _BITBYTE_H


#include <dnpap.h>


#define BITSPERBYTE     8
#define BITS(type)     (BITSPERBYTE*(INT)sizeof(type))


INT Txt2Bits(BYTE **data, WORD offset, BOOLEAN *bytes, BYTE *string, WORD len);
INT Bits2Txt(BYTE *string, BYTE *data, WORD len, WORD offset, BOOLEAN bytes);
BOOLEAN SetBit(BYTE *data, WORD bitsize, WORD offset, WORD bitindex, BYTE value);
BOOLEAN GetBit(BYTE *data, WORD bitsize, WORD offset, WORD bitindex, BYTE *value);
BOOLEAN SetByte(BYTE *data, WORD len, WORD offset, WORD index, BYTE value);
BOOLEAN GetByte(BYTE *data, WORD len, WORD offset, WORD index, BYTE *byte);
BYTE* ShiftBits(BYTE *data, WORD len, WORD oldoffset, WORD newlen, WORD newoffset, WORD extend);
BOOLEAN BitsZero(BYTE *data, WORD len, WORD offset);


#endif
