/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _BOOLSET_H
#define _BOOLSET_H


#include <dnpap.h>


typedef DWORD BooleanSet;


#define BooleanSetAllFalse(b)		(b = (BooleanSet) 0UL)
#define BooleanSetAllTrue(b)		(b = (BooleanSet)-1UL)
#define BooleanSetFalse(b,n)		(b &= ~(2 << (n)))
#define BooleanSetTrue(b,n)			(b |= (2 << (n)))
#define BooleanCheckAllFalse(b)		(b == (BooleanSet) 0UL)
#define BooleanCheckAllTrue(b)		(b == (BooleanSet)-1UL)
#define BooleanCheck(b,n)			(b & (2 << (n)))


#endif

