/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
/************************************************************************
** MODULE INFORMATION*
**********************
**     FILE     NAME:       
**     SYSTEM   NAME:       
**     ORIGINAL AUTHOR(S):  
**     VERSION  NUMBER:     
**     CREATION DATE:       
**
** DESCRIPTION: 
**              
*************************************************************************
** CHANGES INFORMATION **
*************************
** REVISION: $Revision: 1.1 $
** AUTHOR:   $Author: etstjan $
** DATE:     $Date: 1992/08/03 19:25:32 $
** LOG:      $Log: test.c,v $
 * Revision 1.1  1992/08/03  19:25:32  etstjan
 * Initial revision
 *
*************************************************************************/
#include <signal.h>
#include <stdio.h>
#include "dnpap.h"

int main(int argc,char **argv);
static VOID handler(INT signum);
static VOID exitfunc(VOID);

int main(int argc,char **argv)
{
LONG i;

	/* test the DNPAP functions */
	DnpapMessage(DMC_MESSAGE, 2, "starting DNPAP <%s>\n", argv[0]);
	DnpapFree(DnpapMalloc(1));

    if (DnpapSignal(SIGINT, handler) == SIG_ERR)
        DnpapMessage(DMC_ERROR, 3, "handler initialization failed\n");
    DnpapAtExit(exitfunc);

    for (i = 0; i < 5000; i++)
        DnpapMessage(DMC_MESSAGE, 6, "...\n");

	DnpapExit(0);					
}

VOID handler(INT signum)
{
    DnpapMessage(DMC_MESSAGE, 4, "control-c handler called\n");
    DnpapExit(0);
}


VOID exitfunc(VOID)
{
    DnpapMessage(DMC_MESSAGE, 5, "exit function called\n");
}
