include dnpap/gcc_unx.std

SYS     = dnpap
SYSLIB  = dnpap

all: dnpap.all memory.all config.all string.all message.all hash.all maxmem.all timer.all math.all time.all ring.all $(KVM_INSTALL) inet.all boolset.all

install: all

dnpap.all:
	@cd dnpap $(SEP) $(MAKE) -f gcc_unx.mak all install  $(SEP) cd ..

boolset.all:
	@cd boolset $(SEP) $(MAKE) -f gcc_unx.mak all install  $(SEP) cd ..

config.all:
	@cd config  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..

hash.all:
	@cd hash  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..

inet.all:
	@cd inet  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..

kvm.all:
	@cd kvm  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..

maxmem.all:
	@cd maxmem  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..

memory.all:
	@cd memory  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..

message.all:
	@cd message  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..

timer.all:
	@cd timer  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..

string.all:
	@cd string  $(SEP) $(MAKE) -f gcc_unx.mak all install   $(SEP) cd ..
	
bitbyte.all:
	@cd bitbyte $(SEP) $(MAKE) -f gcc_unx.mak all install $(SEP) cd ..
	
math.all:
	@cd math $(SEP) $(MAKE) -f gcc_unx.mak all install $(SEP) cd ..
	
time.all:
	@cd time $(SEP) $(MAKE) -f gcc_unx.mak all install $(SEP) cd ..
	
ring.all:
	@cd ring $(SEP) $(MAKE) -f gcc_unx.mak all install $(SEP) cd ..
	
clean: dnpap.clean config.clean hash.clean maxmem.clean message.clean timer.clean string.clean bitbyte.clean math.clean time.clean memory.clean ring.clean $(KVM_CLEAN) inet.clean boolset.clean

dnpap.clean:
	@cd dnpap $(SEP)$(MAKE) -f gcc_unx.mak clean  $(SEP) cd ..

boolset.clean:
	@cd boolset $(SEP)$(MAKE) -f gcc_unx.mak clean  $(SEP) cd ..

config.clean:
	@cd config  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

hash.clean:
	@cd hash  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

inet.clean:
	@cd inet  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

kvm.clean:
	@cd kvm  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

maxmem.clean:
	@cd maxmem  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

memory.clean:
	@cd memory  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

message.clean:
	@cd message  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

timer.clean:
	@cd timer  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

string.clean:
	@cd string  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

bitbyte.clean:
	@cd bitbyte $(SEP) $(MAKE) -f gcc_unx.mak clean $(SEP) cd ..

math.clean:
	@cd math $(SEP) $(MAKE) -f gcc_unx.mak clean $(SEP) cd ..

time.clean:
	@cd time $(SEP) $(MAKE) -f gcc_unx.mak clean $(SEP) cd ..

ring.clean:
	@cd ring $(SEP) $(MAKE) -f gcc_unx.mak clean $(SEP) cd ..

