#ifndef _DKVM_H
#define _DKVM_H


#ifdef SUNOS
#include <kvm.h>
#endif
#include <nlist.h>
#include <unistd.h>


#ifndef KMEMDEVICE
#define KMEMDEVICE	"/dev/kmem"
#endif

#ifndef KMEMNLIST
#define KMEMNLIST	"/vmunix"
#endif


#ifdef SUNOS
typedef kvm_t 			Kvm;
#else
typedef int				Kvm;
#endif

typedef struct nlist	NList;


Kvm *KvmOpen(INT flags);
VOID KvmClose(Kvm *kvm);
INT KvmNList(Kvm *kvm, NList *nl);
INT KvmRead(Kvm *kvm, ULONG address, VOID *buf, UINT len);
INT KvmReadSym(Kvm *kvm, CHAR *name, VOID *buf, UINT len);
INT KvmWrite(Kvm *kvm, ULONG address, VOID *buf, UINT len);
INT KvmWriteSym(Kvm *kvm, CHAR *name, VOID *buf, UINT len);


#endif
