/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
/****************************************************************
** MODULE INFORMATION*
**********************
**      FILE    NAME:           DNPAP.H
**      SYSTEM  NAME:           DNPAP
**      VERSION NUMBER:         1.00
**
** DESCRIPTION: This module contains general DNPAP definitions
******************************************************************
** ADMINISTRATIVE INFORMATION*
******************************
**      ORIGINAL AUTHOR:        The DNPAP Group
**      CREATION DATE:          91/12/05
**      CHANGES:                None
*****************************************************************/

#ifndef _MAXMEM_H_
#define _MAXMEM_H_

#include <dnpap.h>

enum MaxMemErrors
{
	MAXMEM_INIT = MAXMEM_ERROR,
    MAXMEM_ALLOC, MAXMEM_TOOLARGE, MAXMEM_OUTMEMORY,
	MAXMEM_LOWMAX, MAXMEM_LOWCHUNK,
	MAXMEM_HIGHMAX, MAXMEM_HIGHCHUNK,
    MAXMEM_FREED, MAXMEM_MUTILATED
};

EXPORT VOID MemoryInit(LONG maxMem, LONG chunkSize);

EXPORT LONG MemoryGetAvail(void);
EXPORT LONG MemoryGetUsed(void);
EXPORT LONG MemoryGetMaxChunk(void);
EXPORT LONG MemoryGetMaxMemory(void);

#endif
