/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
/**********************************************************************
** MODULE INFORMATION*
**********************
**      FILE     NAME:       test.C
**      SYSTEM   NAME:       dnpap
**      ORIGINAL AUTHOR(S):  Alfred Kayser
**      VERSION  NUMBER:     1.0
**      CREATION DATE:       91/09/16
**
** DESCRIPTION: Message functions.
***********************************************************************
** CHANGES INFORMATION **
*************************
** REVISION: $Revision:  $
** AUTHOR:   $Author: $
** DATE:     $Date: $
** LOG:      $Log: $
**********************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <stdarg.h>

#include <dnpap.h>
#include <config.h>
#include "message.h"
								
PRIVAT void DnpapInit(int argc, char **argv)
{
    /* Initialize config system */
	ConfigInit(argc, argv);
    ConfigLoad();

    /* Initialize message system for application */
	MessageInit("test", MSGFILE, MSGSTDIO, NULL);
	MessageConfig(1000, "test");
}
		
void main(int argc, char **argv)
{	
	DnpapInit(argc, argv);
	DnpapMessage(DMC_FATAL, 1001, "Richard is een %s", "looser!");
	TransMessage(TransOpen("jan"), "aap:  Hello World\n");
	TransMessage(TransOpen("piet"),"noot: Hello World!\n");
	TransMessage(TransOpen("jan,piet"),"mies: Hello World!!\n");
	DnpapExit(0);
}

