/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifdef UNIX
#include <sys/time.h>
#endif
#include <timer.h>
#include <dnpap.h>

#ifdef OS2
#ifdef SNORAVAIL
#include <snor.h>
#endif
#endif

#include "dtime.h"


ULONG TimeUsec(VOID)
{
#ifdef UNIX
struct timeval tp;
	
	gettimeofday(&tp, NULL);
	
	return tp.tv_sec * 1000000UL + tp.tv_usec;
#else
#ifdef SNORAVAIL
	return SnorTime();
#else
	return TimerNow()*1000UL;
#endif	
#endif
}


ULONG TimeMsec(VOID)
{
	return TimerNow();
}


ULONG TimeTimeTicks(VOID)
{
	return TimerNow()/10;
}
