/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _NWSNMP_H_
#define _NWSNMP_H_


#include <dnpap.h>
#include <snmp.h>

#include "nw.h"
#include "nwsnmpdef.h"


#define INADDR_NONE     0xffffffff


enum NwSnmpErrors
{
	NWSNMP_OK = NW_ERROR,
	NWSNMP_INIT, NWSNMP_PROTO,
	NWSNMP_NEWSNMP, NWSNMP_UDP,
	NWSNMP_ADDLIST, NWSNMP_PARAM,
	NWSNMP_ADDR
};


extern NW_DG_IFACE SnmpDgIface;


#endif
