#!/usr/local/bin/perl
#########################################################################
## MODULE INFORMATION#
######################
##     FILE     NAME:       buffertst.pl
##     SYSTEM   NAME:       buffertst
##     ORIGINAL AUTHOR(S):  Jan van Oorschot
##     VERSION  NUMBER:     1.00
##     CREATION DATE:       Thu Jul 14 13:48:46 1994
##
## DESCRIPTION: Test The Buffer Functions
##              
#########################################################################
## CHANGE INFORMATION ##
#########################
##      JvO - Jul 14, 1994:  Created
#########################################################################
require "spook.pl";	   
require "rmon/rmon.pl";
require "rmon/buffer.pl";

@ErrorMessage =
(
"call as:  perl buffertst.pl",
"	  bufferControlChannelIndex",
"	  bufferControlFullAction",
"	  bufferControlCaptureSliceSize",
"	  bufferControlDownloadSliceSize",
"	  bufferControlDownloadOffset",
"	  bufferControlMaxOctetsRequested",
"              [host community]"
);

$ires = &snmp_commandline_open(1,6,@ARGV);
if($ires == -1){ foreach $line (@ErrorMessage) { print "$line\n";};exit;};
  (
	  $bufferControlChannelIndex,
	  $bufferControlFullAction,
	  $bufferControlCaptureSliceSize,
	  $bufferControlDownloadSliceSize,
	  $bufferControlDownloadOffset,
	  $bufferControlMaxOctetsRequested
  ) = @ARGV;
#
# do the filter Thingy
#
$iniColl = &bufferCreator( 1, $iniOwnerString , 
	  $bufferControlIndex,
	  $bufferControlChannelIndex,
	  $bufferControlFullAction,
	  $bufferControlCaptureSliceSize,
	  $bufferControlDownloadSliceSize,
	  $bufferControlDownloadOffset,
	  $bufferControlMaxOctetsRequested
	   ) || die "could not create collector" ;

&bufferGardner(1,$iniColl,"buffertst",STDOUT);

&bufferTerminator(1,$iniColl,$iniOwnerString);


&snmp_close(1);



