#!/usr/local/bin/perl
#########################################################################
## MODULE INFORMATION#
######################
##     FILE     NAME:       channeltst.pl
##     SYSTEM   NAME:       channeltst
##     ORIGINAL AUTHOR(S):  Jan van Oorschot
##     VERSION  NUMBER:     1.00
##     CREATION DATE:       Thu Jul 14 09:47:15 1994
##
## DESCRIPTION: test the creation of channels
##              
#########################################################################
## CHANGE INFORMATION ##
#########################
##      JvO - Jul 14, 1994:  Created
#########################################################################
require "spook.pl";	   
require "rmon/rmon.pl";
require "rmon/channel.pl";

@ErrorMessage =
(
"call as:  perl channeltst.pl",
"              <channelIfIndex>",
"              <channelAcceptType>",
"              <channelDataControl>",
"              <channelTurnOnEventIndex>",
"              <channelTurnOffEventIndex>",
"              <channelEventIndex>",
"              <channelEventStatus>",
"              <channelDescription>",
"              [host community]"
);

$ires = &snmp_commandline_open(1,8,@ARGV);
if($ires == -1){ foreach $line (@ErrorMessage) { print "$line\n";};exit;};
  (
              $iniChannelIfIndex,
              $iniChannelAcceptType,
              $iniChannelDataControl,
              $iniChannelTurnOnEventIndex,
              $iniChannelTurnOffEventIndex,
              $iniChannelEventIndex,
              $iniChannelEventStatus,
              $iniChannelDescription
  ) = @ARGV;
#
# do the filter Thingy
#
$iniColl = &channelCreator( 1, $iniOwnerString , 
              $iniChannelIfIndex,
              $iniChannelAcceptType,
              $iniChannelDataControl,
              $iniChannelTurnOnEventIndex,
              $iniChannelTurnOffEventIndex,
              $iniChannelEventIndex,
              $iniChannelEventStatus,
              $iniChannelDescription
	   ) || die "could not create collector" ;

&channelGardner(1,$iniColl,"channeltst",STDOUT);

&channelTerminator(1,$iniColl,$iniOwnerString);


&snmp_close(1);



