#!/usr/local/bin/perl
#########################################################################
## MODULE INFORMATION#
######################
##     FILE     NAME:       filtertst.pl
##     SYSTEM   NAME:       filtertst
##     ORIGINAL AUTHOR(S):  Jan van Oorschot
##     VERSION  NUMBER:     1.00
##     CREATION DATE:       Wed Jul 13 13:57:45 1994
##
## DESCRIPTION: Test the filter creator
##              
#########################################################################
## CHANGE INFORMATION ##
#########################
##      JvO - Jul 13, 1994:  Created
#########################################################################
require "spook.pl";	   
require "rmon/rmon.pl";
require "rmon/filter.pl";

@ErrorMessage =
(
"call as:  perl filtertst.pl",
"	  <ChannelIndex>",
"	  <PktDataOffset>",
"	  <PktData>",
"	  <PktDataMask>",
"	  <PktDataNotMask>",
"	  <PktStatus>",
"	  <PktStatusMask>",
"	  <PktStatusNotMask>",
"         [host community]"
);

$ires = &snmp_commandline_open(1,8,@ARGV);
if($ires == -1){ foreach $line (@ErrorMessage) { print "$line\n";};exit;};
( $iniChannelIndex,
  $iniPktDataOffset,
  $iniPktData,
  $iniPktDataMask,
  $iniPktDataNotMask,
  $iniPktStatus,
  $iniPktStatusMask,
  $iniPktStatusNotMask) = @ARGV;
#
# do the filter Thingy
$iniColl = &filterCreator( 1, $iniOwnerString , 
	  $iniChannelIndex,
	  $iniPktDataOffset,
	  $iniPktData,
	  $iniPktDataMask,
	  $iniPktDataNotMask,
	  $iniPktStatus,
	  $iniPktStatusMask,
	  $iniPktStatusNotMask) ||
    die "could not create collector" ;

print "created filter";

&snmp_close(1);



