#########################################################################
## MODULE INFORMATION#
######################
##     FILE     NAME:       trap.pl
##     SYSTEM   NAME:       trap
##     ORIGINAL AUTHOR(S):  Jan van Oorschot
##     VERSION  NUMBER:     1.00
##     CREATION DATE:       Tue Jul 19 10:34:29 1994
##
## DESCRIPTION: Start the snmp-trap deamon, and 
##              respond to the trap you receive
#########################################################################
## CHANGE INFORMATION ##
#########################
##      JvO - Jul 19, 1994:  Created
#########################################################################
require "trap.pl";

# open trap connection
$file = &trap_open();

# block with timeout

while(1)
{
    $rin = $win = $ein = '';
    vec($rin,fileno($file),1) = 1;
    $ein = $rin;
    $timeout = 3600.0;
    ($nfound,$timeleft) = select($rout=$rin,$wout=$win,$eout=$ein,$timeout);
    if($nfound == 0)
    {
	printf("still waiting\n");
    }
    else
    {
	print "trap received:\n";
	$line = <$file>;
	print "<$line>";
	@args = &trap_parseline($line);
	foreach $arg (@args)
	{
	    print "arg: $arg\n";
	}
    }
}
