#!/usr/local/bin/perl --*- Perl -*--
#########################################################################
## MODULE INFORMATION#
######################
##     FILE     NAME:       timetst.pl
##     SYSTEM   NAME:       timetst
##     ORIGINAL AUTHOR(S):  Jan van Oorschot
##     VERSION  NUMBER:     1.00
##     CREATION DATE:       Thu Jul 21 08:42:19 1994
##
## DESCRIPTION: Test the time facilities of Perl
##              
#########################################################################
## CHANGE INFORMATION ##
#########################
##      JvO - Jul 21, 1994:  Created
#########################################################################

# code butchered from <timelocal.pl>
@epoch = localtime(0);
$tzmin = $epoch[2] * 60 + $epoch[1];	# minutes east of GMT
if ($tzmin > 0) {
    $tzmin = 24 * 60 - $tzmin;		# minutes west of GMT
    $tzmin -= 24 * 60 if $epoch[5] == 70;	# account for the date line
}
if($tzmin < 0)
{
    $tzmin = $tzmin * -1;
    $TZSIGN = "-";
}
else
{
    $TZSIGN = "+";
}
$TZHOURS = int($tzmin / 60);
$TZMIN = $tzmin % 60;

print "timezone <$TZHOURS><$TZMIN><$TZSIGN>\n"



