proc RmonInstance {fd collector} {
	global snmpvarlist

	SnmpNext $fd [list [list [format "%s%s" $collector Status] 0]]
	set index 0
	set instance {}
	while {[SnmpExec $fd] == 0 && [lindex [lindex $snmpvarlist($fd) 0] 0] == [format "%s%s" $collector Status]} {
		lappend instance [incr index]
	}
	return $instance
}


proc RmonNextIndex {fd collector} {
	global snmpvarlist

	SnmpNext $fd [list [list [format "%s%s" $collector Status] 0]]
	set index 0
	while {[SnmpExec $fd] == 0 && [lindex [lindex $snmpvarlist($fd) 0] 0] == [format "%s%s" $collector Status]} {
		incr index
	}
	return [incr index]
}


proc RmonCreate {fd collector index owner} {
	SnmpSet $fd [list [list [format "%s%s" $collector Status] $index 2]]
	if ![set ret [SnmpExec $fd]] {
		SnmpSet $fd [list [list [format "%s%s" $collector Owner] $index \"$owner\"]]
		set ret [SnmpExec $fd]
	}
	return $ret
}


proc RmonActivate {fd collector index} {
	SnmpSet $fd [list [list [format "%s%s" $collector Status] $index 1]]
	return [SnmpExec $fd]
}


proc RmonDelete {fd collector index} {
	SnmpSet $fd [list [list [format "%s%s" $collector Status] $index 4]]
	return [SnmpExec $fd]
}
