include ../../include/gcc_unx.std

SYS     = config
SYSLIB  = config

LDFLAGS = -L$(LIBDIR) -lsnmp -lmibdf -ldnpapx -ldnpap


all: cfg2ini ini2cfg

cfg2ini: cfg2ini.o funcs.o
	$(LN) $(CFLAGS) -o cfg2ini cfg2ini.o funcs.o $(LDFLAGS)

ini2cfg: ini2cfg.o funcs.o
	$(LN) $(CFLAGS) -o ini2cfg ini2cfg.o funcs.o $(LDFLAGS)
			  
clean:
	- $(RM) *.o
	- $(RM) *.a
	- $(RM) *.exe
	- $(RM) cfg2ini
	- $(RM) ini2cfg
	- $(RM) core
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

install: $(BINDIR)/cfg2ini $(BINDIR)/ini2cfg

$(BINDIR)/cfg2ini: cfg2ini
	$(CP) cfg2ini $(BINDIR)/cfg2ini

$(BINDIR)/ini2cfg: ini2cfg
	$(CP) ini2cfg $(BINDIR)/ini2cfg


cfg2ini.o: cfg2ini.c hosts.h defs.h funcs.h

ini2cfg.o: ini2cfg.c defs.h funcs.h

funcs.o: funcs.c defs.h funcs.h hosts.h

