!include ..\..\include\standard.mak

SYS     = config
SYSLIB  = config

LIBS = $(LIBDIR)\mibdf.lib $(LIBDIR)\snmp.lib $(LIBDIR)\mgmt.lib $(LIBDIR)\dnpap.lib

all: cfg2ini.exe ini2cfg.exe

cfg2ini.exe: cfg2ini.obj funcs.obj
	$(LINK) $(CFLAGS) cfg2ini.obj funcs.obj $(LIBS) /Fecfg2ini.exe
	$(MARKEXE) windowcompat cfg2ini.exe
			  
ini2cfg.exe: ini2cfg.obj funcs.obj
	$(LINK) $(CFLAGS) ini2cfg.obj funcs.obj $(LIBS) /Feini2cfg.exe
	$(MARKEXE) windowcompat ini2cfg.exe
			  
clean:
    - $(RM) *.exe
    - $(RM) *.obj
    - $(RM) *.i
    - $(RM) *.lib
    - $(RM) *.man
    - $(RM) *.err
    - $(RM) *.bak

install: $(BINDIR)\cfg2ini.exe $(BINDIR)\ini2cfg.exe

$(BINDIR)\cfg2ini.exe: cfg2ini.exe
        $(CP) cfg2ini.exe $(BINDIR)\cfg2ini.exe

$(BINDIR)\ini2cfg.exe: ini2cfg.exe
        $(CP) ini2cfg.exe $(BINDIR)\ini2cfg.exe

cfg2ini.obj: cfg2ini.c hosts.h funcs.h defs.h

ini2cfg.obj: ini2cfg.c funcs.h defs.h

funcs.obj: funcs.c defs.h funcs.h hosts.h

