include ../../include/gcc_unx.std

SYS     = stack
SYSLIB  = stack

all: nwround nwecho nwthrough

nwround: nwround.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwround nwround.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -lsnmp

nwecho: nwecho.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwecho nwecho.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -lsnmp

nwthrough: nwthrough.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwthrough nwthrough.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -lsnmp


clean:
	- $(RM) *.o
	- $(RM) *.a
	- $(RM) *.exe
	- $(RM) core
	- $(RM) nwround
	- $(RM) nwthrough
	- $(RM) nwecho
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak
	- $(RM) *~

install: $(BINDIR)/nwround $(BINDIR)/nwecho $(BINDIR)/nwthrough 

$(BINDIR)/nwround: nwround
	$(CP) nwround $(BINDIR)/nwround

$(BINDIR)/nwecho: nwecho
	$(CP) nwecho $(BINDIR)/nwecho

$(BINDIR)/nwthrough: nwthrough
	$(CP) nwthrough $(BINDIR)/nwthrough

nwround.o: nwround.c

nwecho.o: nwecho.c

nwthrough.o: nwthrough.c

