/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _PARSE_H_
#define _PARSE_H_

int GetList(char *line, SNMP_OBJECT * list, int listSize, int *listLength);
int GetObject(char *line, SNMP_OBJECT * object);
int GetValue(char *line, SNMP_OBJECT * object);
int GetName(char *line, char *name, int nameSize);
int GetID(ULONG *index,char *name);
int GetIndex(char *line, ULONG * index, int indexSize, int *indexLength);
int PutList(SNMP_OBJECT * list, unsigned listLength, char *line, int lineSize);
int PutObject(SNMP_OBJECT * object, char *line, int lineSize);
int PutIdentifier(SNMP_OBJECT * object, char *line, int lineSize);
int PutName(CONST char *name, char *line, int lineSize);
int PutValue(SNMP_OBJECT * object, char *line, int lineSize);
int PutIndex(ULONG * index, int indexLength, char *line, int lineSize);
int IsVisible(unsigned char *s, int n);

#endif
