/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DISCCON_H
#define _DISCCON_H


#include <dnpap.h>
#include <snmp.h>
#include <protocol.h>


BOOLEAN DiscConnMInit(VOID);

WORD DiscConnControlIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlDataSource(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlTableSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlEthTableSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlIPTableSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlUDPTableSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlTCPTableSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlLastDeleteTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlOwner(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnControlStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);

WORD DiscConnSDEthSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDIPSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDUDPSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDTCPSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDEthDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDIPDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDUDPDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDTCPDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnSDLRUTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);

WORD DiscConnDSEthSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSIPSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSUDPSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSTCPSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSEthDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSIPDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSUDPDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSTCPDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD DiscConnDSLRUTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);

BOOLEAN DiscConnRegisterAll(ULONG channelIndex);


#endif
