/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DISCNOD_H
#define _DISCNOD_H


#include <dnpap.h>
#include <snmp.h>
#include <protocol.h>


BOOLEAN DiscNodeMInit(VOID);

WORD DiscNodeControlIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlDataSource(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlTableSize(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlEthTableSize(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlIPTableSize(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlUDPTableSize(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlTCPTableSize(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlLastDeleteTime(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlOwner(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeControlStatus(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

WORD DiscNodeEthAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeIPAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeUDPAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTCPAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeInPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeOutPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeInOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeOutOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeLRUTime(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

WORD DiscNodeTimeEthAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeIPAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeUDPAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeTCPAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeInPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeOutPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeInOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeOutOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DiscNodeTimeLRUTime(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

BOOLEAN DiscNodeRegisterAll(ULONG channelIndex);


#endif
