!include ..\..\..\include\standard.mak

MCFLAGS  = -I.

SYS     = disc
SYSLIB  = collect

all: obj

install: all $(INCDIR)\$(SYS)nod.h $(INCDIR)\$(SYS)con.h $(LIBDIR)\$(SYSLIB).lib

$(INCDIR)\$(SYS)nod.h: $(SYS)nod.h
    $(CP) $(SYS)nod.h $(INCDIR)\$(SYS)nod.h

$(INCDIR)\$(SYS)con.h: $(SYS)con.h
    $(CP) $(SYS)con.h $(INCDIR)\$(SYS)con.h

$(LIBDIR)\$(SYSLIB).lib: $(SYS)nodm.obj $(SYS)nodc.obj $(SYS)conm.obj $(SYS)conc.obj
    $(AR) $(LIBDIR)\$(SYSLIB).lib -+$(SYS)nodm.obj -+$(SYS)nodc.obj -+$(SYS)conm.obj -+$(SYS)conc.obj;

obj: $(SYS)nodm.obj $(SYS)nodc.obj $(SYS)conm.obj $(SYS)conc.obj

doc: $(SYS).man

clean:
    - $(RM) *.exe
    - $(RM) *.obj
    - $(RM) *.i
    - $(RM) *.lib
    - $(RM) *.man
    - $(RM) *.err
    - $(RM) *.bak

$(SYS)nodm.obj: $(SYS)nodm.c $(SYS)nod.h $(SYS)nodc.h $(SYS)e.h $(SYS)d.h

$(SYS)nodc.obj: $(SYS)nodc.c $(SYS)nodc.h $(SYS)e.h $(SYS)d.h

$(SYS)conm.obj: $(SYS)conm.c $(SYS)con.h $(SYS)conc.h $(SYS)e.h $(SYS)d.h

$(SYS)conc.obj: $(SYS)conc.c $(SYS)conc.h $(SYS)e.h $(SYS)d.h
