/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DHOSTM_H
#define _DHOSTM_H


#include <dnpap.h>
#include <snmp.h>

#include "dhostx.h"


BOOLEAN DnpapHostMInit(VOID);

WORD DnpapHostControlIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlDataSource(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlTableSize(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlLastDeleteTime(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlAcceptType(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlMatches(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlBuckets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlInterval(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlOwner(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostControlStatus(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

WORD DnpapHostAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostCreationOrder(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostInPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostInOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutErrors(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
#ifdef NOT_HOST_GENERIC
WORD DnpapHostInTCPPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutTCPPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostInOtherPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutOtherPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
#endif
WORD DnpapHostInPkts64 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostInPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostInPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostInPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostInPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostInPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutPkts64 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostOutPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

WORD DnpapHostIFTAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTInterval(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTCreationOrder(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTIATPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTISTPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTIATOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTISTOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);


WORD DnpapHostTimeAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeInPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeInOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutErrors(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
#ifdef NOT_HOST_GENERIC
WORD DnpapHostTimeInTCPPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutTCPPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeInOtherPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutOtherPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
#endif
WORD DnpapHostTimeInPkts64 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeInPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeInPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeInPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeInPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeInPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutPkts64 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutPkts65to127 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutPkts128to255 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutPkts256to511 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutPkts512to1023 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostTimeOutPkts1024to1518 (SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

WORD DnpapHostIFTTimeAddress(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTTimeInterval(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTTimeIndex(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTTimeIATPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTTimeISTPkts(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTTimeIATOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);
WORD DnpapHostIFTTimeISTOctets(SNMP_OBJECT *Obj, WORD IdLen, VOID *param);

DnpapTopNCallback *DnpapHostRegisterTopN(ULONG hostindex, DnpapHostTopNCallback notify, VOID *topn);
BOOLEAN DnpapHostDeRegisterTopN(ULONG hostindex, DnpapTopNCallback *topn);

BOOLEAN DnpapHostRegisterAll(ULONG hostindex);


#endif
