/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _INFOC_H
#define _INFOC_H


#include <dnpap.h>
#include <timer.h>
#include <mac.h>
#include <snmp.h>


typedef struct _BEHOLDER_INFO
{
    LONG            Source[SNMP_SIZE_BUFINT];
    WORD            SourceLen;
    MAC_STAT        Stat;
    MAC_STAT        OldStat;
    BYTE            Owner[SNMP_SIZE_BUFCHR];
    WORD            OwnerLen;
    LONG            Status;
    TIMER_DESCR     *Timer;
    MAC_IFACE       *Iface;

} BEHOLDER_INFO;


BOOLEAN InfoInit (BEHOLDER_INFO *beholderInfo);
BOOLEAN InfoStart (BEHOLDER_INFO *beholderInfo);
BOOLEAN InfoStop (BEHOLDER_INFO *beholderInfo);


#endif
