/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _STATBUF_H
#define _STATBUF_H


#include <dnpap.h>
#include <mibsup.h>


BOOLEAN StatBufMInit(VOID);

WORD StatBufControlIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlVariable(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlRequestedSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlGrantedSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlInterval(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlSampleType(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlFullStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlFullAction(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlAverage(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlDeviation(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlOwner(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufControlStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);

WORD StatBufLogIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD StatBufValue(SNMP_OBJECT *obj, WORD idlen, VOID *param);


#endif
