include ../include/gcc_unx.std

SYS	= b2
SYSLIB = b2

OPTIONS = 

install: protocol.ins stack.ins mib.ins trap.ins agent.ins system.ins rmon.ins rmon2.ins drmon.ins neuro.ins disc.ins example.ins $(SUBSCRIPT_INSTALL) gen.ins perf.ins main.ins 


stack.ins:
	@cd stack $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

agent.ins:
	@cd agent $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

rmon.ins:
	@cd rmon $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

rmon2.ins:
	@cd rmon2 $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

drmon.ins:
	@cd drmon $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

neuro.ins:
	@cd neuro $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

disc.ins:
	@cd disc $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

example.ins:
	@cd example $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

subscript.ins:
	@cd subscript $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

gen.ins:
	@cd gen $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

main.ins:
	@cd main $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

mib.ins:
	@cd mib $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

perf.ins:
	@cd perf $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

pipe.ins:
	@cd pipe $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

protocol.ins:
	@cd protocol $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

system.ins:
	@cd system $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

trap.ins:
	@cd trap $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..


clean: stack.cln agent.cln rmon.cln rmon2.cln drmon.cln gen.cln main.cln mib.cln pipe.cln protocol.cln system.cln trap.cln perf.cln $(SUBSCRIPT_CLEAN) neuro.cln disc.cln example.cln

stack.cln:
	@cd stack $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)  $(SEP) \
	cd ..

agent.cln:
	@cd agent $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)  $(SEP) \
	cd ..

rmon.cln:
	@cd rmon $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

drmon.cln:
	@cd drmon $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

rmon2.cln:
	@cd rmon2 $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

neuro.cln:
	@cd neuro $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

disc.cln:
	@cd disc $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

example.cln:
	@cd example $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

subscript.cln:
	@cd subscript $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

gen.cln:
	@cd gen $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

main.cln:
	@cd main $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

mib.cln:
	@cd mib $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

perf.cln:
	@cd perf $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

pipe.cln:
	@cd pipe $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

protocol.cln:
	@cd protocol $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

system.cln:
	@cd system $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

trap.cln:
	@cd trap $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..
