/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _BEHOLDER_H
#define _BEHOLDER_H


#include <dnpap.h>


enum BeholderErrors
{
    BEHOLDER_VERSION = BEHOLDER_ERROR,
	BEHOLDER_MESSAGE,
	BEHOLDER_COLDSTART,
	BEHOLDER_ACTIVE,
    BEHOLDER_CONFIGFAIL,
    BEHOLDER_SIGNALFAIL,
    BEHOLDER_PROTFAIL,
    BEHOLDER_TIMERFAIL,
    BEHOLDER_MIBFAIL,
    BEHOLDER_SYSFAIL,
    BEHOLDER_EVENTFAIL,
    BEHOLDER_ALARMFAIL,
    BEHOLDER_MATRIXFAIL,
    BEHOLDER_HOSTFAIL,
    BEHOLDER_TOPNFAIL,
    BEHOLDER_CHANNELFAIL,
    BEHOLDER_CAPTUREFAIL,
    BEHOLDER_FILTERFAIL,
    BEHOLDER_STATSFAIL,
    BEHOLDER_INFOFAIL,
    BEHOLDER_BLOCKFAIL,
    BEHOLDER_PIPEFAIL,
    BEHOLDER_SNORFAIL,
    BEHOLDER_LOOPFAIL,
    BEHOLDER_MACFAIL,
    BEHOLDER_ARPFAIL,
    BEHOLDER_IPFAIL,
    BEHOLDER_ICMPFAIL,
    BEHOLDER_UDPFAIL,
    BEHOLDER_ECHOFAIL,
    BEHOLDER_PINGFAIL,
    BEHOLDER_AGENTFAIL,
    BEHOLDER_ETHERFAIL,
    BEHOLDER_SOFTFAIL,
    BEHOLDER_GENFAIL,
    BEHOLDER_HISTORYFAIL,
    BEHOLDER_TRAPFAIL,
    BEHOLDER_IFACENOTFOUND,
    BEHOLDER_TIMERREG,
    BEHOLDER_BLOCKERR,
    BEHOLDER_PERFFAIL,
    BEHOLDER_PERFMFAIL,
    BEHOLDER_STATBUFMFAIL,
    BEHOLDER_NEUROMFAIL,
    BEHOLDER_DISCNODEMFAIL,
    BEHOLDER_DISCCONNMFAIL,
    BEHOLDER_REACHMFAIL,
    BEHOLDER_DNPAPSTATSFAIL,
    BEHOLDER_DNPAPHOSTFAIL,
    BEHOLDER_DNPAPTOPNFAIL,
    BEHOLDER_DNPAPMATRIXFAIL,
    BEHOLDER_KVMFAIL,
    BEHOLDER_TYPEFAIL,
    BEHOLDER_SUBSCRIPTFAIL,
	BEHOLDER_CONTROLFAIL
};


#endif
