include ../../include/gcc_unx.std

MCFLAGS	= -I. -I../agent

SYS	= mib
SYSLIB	= b2

all: obj

install: all $(INCDIR)/$(SYS)sup.h $(INCDIR)/$(SYS)rqs.h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS)sup.h: $(SYS)sup.h
	$(CP) $(SYS)sup.h $(INCDIR)/$(SYS)sup.h

$(INCDIR)/$(SYS)rqs.h: $(SYS)rqs.h
	$(CP) $(SYS)rqs.h $(INCDIR)/$(SYS)rqs.h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS).o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS).o
	ranlib $(LIBDIR)/lib$(SYSLIB).a
		
obj: $(SYS).o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.i
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS).o: $(SYS).c $(SYS)rqs.h $(SYS)sup.h

test.o: test.c rmon.h

test: test.o
	$(LN) $(CFLAGS) -o test test.o $(LDFLAGS)  -lb2 -ldnpap
