!include ..\..\..\include\standard.mak

MCFLAGS = -DNDEBUG -DNMESSAGES

SYS     = neuro
SYSLIB  = collect

all: obj

install: all $(INCDIR)\$(SYS).h $(LIBDIR)\$(SYSLIB).lib

$(INCDIR)\$(SYS).h: $(SYS).h
    $(CP) $(SYS).h $(INCDIR)\$(SYS).h

$(LIBDIR)\$(SYSLIB).lib: $(SYS)_m.obj $(SYS)_c.obj $(SYS)_k.obj $(SYS)_e.obj
    $(AR) $(LIBDIR)\$(SYSLIB).lib -+$(SYS)_m.obj -+$(SYS)_c.obj -+$(SYS)_k.obj -+$(SYS)_e.obj;

obj: $(SYS)_m.obj $(SYS)_c.obj $(SYS)_k.obj $(SYS)_e.obj

doc: $(SYS).man

clean:
    - $(RM) *.exe
    - $(RM) *.obj
    - $(RM) *.i
    - $(RM) *.lib
    - $(RM) *.man
    - $(RM) *.err
    - $(RM) *.bak

$(SYS)_e.obj: $(SYS)_e.c $(SYS)_e.h $(SYS)_d.h

$(SYS)_k.obj: $(SYS)_k.c $(SYS)_k.h $(SYS)_d.h

$(SYS)_c.obj: $(SYS)_c.c $(SYS)_c.h $(SYS)_e.h $(SYS)_d.h

$(SYS)_m.obj: $(SYS)_m.c $(SYS).h $(SYS)_c.h $(SYS)_e.h $(SYS)_d.h
