/* devdos.h */
/* Awfully dangerous file to include prototypes for
** OS/2 system calls that are available at init time.
**
** It is extremely sensitive for ports across OS/2 versions
** because these include files always change.......
*/

/* #ifndef OS2DEF_INCLUDED
** #include <os2def.h>
** #endif
*/

#if (_MSC_VER < 600)
/*********************************/
/* types not include in os2def.h */
/*********************************/
typedef struct _FILESTATUS {    /* fsts */
    FDATE  fdateCreation;
    FTIME  ftimeCreation;
    FDATE  fdateLastAccess;
    FTIME  ftimeLastAccess;
    FDATE  fdateLastWrite;
    FTIME  ftimeLastWrite;
    ULONG  cbFile;
    ULONG  cbFileAlloc;
    USHORT attrFile;
} FILESTATUS;
typedef FILESTATUS FAR *PFILESTATUS;

typedef SHANDLE HFILE;     /* hf */
typedef HFILE FAR *PHFILE;
#endif

/* Global Information Segment */

typedef struct _GINFOSEG {	/* gis */
	ULONG	time;
	ULONG	msecs;
	UCHAR	hour;
	UCHAR	minutes;
	UCHAR	seconds;
	UCHAR	hundredths;
	USHORT	timezone;
	USHORT	cusecTimerInterval;
	UCHAR	day;
	UCHAR	month;
	USHORT	year;
	UCHAR	weekday;
	UCHAR	uchMajorVersion;
	UCHAR	uchMinorVersion;
	UCHAR	chRevisionLetter;
	UCHAR	sgCurrent;
	UCHAR	sgMax;
	UCHAR	cHugeShift;
	UCHAR	fProtectModeOnly;
	USHORT	pidForeground;
	UCHAR	fDynamicSched;
	UCHAR	csecMaxWait;
	USHORT	cmsecMinSlice;
	USHORT	cmsecMaxSlice;
	USHORT	bootdrive;
	UCHAR	amecRAS[32];
	UCHAR	csgWindowableVioMax;
	UCHAR	csgPMMax;
} GINFOSEG;
typedef GINFOSEG FAR *PGINFOSEG;

/* Local Information Segment */

typedef struct _LINFOSEG {	/* lis */
	PID	pidCurrent;
	PID	pidParent;
	USHORT	prtyCurrent;
	TID	tidCurrent;
	USHORT	sgCurrent;
	UCHAR	rfProcStatus;
	UCHAR	dummy1;
	BOOL	fForeground;
	UCHAR	typeProcess;
	UCHAR	dummy2;
	SEL	selEnvironment;
	USHORT	offCmdLine;
	USHORT	cbDataSegment;
	USHORT	cbStack;
	USHORT	cbHeap;
	HMODULE hmod;
	SEL	selDS;
} LINFOSEG;
typedef LINFOSEG FAR *PLINFOSEG;

/* Helper macros used to convert selector to PINFOSEG or LINFOSEG	*/

#define MAKEPGINFOSEG(sel)  ((PGINFOSEG)MAKEP(sel, 0))
#define MAKEPLINFOSEG(sel)  ((PLINFOSEG)MAKEP(sel, 0))


USHORT APIENTRY DosBeep(USHORT, USHORT);
USHORT APIENTRY DosChgFilePtr(HFILE, LONG, USHORT, PULONG);
USHORT APIENTRY DosClose(HFILE);
USHORT APIENTRY DosDelete(PSZ, ULONG);
USHORT APIENTRY DosDevConfig(PVOID, USHORT, USHORT);
USHORT APIENTRY DosDevIOCtl(PVOID, PVOID, USHORT, USHORT, USHORT);
USHORT APIENTRY DosGetMessage(PCHAR FAR *, USHORT, PCHAR, USHORT, USHORT, PSZ, PUSHORT);
USHORT APIENTRY DosOpen(PSZ, PHFILE, PUSHORT, ULONG, USHORT, USHORT, USHORT, ULONG);
USHORT APIENTRY DosPutMessage(HFILE, USHORT, PCHAR);
USHORT APIENTRY DosQCurDir(USHORT, PBYTE, PUSHORT);
USHORT APIENTRY DosQCurDisk(PUSHORT, PULONG);
#if (_MSC_VER < 600)
USHORT APIENTRY DosQFileInfo(HFILE, USHORT, PFILESTATUS, USHORT);
#endif
USHORT APIENTRY DosQFileMode(PSZ, PUSHORT, ULONG);
USHORT APIENTRY DosRead(HFILE, PVOID, USHORT, PUSHORT);
USHORT APIENTRY DosWrite(HFILE, PVOID, USHORT, PUSHORT);

/* Ahum officially not supported, but needed for version check */
USHORT APIENTRY DosGetInfoSeg(PSEL pselGlobal, PSEL pselLocal);
