;************************************************************************
;* MODULE INFORMATION*
;**********************
;*     FILE     NAME:       dhlp01c.asm
;*     SYSTEM   NAME:       devlib
;*     ORIGINAL AUTHOR(S):  Paul Lemmers
;*     VERSION  NUMBER:     
;*     CREATION DATE:       1990/12/16
;*
;* DESCRIPTION: 
;*              Contains DevHelp UnSetIRQ function.
;************************************************************************
;* CHANGES INFORMATION **
;************************
;* REVISION:    $Revision:   1.1  $
;* WORKFILE:    $Workfile:   dhlp01c.asm  $
;* LOGINFO:     $Log:   D:/CPROG/MYDEV/DEVLIB/VCS/DHLP01C.ASV  $
;*              
;*                 Rev 1.1   18 Dec 1990 14:04:36   PAUL
;*              Ahum, adapted to _fastcall naming
;*              
;*                 Rev 1.0   17 Dec 1990 14:17:46   PAUL
;*              Initial revision.
;************************************************************************/
;
	INCLUDE	cdev.inc
	INCLUDE devhlp.inc


_DATA	SEGMENT
	EXTRN	_DevHelp:DWORD
_DATA	ENDS

_TEXT	SEGMENT
	PUBLIC	@dev_UnSetIRQ
;************************************************************************
;* NAME:        dev_UnSetIRQ
;* SYNOPSIS:    void _fastcall dev_UnSetIRQ(USHORT IRQNum)
;*              USHORT  IRQNum;
;* DESCRIPTION: See DevHelp documentation of UnSetIRQ
;* CALL REGISTERS:
;*              ax    IRQNum
;* UNMODIFIED REGISTERS:
;*              ds bp si di
;* RETURNS:     ax = 0 -->   no error
;*              else    error code
;************************************************************************
@dev_UnSetIRQ	PROC	NEAR

	mov	bx,ax
	mov	dl,DevHlp_UnSetIRQ
	call	[_DevHelp]
	RET

@dev_UnSetIRQ	ENDP

_TEXT	ENDS

	END
