/************************************************************************
** MODULE INFORMATION*
**********************
**     FILE     NAME:       dprt002.c
**     SYSTEM   NAME:       devlib
**     ORIGINAL AUTHOR(S):  Paul Lemmers
**     VERSION  NUMBER:     
**     CREATION DATE:       1990/8/14
**
** DESCRIPTION: 
**              
*************************************************************************
** CHANGES INFORMATION **
*************************
** REVISION:    $Revision:   1.2  $
** WORKFILE:    $Workfile:   dprt002.c  $
** LOGINFO:     $Log:   D:/CPROG/MYDEV/DEVLIB/VCS/DPRT002.C_V  $
**              
**                 Rev 1.2   17 Dec 1990 14:34:22   PAUL
**              Function headers added
**              
**                 Rev 1.1   09 Dec 1990 19:07:00   PAUL
**              Adaptions for MSC 6.00
**              
**                 Rev 1.0   14 Aug 1990 14:26:06   PAUL
**              Initial revision.
*************************************************************************/
#if ! defined(PRD)
static char _pvcs_hdr[] =
"$Header:   D:/CPROG/MYDEV/DEVLIB/VCS/DPRT002.C_V   1.2   17 Dec 1990 14:34:22   PAUL  $";
#endif

#include <os2def.h>
#include "devlib.h"


/**************************************************************
** NAME:        dev_sprintf
** SYNOPSIS:    int dev_sprintf(dest, fmt, ...)
**              char far       *dest;   destination string
**              const char far *fmt;    format specifier as printf,
**                                      see format() for more details.
** DESCRIPTION: Sprintf() equivalent for a device driver.
**              It uses a lot of functions that cannot be freed after
**              init time, if this function will be used at non init
**              time.
** RETURNS:     As sprintf()
**************************************************************/
int	dev_sprintf(char far *dest, const char far *fmt, ...)
{
	return( format(dest, fmt, (char far *)((&fmt)+1)) );
}
