/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _PERF_H
#define _PERF_H


#include <dnpap.h>


#define PERFORMANCE_IFACE       1       /*  default performance test interface  */
#define PERFORMANCE_INTERVAL    1000    /*  default performance test interval   */

#define PERF_TIMESAMPLE         1
#define PERF_PACKETSAMPLE       2


enum PerfErrors
{
    PERF_MESSAGE = PERF_ERROR,
    PERF_INTERVALFAIL,
    PERF_TIMERFAIL,
    PERF_MACBACKFAIL,
    PERF_NETFAIL,
    PERF_SWITCHFAIL,
};


BOOLEAN PerfInit(VOID);


#endif
