/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _ALARM_M_H
#define _ALARM_M_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN AlarmMInit(VOID);

WORD AlarmIndex(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmInterval(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmVariable(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmSampleType(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmValue(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmStartupAlarm(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmRisingThreshold(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmFallingThreshold(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmRisingEventIndex(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmFallingEventIndex(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmOwner(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD AlarmStatus(SNMP_OBJECT* obj, WORD idlen, VOID *param);

BOOLEAN AlarmRegisterAllGenerators(ULONG eventIndex);


#endif
