include ../../../include/gcc_unx.std

MCFLAGS = -I../filter -I../capture -I../host -I../matrix -I../../disc -I../../drmon/host -I../../drmon/matrix

SYS = channel
SYSLIB  = rmon

all: obj

install: all $(INCDIR)/$(SYS).h $(INCDIR)/$(SYS)x.h $(LIBDIR)/lib$(SYSLIB).a

$(INCDIR)/$(SYS).h: $(SYS).h
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(INCDIR)/$(SYS)x.h: $(SYS)x.h
	$(CP) $(SYS)x.h $(INCDIR)/$(SYS)x.h

$(LIBDIR)/lib$(SYSLIB).a: $(SYS)m.o $(SYS)c.o
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(SYS)m.o $(SYS)c.o
	ranlib $(LIBDIR)/lib$(SYSLIB).a

obj: $(SYS)m.o $(SYS)c.o

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS)m.o: $(SYS)m.c $(SYS).h $(SYS)c.h $(SYS)x.h $(SYS)e.h 

$(SYS)c.o: $(SYS)c.c $(SYS)c.h $(SYS)x.h $(SYS)e.h $(SYS)d.h
