/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _EVENT_M_H
#define _EVENT_M_H


#include <dnpap.h>
#include <snmp.h>

#include "event_x.h"


BOOLEAN EventMInit(VOID);

WORD EventIndex(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD EventDescription(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD EventType(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD EventCommunity(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD EventLastTimeSent(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD EventOwner(SNMP_OBJECT* obj, WORD idlen, VOID *param);
WORD EventStatus(SNMP_OBJECT* obj, WORD idlen, VOID *param);

WORD EventLogEventIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EventLogIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EventLogTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD EventLogDescription(SNMP_OBJECT *obj, WORD idlen, VOID *param);

EventHook *EventRegisterGenerator(ULONG eventIndex, EventGeneratorDeRegisterCallback deregister, VOID *generator);
BOOLEAN EventDeRegisterGenerator(ULONG eventIndex, EventHook *hook);

PartyCallback *EventRegisterParty(ULONG eventIndex, EventPartyCallback notify, EventPartyDeRegisterCallback deregister, VOID *party);
BOOLEAN EventDeRegisterParty(ULONG eventIndex, PartyCallback *callback);

BOOLEAN EventGenerate(EventHook *hook, CHAR *generator, WORD code, WORD specific, SNMP_OBJECT *list, WORD listlen);


#endif
