/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _MATRIX_M_H
#define _MATRIX_M_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN MatrixMInit(VOID);

WORD MatrixControlIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixControlDataSource(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixControlTableSize(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixControlLastDeleteTime(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixControlOwner(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixControlStatus(SNMP_OBJECT *obj, WORD idlen, VOID *param);

WORD MatrixSDSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixSDDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixSDIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixSDPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixSDOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixSDErrors(SNMP_OBJECT *obj, WORD idlen, VOID *param);

WORD MatrixDSSourceAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixDSDestAddress(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixDSIndex(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixDSPkts(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixDSOctets(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD MatrixDSErrors(SNMP_OBJECT *obj, WORD idlen, VOID *param);

BOOLEAN MatrixRegisterAll(ULONG channelIndex);


#endif
