/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _STATM_H
#define _STATM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN EtherStatsMInit(VOID);

WORD etherStatsIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsDataSource (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsDropEvents (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsOctets (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsBroadcastPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsMulticastPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsCRCAlignErrors (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsUndersizePkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsOversizePkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsFragments (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsJabbers (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsCollisions (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsPkts64Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsPkts65to127Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsPkts128to255Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsPkts256to511Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsPkts512to1023Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsPkts1024to1518Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsOwner (SNMP_OBJECT *Obj, WORD IdLen);
WORD etherStatsStatus (SNMP_OBJECT *Obj, WORD IdLen);


#endif
