!include ..\..\..\include\standard.mak

LIBS    = $(LIBDIR)\dnpap.lib $(LIBDIR)\b2.lib $(LIBDIR)\stack.lib $(LIBDIR)\collect.lib $(LIBDIR)\dcollect.lib $(LIBDIR)\system.lib $(LIBDIR)\snmp.lib $(LIBDIR)\dnpapx.lib 


SYS     = ping
SYSLIB  = stack

all: obj doc

install: all $(INCDIR)\$(SYS).h $(MANDIR)\$(SYS).man $(LIBDIR)\$(SYSLIB).lib

$(INCDIR)\$(SYS).h: $(SYS).h 
	$(CP) $(SYS).h $(INCDIR)\$(SYS).h

$(MANDIR)\$(SYS).man: $(SYS).man 
	$(CP) $(SYS).man $(MANDIR)\$(SYS).man 

$(LIBDIR)\$(SYSLIB).lib: $(SYS).obj
	$(AR) $(LIBDIR)\$(SYSLIB).lib -+$(SYS).obj;

obj: $(SYS).obj

doc: $(SYS).man

clean:
    - $(RM) *.exe
    - $(RM) *.obj
    - $(RM) *.i
    - $(RM) *.lib
    - $(RM) *.man
    - $(RM) *.err
    - $(RM) *.bak

$(SYS).man: $(SYS).c
    $(MAN) -R:API  $(SYS).c > $(SYS).man

$(SYS).obj: $(SYS).c $(SYS).h

test.exe: test.obj test.ini
	$(LINK) test.obj  $(LIBS)
	$(MARKEXE) windowcompat test.exe
