
#line 3342 "subscript.w"

#ifdef SUBSCRIPT_PERL
#include <perl/INTERN.h>
#include <perl/perl.h>
#undef WORD
#endif
#include <string.h>
#include <dnpap.h>
#include <sysmib.h>
#include <agent.h>
#include <mibsup.h>
#include <mibrqs.h>
#include <agent.h>
#include <scheme.h>

#include "subscriptc.h"
#include "subscriptl.h"


#line 3741 "subscript.w"

Scheme *CurrentScheme = NULL;

char scheme_string_buf[1024];

#line 6222 "subscript.w"

INT SchemeSnmpId = 0;

#line 3360 "subscript.w"


#ifdef SUBSCRIPT_PERL

#line 7005 "subscript.w"

Perl *CurrentPerl = NULL;

#line 3363 "subscript.w"

#endif


#line 4020 "subscript.w"

Scheme *SchemeNew(VOID);

#line 3366 "subscript.w"


#line 4076 "subscript.w"

VOID SchemeDel(Scheme *scheme);

#line 3367 "subscript.w"


#ifdef SUBSCRIPT_PERL

#line 7051 "subscript.w"

static VOID perl_ext_init(VOID);

#line 3370 "subscript.w"


#line 7143 "subscript.w"

Perl *PerlNew(VOID);

#line 3371 "subscript.w"


#line 7178 "subscript.w"

VOID PerlDel(Perl *perl);

#line 3372 "subscript.w"

#endif


#line 4218 "subscript.w"

Scheme_Object *SchemeMakeAssoc(int argc, Scheme_Object *argv[]);

#line 3375 "subscript.w"


#line 4255 "subscript.w"

Scheme_Object *SchemeAssocSize(int argc, Scheme_Object *argv[]);

#line 3376 "subscript.w"


#line 4280 "subscript.w"

Scheme_Object *SchemeAssocRef(int argc, Scheme_Object *argv[]);

#line 3377 "subscript.w"


#line 4337 "subscript.w"

Scheme_Object *SchemeAssocSet(int argc, Scheme_Object *argv[]);

#line 3378 "subscript.w"


#line 4412 "subscript.w"

Scheme_Object *SchemeDelAssoc(int argc, Scheme_Object *argv[]);

#line 3379 "subscript.w"


#line 4441 "subscript.w"

static VOID HashCleanEntry(HashTable *ht, VOID *entry);

#line 3380 "subscript.w"



#line 4482 "subscript.w"

Scheme_Object *SchemeRunCommandRegister(int argc, Scheme_Object *argv[]);

#line 3382 "subscript.w"



#line 4530 "subscript.w"

Scheme_Object *SchemeMacRegister(int argc, Scheme_Object *argv[]);

#line 3384 "subscript.w"


#line 4624 "subscript.w"

Scheme_Object *SchemeMacDeRegister(int argc, Scheme_Object *argv[]);

#line 3385 "subscript.w"


#line 4575 "subscript.w"

LanguageCallback *SchemeMac(Scheme *scheme, Scheme_Object *obj, int interface, Scheme_Object *param);

#line 3386 "subscript.w"


#line 4609 "subscript.w"

BOOLEAN SchemeDeMac(LanguageCallback *mac);

#line 3387 "subscript.w"


#line 4653 "subscript.w"

BOOLEAN SchemeMacCallback(MAC_COLL *coll, PROT_PKT *pkt);

#line 3388 "subscript.w"



#line 4695 "subscript.w"

Scheme_Object *SchemeTimerRegister(int argc, Scheme_Object *argv[]);

#line 3390 "subscript.w"


#line 4786 "subscript.w"

Scheme_Object *SchemeTimerDeRegister(int argc, Scheme_Object *argv[]);

#line 3391 "subscript.w"


#line 4740 "subscript.w"

LanguageCallback *SchemeTimer(Scheme *scheme, Scheme_Object *obj, int period, ULONG count, int type, Scheme_Object *param);

#line 3392 "subscript.w"


#line 4771 "subscript.w"

BOOLEAN SchemeDeTimer(LanguageCallback *timer);

#line 3393 "subscript.w"


#line 4815 "subscript.w"

VOID SchemeTimerCallback(TIMER_DESCR *descr, ULONG now, VOID *param);

#line 3394 "subscript.w"



#line 4848 "subscript.w"

Scheme_Object *SchemeChannelRegister(int argc, Scheme_Object *argv[]);

#line 3396 "subscript.w"


#line 4939 "subscript.w"

Scheme_Object *SchemeChannelDeRegister(int argc, Scheme_Object *argv[]);

#line 3397 "subscript.w"


#line 4893 "subscript.w"

LanguageCallback *SchemeChannel(Scheme *scheme, Scheme_Object *obj, int channelIndex, Scheme_Object *param);

#line 3398 "subscript.w"


#line 4924 "subscript.w"

BOOLEAN SchemeDeChannel(LanguageCallback *channel);

#line 3399 "subscript.w"


#line 4968 "subscript.w"

VOID SchemeChannelCallback(ULONG channelIndex, int type, PROT_PKT *pkt, VOID *param);

#line 3400 "subscript.w"


#line 5002 "subscript.w"

VOID SchemeChannelDeRegisterCallback(ULONG channelIndex, VOID *param);

#line 3401 "subscript.w"



#line 5022 "subscript.w"

Scheme_Object *SchemeFilterRegister(int argc, Scheme_Object *argv[]);

#line 3403 "subscript.w"


#line 5113 "subscript.w"

Scheme_Object *SchemeFilterDeRegister(int argc, Scheme_Object *argv[]);

#line 3404 "subscript.w"


#line 5067 "subscript.w"

LanguageCallback *SchemeFilter(Scheme *scheme, Scheme_Object *obj, int filterIndex, Scheme_Object *param);

#line 3405 "subscript.w"


#line 5098 "subscript.w"

BOOLEAN SchemeDeFilter(LanguageCallback *filter);

#line 3406 "subscript.w"


#line 5142 "subscript.w"

BOOLEAN SchemeFilterCallback(ULONG filterIndex, int type, PROT_PKT *pkt, VOID *param);

#line 3407 "subscript.w"


#line 5183 "subscript.w"

VOID SchemeFilterDeRegisterCallback(ULONG filterIndex, VOID *param);

#line 3408 "subscript.w"



#line 5204 "subscript.w"

Scheme_Object *SchemeGeneratorRegister(int argc, Scheme_Object *argv[]);

#line 3410 "subscript.w"


#line 5295 "subscript.w"

Scheme_Object *SchemeGeneratorSend(int argc, Scheme_Object *argv[]);

#line 3411 "subscript.w"


#line 5338 "subscript.w"

BOOLEAN SchemeEventGenerate(Scheme *scheme, int id, char *generator, int code, int specific, Scheme_Object *varbinds);

#line 3412 "subscript.w"


#line 5377 "subscript.w"

Scheme_Object *SchemeGeneratorDeRegister(int argc, Scheme_Object *argv[]);

#line 3413 "subscript.w"


#line 5249 "subscript.w"

LanguageCallback *SchemeGenerator(Scheme *scheme, int eventIndex);

#line 3414 "subscript.w"


#line 5280 "subscript.w"

BOOLEAN SchemeDeGenerator(LanguageCallback *generator);

#line 3415 "subscript.w"


#line 5407 "subscript.w"

VOID SchemeGeneratorDeRegisterCallback(ULONG generatorIndex, VOID *param);

#line 3416 "subscript.w"



#line 5428 "subscript.w"

Scheme_Object *SchemeEventRegister(int argc, Scheme_Object *argv[]);

#line 3418 "subscript.w"


#line 5519 "subscript.w"

Scheme_Object *SchemeEventDeRegister(int argc, Scheme_Object *argv[]);

#line 3419 "subscript.w"


#line 5473 "subscript.w"

LanguageCallback *SchemeEvent(Scheme *scheme, Scheme_Object *obj, int eventIndex, Scheme_Object *param);

#line 3420 "subscript.w"


#line 5504 "subscript.w"

BOOLEAN SchemeDeEvent(LanguageCallback *event);

#line 3421 "subscript.w"


#line 5548 "subscript.w"

BOOLEAN SchemeEventCallback(ULONG eventIndex, VOID *param);

#line 3422 "subscript.w"


#line 5586 "subscript.w"

VOID SchemeEventDeRegisterCallback(ULONG eventIndex, VOID *param);

#line 3423 "subscript.w"



#line 5888 "subscript.w"

static Scheme_Object *SchemeMibRequest(int argc, Scheme_Object * argv[], int request);

#line 3425 "subscript.w"


#line 5925 "subscript.w"

Scheme_Object *SchemeMibGet(int argc, Scheme_Object * argv[]);

#line 3426 "subscript.w"


#line 5939 "subscript.w"

Scheme_Object *SchemeMibSet(int argc, Scheme_Object * argv[]);

#line 3427 "subscript.w"


#line 5953 "subscript.w"

Scheme_Object *SchemeMibNext(int argc, Scheme_Object * argv[]);

#line 3428 "subscript.w"


#line 5967 "subscript.w"

WORD SchemeMibCallback(SNMP_OBJECT * snmp, WORD idlen, VOID * param);

#line 3429 "subscript.w"


#line 6038 "subscript.w"

LanguageCallback *SchemeMib(Scheme * scheme, int argc, Scheme_Object * argv[], LONG * tree, INT treeLen);

#line 3430 "subscript.w"


#line 6099 "subscript.w"

BOOLEAN SchemeDeMib(LanguageCallback * mib);

#line 3431 "subscript.w"


#line 6115 "subscript.w"

static Scheme_Object *SchemeMibRegister(int argc, Scheme_Object * argv[], LONG * tree, INT treeLen);

#line 3432 "subscript.w"


#line 6158 "subscript.w"

Scheme_Object *SchemeMibDeRegister(int argc, Scheme_Object * argv[]);

#line 3433 "subscript.w"


#line 6188 "subscript.w"

Scheme_Object *SchemeMibRegisterArgs(int argc, Scheme_Object * argv[]);

#line 3434 "subscript.w"


#line 6205 "subscript.w"

Scheme_Object *SchemeMibRegisterResults(int argc, Scheme_Object * argv[]);

#line 3435 "subscript.w"



#line 5607 "subscript.w"

static BOOLEAN Varbinds2Objects(int request, Scheme_Object *varbinds, SNMP_OBJECT *objects, WORD nrobjects);

#line 3437 "subscript.w"


#line 5647 "subscript.w"

Scheme_Object *Objects2Varbinds(SNMP_OBJECT *objects, WORD nrobjects);

#line 3438 "subscript.w"



#line 5681 "subscript.w"

static BOOLEAN SnmpObjectPutId(SNMP_OBJECT * snmp, Scheme_Object * id, int offset);

#line 3440 "subscript.w"


#line 5710 "subscript.w"

static BOOLEAN SnmpObjectPutType(SNMP_OBJECT * snmp, Scheme_Object * type);

#line 3441 "subscript.w"


#line 5728 "subscript.w"

static BOOLEAN SnmpObjectPutSyntax(SNMP_OBJECT * snmp, Scheme_Object * syntax);

#line 3442 "subscript.w"


#line 5786 "subscript.w"

static Scheme_Object *SnmpObjectGetId(SNMP_OBJECT * snmp, int offset);

#line 3443 "subscript.w"


#line 5808 "subscript.w"

static Scheme_Object *SnmpObjectGetType(SNMP_OBJECT * snmp);

#line 3444 "subscript.w"


#line 5825 "subscript.w"

static Scheme_Object *SnmpObjectGetSyntax(SNMP_OBJECT * snmp);

#line 3445 "subscript.w"


#line 5871 "subscript.w"

static Scheme_Object *SnmpObjectGetRequest(SNMP_OBJECT * snmp);

#line 3446 "subscript.w"



#line 6228 "subscript.w"

Scheme_Object *SchemeSnmpConnect(int argc, Scheme_Object * argv[]);

#line 3448 "subscript.w"


#line 6279 "subscript.w"

LanguageCallback *SchemeSnmp(Scheme *scheme, Scheme_Object *obj, char *host, int port, char *request, char *community, Scheme_Object *param);

#line 3449 "subscript.w"


#line 6367 "subscript.w"

BOOLEAN SchemeDeSnmp(LanguageCallback *snmp);

#line 3450 "subscript.w"


#line 6383 "subscript.w"

Scheme_Object *SchemeSnmpSend(int argc, Scheme_Object * argv[]);

#line 3451 "subscript.w"


#line 6439 "subscript.w"

Scheme_Object *SchemeSnmpDisConnect(int argc, Scheme_Object * argv[]);

#line 3452 "subscript.w"


#line 6325 "subscript.w"

static VOID SchemeSnmpCallback(NW_DG *dg, CHAR *addr, BYTE *frame, INT length, VOID *param);

#line 3453 "subscript.w"



#line 6469 "subscript.w"

Scheme_Object *SchemeTrapRegister(int argc, Scheme_Object * argv[]);

#line 3455 "subscript.w"


#line 6517 "subscript.w"

LanguageCallback *SchemeTrap(Scheme *scheme, Scheme_Object *obj, int port, Scheme_Object *param);

#line 3456 "subscript.w"


#line 6588 "subscript.w"

BOOLEAN SchemeDeTrap(LanguageCallback *trap);

#line 3457 "subscript.w"


#line 6604 "subscript.w"

Scheme_Object *SchemeTrapDeRegister(int argc, Scheme_Object * argv[]);

#line 3458 "subscript.w"


#line 6550 "subscript.w"

static VOID SchemeTrapCallback(NW_DG *dg, CHAR *addr, BYTE *frame, INT length, VOID *param);

#line 3459 "subscript.w"



#line 6634 "subscript.w"

Scheme_Object *SchemeTrapSend(int argc, Scheme_Object * argv[]);

#line 3461 "subscript.w"



#line 6795 "subscript.w"

VOID SuspendCallbacks(VOID *language, int lang, BOOLEAN suspend);

#line 3463 "subscript.w"


#line 6861 "subscript.w"

VOID RemoveAllCallbacks(VOID *language, int lang);

#line 3464 "subscript.w"



#line 4457 "subscript.w"

Scheme_Object *scheme_make_packet(PROT_PKT *pkt);

#line 3466 "subscript.w"



#line 3756 "subscript.w"

VOID *SchemeInit(RunGetsFunction rungets,
                 RunPutsFunction runputs,
				 VOID *run)
{
    Scheme *scheme;
    Scheme_Object *obj;
	int expression;

	SchemeContextInit();

    /* allocate a Scheme structure */
    if ((scheme = SchemeNew()) == NULL)
        return NULL;
    scheme->rungets = rungets;
    scheme->runputs = runputs;
    scheme->run = run;

	scheme->hash_type = scheme_make_type("<hash>");
	scheme->packet_type = scheme_make_type("<packet>");
    scheme_add_global("make-hash", scheme_make_prim(SchemeMakeAssoc), scheme->env);
    scheme_add_global("hash-size", scheme_make_prim(SchemeAssocSize), scheme->env);
    scheme_add_global("hash-ref", scheme_make_prim(SchemeAssocRef), scheme->env);
    scheme_add_global("hash-set!", scheme_make_prim(SchemeAssocSet), scheme->env);
    scheme_add_global("del-hash", scheme_make_prim(SchemeDelAssoc), scheme->env);

    scheme_add_global("command-register", scheme_make_prim(SchemeRunCommandRegister), scheme->env);

    scheme_add_global("mac-register", scheme_make_prim(SchemeMacRegister), scheme->env);
    scheme_add_global("mac-deregister", scheme_make_prim(SchemeMacDeRegister), scheme->env);
    scheme_add_global("timer-register", scheme_make_prim(SchemeTimerRegister), scheme->env);
    scheme_add_global("timer-deregister", scheme_make_prim(SchemeTimerDeRegister), scheme->env);
    scheme_add_global("channel-register", scheme_make_prim(SchemeChannelRegister), scheme->env);
    scheme_add_global("channel-deregister", scheme_make_prim(SchemeChannelDeRegister), scheme->env);
    scheme_add_global("filter-register", scheme_make_prim(SchemeFilterRegister), scheme->env);
    scheme_add_global("filter-deregister", scheme_make_prim(SchemeFilterDeRegister), scheme->env);
    scheme_add_global("generator-register", scheme_make_prim(SchemeGeneratorRegister), scheme->env);
    scheme_add_global("generator-send", scheme_make_prim(SchemeGeneratorSend), scheme->env);
    scheme_add_global("generator-deregister", scheme_make_prim(SchemeGeneratorDeRegister), scheme->env);
    scheme_add_global("event-register", scheme_make_prim(SchemeEventRegister), scheme->env);
    scheme_add_global("event-deregister", scheme_make_prim(SchemeEventDeRegister), scheme->env);

	scheme->varbind_type = scheme_define_struct(scheme->env, "varbind", "id", "type", "syntax", NULL);

	scheme_add_global("mib-get", scheme_make_prim(SchemeMibGet), scheme->env);
	scheme_add_global("mib-set", scheme_make_prim(SchemeMibSet), scheme->env);
	scheme_add_global("mib-next", scheme_make_prim(SchemeMibNext), scheme->env);
	scheme_add_global("snmp-connect", scheme_make_prim(SchemeSnmpConnect), scheme->env);
	scheme_add_global("snmp-send", scheme_make_prim(SchemeSnmpSend), scheme->env);
	scheme_add_global("snmp-deconnect", scheme_make_prim(SchemeSnmpDisConnect), scheme->env);
	scheme_add_global("trap-register", scheme_make_prim(SchemeTrapRegister), scheme->env);
	scheme_add_global("trap-deregister", scheme_make_prim(SchemeTrapDeRegister), scheme->env);
	scheme_add_global("trap-send", scheme_make_prim(SchemeTrapSend), scheme->env);
	scheme_add_global("mib-register-args",
					  scheme_make_prim(SchemeMibRegisterArgs), scheme->env);
	scheme_add_global("mib-register-results",
					  scheme_make_prim(SchemeMibRegisterResults), scheme->env);
	scheme_add_global("mib-deregister",
					  scheme_make_prim(SchemeMibDeRegister), scheme->env);

    scheme->stdindata = NULL;
    scheme->stdinline = 0;
    scheme->stdinpos = 0;
    scheme->stdoutdata = NULL;
    scheme->stdoutline = 0;
    scheme->stdoutpos = 0;

    if ((scheme->stdinport = scheme_alloc_object()) == NULL ||
		(SCHEME_PTR_VAL(scheme->stdinport) =
			scheme_make_input_port(NULL, scheme,
				SchemeInputGetc, SchemeInputUnGetc,
				SchemeInputPoll, SchemeInputClose)) == NULL)
	{
		SchemeDel(scheme);
		return NULL;
	}
	SCHEME_TYPE(scheme->stdinport) = scheme_input_port_type;

    if ((scheme->stdoutport = scheme_alloc_object()) == NULL ||
		(SCHEME_PTR_VAL(scheme->stdoutport) =
			scheme_make_output_port(NULL, scheme,
				SchemeOutputPuts, SchemeOutputClose)) == NULL)
	{
		SchemeDel(scheme);
		return NULL;
	}
	SCHEME_TYPE(scheme->stdoutport) = scheme_output_port_type;

    if ((scheme = SchemeContextSwitch(scheme)) == NULL)
	{
		SchemeDel(scheme);
		return NULL;
	}

    for (expression = 1; ; expression++)
    {
        obj = scheme_read(scheme->stdinport);
        if (obj == scheme_eof)
            break;
        obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env) ,0);
        if (obj == NULL)
		{
			sprintf(scheme_string_buf, "error evaluating expression %d", expression);
			scheme_write_string(scheme_string_buf, scheme->stdoutport);
			SchemeDel(scheme);
			return NULL;
		}
		else
        {
            scheme_write(obj, scheme->stdoutport);
        }
    }

    return scheme;
}

#line 3468 "subscript.w"


#line 3932 "subscript.w"

BOOLEAN SchemeCall(Scheme *scheme, int command)
{
    Scheme_Object *obj = NULL;

	if ((scheme = SchemeContextSwitch(scheme)) == NULL)
		return FALSE;

    switch (command)
    {
    case RUN_COMMAND_INIT:
        if (scheme->init == NULL)
            return TRUE;
		if (!SCHEME_PROCP(scheme->init))
            return FALSE;
        obj = scheme_make_pair(scheme->init, scheme_null);
        obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);
        break;
    case RUN_COMMAND_START:
        if (scheme->start == NULL)
            return TRUE;
		if (!SCHEME_PROCP(scheme->start))
            return FALSE;
        obj = scheme_make_pair(scheme->start, scheme_null);
        obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);
        break;
    case RUN_COMMAND_STOP:
    	SuspendCallbacks(scheme, SCRIPT_LANGUAGE_SCHEME, TRUE);
        if (scheme->stop == NULL)
            return TRUE;
		if (!SCHEME_PROCP(scheme->stop))
            return FALSE;
        obj = scheme_make_pair(scheme->stop, scheme_null);
        obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);
        break;
    case RUN_COMMAND_RESUME:
    	SuspendCallbacks(scheme, SCRIPT_LANGUAGE_SCHEME, FALSE);
        if (scheme->resume == NULL)
            return TRUE;
		if (!SCHEME_PROCP(scheme->resume))
            return FALSE;
        obj = scheme_make_pair(scheme->resume, scheme_null);
        obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);
        break;
    case RUN_COMMAND_EXIT:
        if (scheme->exit == NULL)
            return TRUE;
		if (!SCHEME_PROCP(scheme->exit))
            return FALSE;
        obj = scheme_make_pair(scheme->exit, scheme_null);
        obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);
        break;
    default:
        return FALSE;
    }

	if (obj == NULL)
	{
		sprintf(scheme_string_buf, "error executing command %d", command);
		scheme_write_string(scheme_string_buf, scheme->stdoutport);
        return FALSE;
	}

	return TRUE;
}

#line 3469 "subscript.w"


#line 4006 "subscript.w"

VOID SchemeExit(Scheme *scheme)
{
	if ((scheme = SchemeContextSwitch(scheme)) == NULL)
		return;

   	RemoveAllCallbacks(scheme, SCRIPT_LANGUAGE_SCHEME);

	SchemeDel(scheme);
}

#line 3470 "subscript.w"



#line 7018 "subscript.w"

VOID *PerlInit(RunGetsFunction rungets,
               RunPutsFunction runputs,
			   VOID *run)
{
#ifdef SUBSCRIPT_PERL
    Perl *perl;
	int result;

	PerlContextInit();

    /* allocate a Perl structure */
    if ((perl = PerlNew()) == NULL)
        return NULL;
    perl->rungets = rungets;
    perl->runputs = runputs;
    perl->run = run;

	result = perl_parse(perl->env, perl_ext_init, 0, NULL, NULL);

	if (result)
	{
	}

    return perl;
#else
	return NULL;
#endif
}

#line 3472 "subscript.w"


#line 7074 "subscript.w"

BOOLEAN PerlCall(Perl *perl, int command)
{
#ifdef SUBSCRIPT_PERL
	if ((perl = PerlContextSwitch(perl)) == NULL)
		return FALSE;

    switch (command)
    {
    case RUN_COMMAND_INIT:
        if (perl->init == NULL)
            return TRUE;
        break;
    case RUN_COMMAND_START:
        if (perl->start == NULL)
            return TRUE;
        break;
    case RUN_COMMAND_STOP:
    	SuspendCallbacks(perl, SCRIPT_LANGUAGE_PERL, TRUE);
        if (perl->stop == NULL)
            return TRUE;
        break;
    case RUN_COMMAND_RESUME:
    	SuspendCallbacks(perl, SCRIPT_LANGUAGE_PERL, FALSE);
        if (perl->resume == NULL)
            return TRUE;
        break;
    case RUN_COMMAND_EXIT:
        if (perl->exit == NULL)
            return TRUE;
        break;
    default:
        return FALSE;
    }

	return TRUE;
#else
	return FALSE;
#endif
}

#line 3473 "subscript.w"


#line 7123 "subscript.w"

VOID PerlExit(Perl *perl)
{
#ifdef SUBSCRIPT_PERL
	if ((perl = PerlContextSwitch(perl)) == NULL)
		return;

   	RemoveAllCallbacks(perl, SCRIPT_LANGUAGE_PERL);

	perl_destruct(perl->env, 0);
	perl_free(perl->env);

	PerlDel(perl);
#else
#endif
}

#line 3474 "subscript.w"

#ifdef SUBSCRIPT_PERL

#line 7056 "subscript.w"

VOID perl_ext_init(VOID)
{
	char *file = __FILE__;
	{
		extern void boot_DynaLoader(CV *cv);
		newXS("DynaLoader::boot_DynaLoader", boot_DynaLoader, file);
	}
}

#line 3476 "subscript.w"

#endif


#line 4223 "subscript.w"

Scheme_Object *SchemeMakeAssoc(int argc, Scheme_Object *argv[])
{
	Scheme_Object *hash;
	HashTable *h;
    Scheme *scheme;

    if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_null;

    if (argc != 1 || !SCHEME_INTP(argv[0]))
    {
    	scheme_write_string("make-hash: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_null;
    }

	if ((h = NewHash(SCHEME_INT_VAL(argv[0]), NULL)) == NULL)
		return scheme_null;
	if ((hash = scheme_alloc_object()) == NULL)
	{
		DelHash(h);
		return scheme_null;
	}
	SCHEME_TYPE(hash) = scheme->hash_type;
	SCHEME_PTR_VAL(hash) = h;

	return hash;
}

#line 3479 "subscript.w"


#line 4260 "subscript.w"

Scheme_Object *SchemeAssocSize(int argc, Scheme_Object *argv[])
{
    Scheme *scheme;

    if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_null;

    if (argc != 1 || !SCHEME_HASHP(argv[0]))
    {
    	scheme_write_string("hash-size: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_null;
    }

	return scheme_make_integer(HashSize((HashTable *)SCHEME_PTR_VAL(argv[0])));
}

#line 3480 "subscript.w"


#line 4285 "subscript.w"

Scheme_Object *SchemeAssocRef(int argc, Scheme_Object *argv[])
{
	Scheme_Assoc_Entry *elem;
    Scheme *scheme;
	int i, keylen = 0;
	BYTE vector[SCHEME_HASH_SIZE_KEY];
	BYTE *key = NULL;
	Scheme_Object **elems;

    if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_null;

    if (argc != 2 || !SCHEME_HASHP(argv[0]) ||
		(!SCHEME_STRINGP(argv[1]) && !SCHEME_VECTORP(argv[1])))
    {
    	scheme_write_string("hash-ref: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_null;
    }

	if (SCHEME_STRINGP(argv[1]))
	{
		key =  SCHEME_STR_VAL(argv[1]);
		keylen = strlen(key);
	}
	else
	if (SCHEME_VECTORP(argv[1]))
	{
		key = vector;
		keylen = SCHEME_VEC_SIZE(argv[1]);
		elems = SCHEME_VEC_ELS(argv[1]);
		for (i = 0; i < keylen; i++)
		{
			if (SCHEME_INTP(elems[i]))
				vector[i] = SCHEME_INT_VAL(elems[i]);
			else
			if (SCHEME_CHARP(elems[i]))
				vector[i] = SCHEME_CHAR_VAL(elems[i]);
			else
				return scheme_null;
		}
	}

	if ((elem = HashSearch((HashTable *)SCHEME_PTR_VAL(argv[0]), key, keylen)) == NULL)
		return scheme_null;

	return elem->data;
}

#line 3481 "subscript.w"


#line 4342 "subscript.w"

Scheme_Object *SchemeAssocSet(int argc, Scheme_Object *argv[])
{
    Scheme *scheme;
	HashTable *hash;
	int i, keylen = 0;
	BYTE vector[SCHEME_HASH_SIZE_KEY];
	BYTE *key = NULL;
	Scheme_Object **elems;
	Scheme_Assoc_Entry *elem;

    if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_null;

    if (argc != 3 || !SCHEME_HASHP(argv[0]) ||
		(!SCHEME_STRINGP(argv[1]) && !SCHEME_VECTORP(argv[1])))
    {
    	scheme_write_string("hash-set!: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_null;
    }
	if (SCHEME_STRINGP(argv[1]))
	{
		key =  SCHEME_STR_VAL(argv[1]);
		keylen = strlen(key);
	}
	else
	if (SCHEME_VECTORP(argv[1]))
	{
		key = vector;
		keylen = SCHEME_VEC_SIZE(argv[1]);
		elems = SCHEME_VEC_ELS(argv[1]);
		for (i = 0; i < keylen; i++)
		{
			if (SCHEME_INTP(elems[i]))
				vector[i] = SCHEME_INT_VAL(elems[i]);
			else
			if (SCHEME_CHARP(elems[i]))
				vector[i] = SCHEME_CHAR_VAL(elems[i]);
			else
				return scheme_null;
		}
	}
    if (keylen > SCHEME_HASH_SIZE_KEY)
    {
    	scheme_write_string("hash-set!: key too long", scheme->stdoutport);
    	return scheme_null;
	}

	hash = (HashTable *)SCHEME_PTR_VAL(argv[0]);
	if ((elem = HashSearch(hash, key, keylen)) != NULL)
	{
		elem->data = argv[2];
		return argv[2];
	}
	if ((elem = DnpapMalloc(sizeof(Scheme_Assoc_Entry))) == NULL)
		return scheme_null;
	memcpy(elem->key, key, keylen);
	elem->data = argv[2];
	if (HashAdd(hash, elem->key, keylen, elem) == NULL)
	{
		DnpapFree(elem);
		return scheme_null;
	}

	return argv[2];
}

#line 3482 "subscript.w"


#line 4417 "subscript.w"

Scheme_Object *SchemeDelAssoc(int argc, Scheme_Object *argv[])
{
    Scheme *scheme;
	HashTable *hash;

    if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

    if (argc != 1 || !SCHEME_HASHP(argv[0]))
    {
    	scheme_write_string("del-hash: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	hash = (HashTable *)SCHEME_PTR_VAL(argv[0]);
	CleanHash(hash, HashCleanEntry);
	DelHash(hash);

	return scheme_true;
}

#line 3483 "subscript.w"


#line 4446 "subscript.w"

VOID HashCleanEntry(HashTable *ht, VOID *entry)
{
Scheme_Assoc_Entry *elem = (Scheme_Assoc_Entry *) entry;

	HashRemove(ht, elem->key, strlen(elem->key));
}

#line 3484 "subscript.w"



#line 4487 "subscript.w"

Scheme_Object *SchemeRunCommandRegister(int argc, Scheme_Object *argv[])
{
    Scheme *scheme;

    if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if (SubscriptRunCommand(scheme->run) != RUN_COMMAND_NULL)
    {
    	scheme_write_string("command-register: can only be called during initialization", scheme->stdoutport);
    	return scheme_false;
    }

    if (argc != 2 || !SCHEME_STRINGP(argv[0]) || !SCHEME_PROCP(argv[1]))
    {
    	scheme_write_string("command-register: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

    if (strcasecmp("init", SCHEME_STR_VAL(argv[0])) == 0)
        scheme->init = argv[1];
    else
    if (strcasecmp("start", SCHEME_STR_VAL(argv[0])) == 0)
        scheme->start = argv[1];
    else
    if (strcasecmp("stop", SCHEME_STR_VAL(argv[0])) == 0)
        scheme->stop = argv[1];
    else
    if (strcasecmp("resume", SCHEME_STR_VAL(argv[0])) == 0)
        scheme->resume = argv[1];
    else
    if (strcasecmp("exit", SCHEME_STR_VAL(argv[0])) == 0)
        scheme->exit = argv[1];
    else
        return scheme_false;

    return scheme_true;
}

#line 3486 "subscript.w"



#line 4535 "subscript.w"

Scheme_Object *SchemeMacRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *mac;
int command;

    if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
    {
    	scheme_write_string("mac-register: can only be called during 'start' or 'resume'", scheme->stdoutport);
    	return scheme_false;
    }

    if (argc != 3 || !SCHEME_PROCP(argv[0]) || !SCHEME_INTP(argv[1]))
    {
    	scheme_write_string("mac-register: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((mac = SchemeMac(scheme, argv[0], SCHEME_INT_VAL(argv[1]), argv[2])) == NULL)
    {
    	scheme_write_string("mac-register: can not register mac", scheme->stdoutport);
    	return scheme_false;
    }

	if (AddCallback(&scheme->macs, mac) == FALSE)
    {
    	scheme_write_string("mac-register: can not add mac", scheme->stdoutport);
    	return scheme_false;
    }

    return scheme_make_integer(mac->id);
}

#line 3488 "subscript.w"


#line 4629 "subscript.w"

Scheme_Object *SchemeMacDeRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *mac;

    if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

    if (argc != 1 || !SCHEME_INTP(argv[0]))
    {
    	scheme_write_string("mac-deregister: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((mac = RemoveCallback(&scheme->macs, SCHEME_INT_VAL(argv[0]))) == NULL)
	   	return scheme_false;
	SchemeDeMac(mac);

   	return scheme_true;
}

#line 3489 "subscript.w"


#line 4580 "subscript.w"

LanguageCallback *SchemeMac(Scheme *scheme, Scheme_Object *obj, int interface, Scheme_Object *param)
{
LanguageCallback *mac;

	if (MacIfaceGet(interface) == NULL)
		return NULL;
	if ((mac = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	mac->id = (int) mac;
	mac->language = scheme;
	mac->callback = obj;
	mac->suspend = FALSE;
	mac->param = param;
	mac->callbacks.mac.coll.Rcve = SchemeMacCallback;
	mac->callbacks.mac.coll.specific = mac;
	mac->callbacks.mac.interface = interface;
	mac->prev = NULL;
	mac->next = NULL;
	if (MacCollRegister(&mac->callbacks.mac.coll) == FALSE)
	{
    	DnpapFree(mac);
        return NULL;
    }
	return mac;
}

#line 3490 "subscript.w"


#line 4614 "subscript.w"

BOOLEAN SchemeDeMac(LanguageCallback *mac)
{
    MacCollRemove(&mac->callbacks.mac.coll);
    DnpapFree(mac);
	return TRUE;
}

#line 3491 "subscript.w"


#line 4658 "subscript.w"

BOOLEAN SchemeMacCallback(MAC_COLL *coll, PROT_PKT *pkt)
{
LanguageCallback *mac = (LanguageCallback *) coll->specific;
Scheme *scheme;
Scheme_Object *obj;
PROT_OBJ interface = {0, {1,2}};

    if ((scheme = SchemeContextSwitch(mac->language)) == NULL)
		return FALSE;

    if (mac->callback == NULL || mac->suspend == TRUE)
        return TRUE;
	if (ProtGetField(pkt, &interface) == FALSE)
		return TRUE;
    if (mac->callbacks.mac.interface != interface.Syntax.LngInt)
		return TRUE;

    obj = scheme_make_pair(mac->param, scheme_null);
    obj = scheme_make_pair(scheme_make_packet(pkt), obj);
    obj = scheme_make_pair(scheme_make_integer(mac->callbacks.mac.interface), obj);
    obj = scheme_make_pair(scheme_make_integer(mac->id), obj);
    obj = scheme_make_pair(mac->callback, obj);
    obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);

    if (obj == NULL)
	{
		scheme_write_string("error executing mac callback", scheme->stdoutport);
		return FALSE;
	}

    return TRUE;
}

#line 3492 "subscript.w"



#line 4700 "subscript.w"

Scheme_Object *SchemeTimerRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *timer;
int command;

    if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
    {
    	scheme_write_string("timer-register: can only be called during 'start' or 'resume'", scheme->stdoutport);
    	return scheme_false;
    }

    if (argc != 4 || !SCHEME_PROCP(argv[0]) || !SCHEME_INTP(argv[1]) || !SCHEME_INTP(argv[2]))
    {
    	scheme_write_string("timer-register: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((timer = SchemeTimer(scheme, argv[0], SCHEME_INT_VAL(argv[1]), TIMER_FOREVER, SCHEME_INT_VAL(argv[2]), argv[3])) == NULL)
    {
    	scheme_write_string("timer-register: can not register timer", scheme->stdoutport);
    	return scheme_false;
    }

	if (AddCallback(&scheme->timers, timer) == FALSE)
    {
    	scheme_write_string("timer-register: can not add timer", scheme->stdoutport);
    	return scheme_false;
    }

	return scheme_make_integer(timer->id);
}

#line 3494 "subscript.w"


#line 4791 "subscript.w"

Scheme_Object *SchemeTimerDeRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *timer;

    if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

    if (argc != 1 || !SCHEME_INTP(argv[0]))
    {
    	scheme_write_string("timer-deregister: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((timer = RemoveCallback(&scheme->timers, SCHEME_INT_VAL(argv[0]))) == NULL)
	   	return scheme_false;
	SchemeDeTimer(timer);

   	return scheme_true;
}

#line 3495 "subscript.w"


#line 4745 "subscript.w"

LanguageCallback *SchemeTimer(Scheme *scheme, Scheme_Object *obj, int period, ULONG count, int type, Scheme_Object *param)
{
LanguageCallback *timer;

	if ((timer = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	timer->id = (int) timer;
	timer->language = scheme;
	timer->callback = obj;
	timer->param = param;
	timer->suspend = FALSE;
	timer->prev = NULL;
	timer->next = NULL;
	timer->callbacks.timer = TimerRegister(SchemeTimerCallback, timer,
										   (ULONG)period, count, type);
	if (timer->callbacks.timer == NULL)
	{
		DnpapFree(timer);
		return NULL;
	}
	return timer;
}

#line 3496 "subscript.w"


#line 4776 "subscript.w"

BOOLEAN SchemeDeTimer(LanguageCallback *timer)
{
	TimerRemove(timer->callbacks.timer);
    DnpapFree(timer);
	return TRUE;
}

#line 3497 "subscript.w"


#line 4820 "subscript.w"

VOID SchemeTimerCallback(TIMER_DESCR *descr, ULONG now, VOID *param)
{
LanguageCallback *timer = (LanguageCallback *) param;
Scheme *scheme;
Scheme_Object *obj;

    if ((scheme = SchemeContextSwitch(timer->language)) == NULL)
		return;

    if (timer->callback == NULL || timer->suspend == TRUE)
        return;

    obj = scheme_make_pair(timer->param, scheme_null);
    obj = scheme_make_pair(scheme_make_integer(now), obj);
    obj = scheme_make_pair(scheme_make_integer(timer->id), obj);
    obj = scheme_make_pair(timer->callback, obj);
    obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);

	if (obj == NULL)
	{
		scheme_write_string("error executing timer callback", scheme->stdoutport);
	}
}

#line 3498 "subscript.w"



#line 4853 "subscript.w"

Scheme_Object *SchemeChannelRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *channel;
int command;

    if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
    {
    	scheme_write_string("channel-register: can only be called during 'start' or 'resume'", scheme->stdoutport);
    	return scheme_false;
    }

    if (argc != 3 || !SCHEME_PROCP(argv[0]) || !SCHEME_INTP(argv[1]))
    {
    	scheme_write_string("channel-register: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((channel = SchemeChannel(scheme, argv[0], SCHEME_INT_VAL(argv[1]), argv[2])) == NULL)
    {
    	scheme_write_string("channel-register: can not register channel", scheme->stdoutport);
    	return scheme_false;
    }

	if (AddCallback(&scheme->channels, channel) == FALSE)
    {
    	scheme_write_string("channel-register: can not add channel", scheme->stdoutport);
    	return scheme_false;
    }

	return scheme_make_integer(channel->id);
}

#line 3500 "subscript.w"


#line 4944 "subscript.w"

Scheme_Object *SchemeChannelDeRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *channel;

	if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_false;

    if (argc != 1 || !SCHEME_INTP(argv[0]))
    {
    	scheme_write_string("channel-deregister: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((channel = RemoveCallback(&scheme->channels, SCHEME_INT_VAL(argv[0]))) == NULL)
	   	return scheme_false;
	SchemeDeChannel(channel);

   	return scheme_true;
}

#line 3501 "subscript.w"


#line 4898 "subscript.w"

LanguageCallback *SchemeChannel(Scheme *scheme, Scheme_Object *obj, int channelIndex, Scheme_Object *param)
{
LanguageCallback *channel;

	if ((channel = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	channel->id = (int) channel;
	channel->language = scheme;
	channel->callback = obj;
	channel->param = param;
	channel->suspend = FALSE;
	channel->prev = NULL;
	channel->next = NULL;
	channel->callbacks.channel.index = channelIndex;
	channel->callbacks.channel.callback = ChannelRegisterSink(channelIndex, SchemeChannelCallback, SchemeChannelDeRegisterCallback, channel);
	if (channel->callbacks.channel.callback == NULL)
	{
		DnpapFree(channel);
		return NULL;
	}
	return channel;
}

#line 3502 "subscript.w"


#line 4929 "subscript.w"

BOOLEAN SchemeDeChannel(LanguageCallback *channel)
{
	ChannelDeRegisterSink(channel->callbacks.channel.index, channel->callbacks.channel.callback);
    DnpapFree(channel);
	return TRUE;
}

#line 3503 "subscript.w"


#line 4973 "subscript.w"

VOID SchemeChannelCallback(ULONG channelIndex, int type, PROT_PKT *pkt, VOID *param)
{
LanguageCallback *channel = (LanguageCallback *) param;
Scheme *scheme;
Scheme_Object *obj;

    if ((scheme = SchemeContextSwitch(channel->language)) == NULL)
    	return;

    if (channel->callback == NULL || channel->suspend == TRUE)
        return;

    obj = scheme_make_pair(channel->param, scheme_null);
    obj = scheme_make_pair(scheme_make_packet(pkt), obj);
    obj = scheme_make_pair(scheme_make_integer(type), obj);
    obj = scheme_make_pair(scheme_make_integer(channelIndex), obj);
    obj = scheme_make_pair(scheme_make_integer(channel->id), obj);
    obj = scheme_make_pair(channel->callback, obj);
    obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);

	if (obj == NULL)
	{
		scheme_write_string("error executing channel callback", scheme->stdoutport);
	}
}

#line 3504 "subscript.w"


#line 5007 "subscript.w"

VOID SchemeChannelDeRegisterCallback(ULONG channelIndex, VOID *param)
{
LanguageCallback *channel = (LanguageCallback *) param;
Scheme *scheme;

    if ((scheme = SchemeContextSwitch(channel->language)) == NULL)
		return;

	if (RemoveCallback(&scheme->channels, channel->id) == channel)
		SchemeDeChannel(channel);
}

#line 3505 "subscript.w"



#line 5027 "subscript.w"

Scheme_Object *SchemeFilterRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *filter;
int command;

    if ((scheme = SchemeContextCurrent()) == NULL)
        return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
    {
    	scheme_write_string("filter-register: can only be called during 'start' or 'resume'", scheme->stdoutport);
    	return scheme_false;
    }

    if (argc != 3 || !SCHEME_PROCP(argv[0]) || !SCHEME_INTP(argv[1]))
    {
    	scheme_write_string("filter-register: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((filter = SchemeFilter(scheme, argv[0], SCHEME_INT_VAL(argv[1]), argv[2])) == NULL)
    {
    	scheme_write_string("filter-register: can not register filter", scheme->stdoutport);
    	return scheme_false;
    }

	if (AddCallback(&scheme->filters, filter) == FALSE)
    {
    	scheme_write_string("filter-register: can not add filter", scheme->stdoutport);
    	return scheme_false;
    }

	return scheme_make_integer(filter->id);
}

#line 3507 "subscript.w"


#line 5118 "subscript.w"

Scheme_Object *SchemeFilterDeRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *filter;

    if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_false;

    if (argc != 1 || !SCHEME_INTP(argv[0]))
    {
    	scheme_write_string("filter-deregister: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((filter = RemoveCallback(&scheme->filters, SCHEME_INT_VAL(argv[0]))) == NULL)
	   	return scheme_false;
	SchemeDeFilter(filter);

   	return scheme_true;
}

#line 3508 "subscript.w"


#line 5072 "subscript.w"

LanguageCallback *SchemeFilter(Scheme *scheme, Scheme_Object *obj, int filterIndex, Scheme_Object *param)
{
LanguageCallback *filter;

	if ((filter = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	filter->id = (int) filter;
	filter->language = scheme;
	filter->callback = obj;
	filter->param = param;
	filter->suspend = FALSE;
	filter->prev = NULL;
	filter->next = NULL;
	filter->callbacks.filter.index = filterIndex;
	filter->callbacks.filter.callback = ChannelRegisterFilter(filterIndex, SchemeFilterCallback, SchemeFilterDeRegisterCallback, filter);
	if (filter->callbacks.filter.callback == NULL)
	{
		DnpapFree(filter);
		return NULL;
	}
	return filter;
}

#line 3509 "subscript.w"


#line 5103 "subscript.w"

BOOLEAN SchemeDeFilter(LanguageCallback *filter)
{
	ChannelDeRegisterFilter(filter->callbacks.filter.index, filter->callbacks.filter.callback);
    DnpapFree(filter);
	return TRUE;
}

#line 3510 "subscript.w"


#line 5147 "subscript.w"

BOOLEAN SchemeFilterCallback(ULONG filterIndex, int type, PROT_PKT *pkt, VOID *param)
{
LanguageCallback *filter = (LanguageCallback *) param;
Scheme *scheme;
Scheme_Object *obj;

    if ((scheme = SchemeContextSwitch(filter->language)) == NULL)
    	return FALSE;

    if (filter->callback == NULL || filter->suspend == TRUE)
        return FALSE;

    obj = scheme_make_pair(filter->param, scheme_null);
    obj = scheme_make_pair(scheme_make_packet(pkt), obj);
    obj = scheme_make_pair(scheme_make_integer(type), obj);
    obj = scheme_make_pair(scheme_make_integer(filterIndex), obj);
    obj = scheme_make_pair(scheme_make_integer(filter->id), obj);
    obj = scheme_make_pair(filter->callback, obj);
    obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);

	if (obj == NULL)
	{
		scheme_write_string("error executing filter callback", scheme->stdoutport);
		return FALSE;
	}

	if (!SCHEME_BOOLP(obj) || obj == scheme_false)
		return FALSE;

	return TRUE;
}

#line 3511 "subscript.w"


#line 5188 "subscript.w"

VOID SchemeFilterDeRegisterCallback(ULONG filterIndex, VOID *param)
{
LanguageCallback *filter = (LanguageCallback *) param;
Scheme *scheme;

    if ((scheme = SchemeContextSwitch(filter->language)) == NULL)
		return;

	if (RemoveCallback(&scheme->filters, filter->id) == filter)
		SchemeDeFilter(filter);
}

#line 3512 "subscript.w"



#line 5209 "subscript.w"

Scheme_Object *SchemeGeneratorRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *generator;
int command;

    if ((scheme = SchemeContextCurrent()) == NULL)
        return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
    {
    	scheme_write_string("generator-register: can only be called during 'start' or 'resume'", scheme->stdoutport);
    	return scheme_false;
    }

    if (argc != 1 || !SCHEME_INTP(argv[0]))
    {
    	scheme_write_string("generator-register: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((generator = SchemeGenerator(scheme, SCHEME_INT_VAL(argv[0]))) == NULL)
    {
    	scheme_write_string("generator-register: can not register generator", scheme->stdoutport);
    	return scheme_false;
    }

	if (AddCallback(&scheme->generators, generator) == FALSE)
    {
    	scheme_write_string("generator-register: can not add generator", scheme->stdoutport);
    	return scheme_false;
    }

	return scheme_make_integer(generator->id);
}

#line 3514 "subscript.w"


#line 5300 "subscript.w"

Scheme_Object *SchemeGeneratorSend(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
int command;

    if ((scheme = SchemeContextCurrent()) == NULL)
        return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
    {
    	scheme_write_string("generator-send: can only be called during 'start' or 'resume'", scheme->stdoutport);
    	return scheme_false;
    }

    if (argc != 5 || !SCHEME_INTP(argv[0]) || !SCHEME_STRINGP(argv[1]) ||
		!SCHEME_INTP(argv[2]) || !SCHEME_INTP(argv[3]) ||
		!SCHEME_VECTORP(argv[4]))
    {
    	scheme_write_string("generator-send: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if (SchemeEventGenerate(scheme, SCHEME_INT_VAL(argv[0]),
		SCHEME_STR_VAL(argv[1]), SCHEME_INT_VAL(argv[2]),
		SCHEME_INT_VAL(argv[3]), argv[4]) == FALSE)
    {
    	scheme_write_string("generator-send: can not send event", scheme->stdoutport);
    	return scheme_false;
    }

	return scheme_true;
}

#line 3515 "subscript.w"


#line 5343 "subscript.w"

BOOLEAN SchemeEventGenerate(Scheme *scheme, int id, char *generator, int code, int specific, Scheme_Object *varbinds)
{
EventHook *hook;
SNMP_OBJECT *objects;
WORD nrobjects;
LanguageCallback *entry;

	if ((entry = SearchCallback(scheme->generators, id)) == NULL)
		return FALSE;
	if ((hook = entry->callbacks.generator.hook) == NULL)
		return FALSE;
	if (!SCHEME_VECTORP(varbinds))
		return FALSE;
	nrobjects = SCHEME_VEC_SIZE(varbinds);
	if ((objects = DnpapMalloc(nrobjects*sizeof(SNMP_OBJECT))) == NULL)
		return FALSE;
	if (Varbinds2Objects(SNMP_PDU_SET, varbinds, objects, nrobjects) == FALSE)
	{
		DnpapFree(objects);
		return FALSE;
	}
	if (EventGenerate(hook, generator, code, specific, objects, nrobjects) == FALSE)
	{
		DnpapFree(objects);
		return FALSE;
	}
	DnpapFree(objects);
	return TRUE;
}

#line 3516 "subscript.w"


#line 5382 "subscript.w"

Scheme_Object *SchemeGeneratorDeRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *generator;

    if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_false;

    if (argc != 1 || !SCHEME_INTP(argv[0]))
    {
    	scheme_write_string("generator-deregister: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((generator = RemoveCallback(&scheme->generators, SCHEME_INT_VAL(argv[0]))) == NULL)
	   	return scheme_false;
	SchemeDeGenerator(generator);

   	return scheme_true;
}

#line 3517 "subscript.w"


#line 5254 "subscript.w"

LanguageCallback *SchemeGenerator(Scheme *scheme, int eventIndex)
{
LanguageCallback *generator;

	if ((generator = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	generator->id = (int) generator;
	generator->language = scheme;
	generator->callback = NULL;
	generator->param = NULL;
	generator->suspend = FALSE;
	generator->prev = NULL;
	generator->next = NULL;
	generator->callbacks.generator.index = eventIndex;
	generator->callbacks.generator.hook = EventRegisterGenerator(eventIndex, SchemeGeneratorDeRegisterCallback, generator);
	if (generator->callbacks.generator.hook == NULL)
	{
		DnpapFree(generator);
		return NULL;
	}
	return generator;
}

#line 3518 "subscript.w"


#line 5285 "subscript.w"

BOOLEAN SchemeDeGenerator(LanguageCallback *generator)
{
	EventDeRegisterGenerator(generator->callbacks.generator.index, generator->callbacks.generator.hook);
    DnpapFree(generator);
	return TRUE;
}

#line 3519 "subscript.w"


#line 5412 "subscript.w"

VOID SchemeGeneratorDeRegisterCallback(ULONG generatorIndex, VOID *param)
{
LanguageCallback *generator = (LanguageCallback *) param;
Scheme *scheme;

    if ((scheme = SchemeContextSwitch(generator->language)) == NULL)
    	return;

	if (RemoveCallback(&scheme->generators, generator->id) == generator)
		SchemeDeGenerator(generator);
}

#line 3520 "subscript.w"



#line 5433 "subscript.w"

Scheme_Object *SchemeEventRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *event;
int command;

    if ((scheme = SchemeContextCurrent()) == NULL)
        return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
    {
    	scheme_write_string("event-register: can only be called during 'start' or 'resume'", scheme->stdoutport);
    	return scheme_false;
    }

    if (argc != 3 || !SCHEME_PROCP(argv[0]) || !SCHEME_INTP(argv[1]))
    {
    	scheme_write_string("event-register: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((event = SchemeEvent(scheme, argv[0], SCHEME_INT_VAL(argv[1]), argv[2])) == NULL)
    {
    	scheme_write_string("event-register: can not register event", scheme->stdoutport);
    	return scheme_false;
    }

	if (AddCallback(&scheme->events, event) == FALSE)
    {
    	scheme_write_string("event-register: can not add event", scheme->stdoutport);
    	return scheme_false;
    }

	return scheme_make_integer(event->id);
}

#line 3522 "subscript.w"


#line 5524 "subscript.w"

Scheme_Object *SchemeEventDeRegister(int argc, Scheme_Object *argv[])
{
Scheme *scheme;
LanguageCallback *event;

    if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_false;

    if (argc != 1 || !SCHEME_INTP(argv[0]))
    {
    	scheme_write_string("event-deregister: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_false;
    }

	if ((event = RemoveCallback(&scheme->events, SCHEME_INT_VAL(argv[0]))) == NULL)
	   	return scheme_false;
	SchemeDeEvent(event);

   	return scheme_true;
}

#line 3523 "subscript.w"


#line 5478 "subscript.w"

LanguageCallback *SchemeEvent(Scheme *scheme, Scheme_Object *obj, int eventIndex, Scheme_Object *param)
{
LanguageCallback *event;

	if ((event = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	event->id = (int) event;
	event->language = scheme;
	event->callback = obj;
	event->param = param;
	event->suspend = FALSE;
	event->prev = NULL;
	event->next = NULL;
	event->callbacks.event.index = eventIndex;
	event->callbacks.event.callback = EventRegisterParty(eventIndex, SchemeEventCallback, SchemeEventDeRegisterCallback, event);
	if (event->callbacks.event.callback == NULL)
	{
		DnpapFree(event);
		return NULL;
	}
	return event;
}

#line 3524 "subscript.w"


#line 5509 "subscript.w"

BOOLEAN SchemeDeEvent(LanguageCallback *event)
{
	EventDeRegisterParty(event->callbacks.event.index, event->callbacks.event.callback);
    DnpapFree(event);
	return TRUE;
}

#line 3525 "subscript.w"


#line 5553 "subscript.w"

BOOLEAN SchemeEventCallback(ULONG eventIndex, VOID *param)
{
LanguageCallback *event = (LanguageCallback *) param;
Scheme *scheme;
Scheme_Object *obj;

    if ((scheme = SchemeContextSwitch(event->language)) == NULL)
    	return FALSE;

    if (event->callback == NULL || event->suspend == TRUE)
        return FALSE;

    obj = scheme_make_pair(event->param, scheme_null);
    obj = scheme_make_pair(scheme_make_integer(eventIndex), obj);
    obj = scheme_make_pair(scheme_make_integer(event->id), obj);
    obj = scheme_make_pair(event->callback, obj);
    obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);

	if (obj == NULL)
	{
		scheme_write_string("error executing event callback", scheme->stdoutport);
		return FALSE;
	}

	if (!SCHEME_BOOLP(obj) || obj == scheme_false)
		return FALSE;

	return TRUE;
}

#line 3526 "subscript.w"


#line 5591 "subscript.w"

VOID SchemeEventDeRegisterCallback(ULONG eventIndex, VOID *param)
{
LanguageCallback *event = (LanguageCallback *) param;
Scheme *scheme;

    if ((scheme = SchemeContextSwitch(event->language)) == NULL)
    	return;

	if (RemoveCallback(&scheme->events, event->id) == event)
		SchemeDeEvent(event);
}

#line 3527 "subscript.w"



#line 5893 "subscript.w"

Scheme_Object *SchemeMibRequest(int argc, Scheme_Object * argv[], int request)
{
    Scheme *scheme;
	SNMP_OBJECT objects[AGENT_LIST_SIZE];
	int nrobjects;
	WORD status, index;

    if ((scheme = SchemeContextCurrent()) == NULL)
    	return scheme_null;

    if (argc != 1 || !SCHEME_VECTORP(argv[0]))
    {
    	scheme_write_string("mib-request: arguments do not match either in type or number", scheme->stdoutport);
    	return scheme_null;
    }

	if (Varbinds2Objects(request, argv[0], objects, nrobjects = SCHEME_VEC_SIZE(argv[0])) == FALSE)
	{
		scheme_write_string("mib-request: error in varbinds", scheme->stdoutport);
		return scheme_null;
	}

	if ((status = MibRequest(nrobjects, objects, &index)) != SNMP_NOERROR)
		return scheme_make_integer(status);

	return Objects2Varbinds(objects, nrobjects);
}

#line 3529 "subscript.w"


#line 5930 "subscript.w"

Scheme_Object *SchemeMibGet(int argc, Scheme_Object * argv[])
{
	return SchemeMibRequest(argc, argv, SNMP_PDU_GET);
}

#line 3530 "subscript.w"


#line 5944 "subscript.w"

Scheme_Object *SchemeMibSet(int argc, Scheme_Object * argv[])
{
	return SchemeMibRequest(argc, argv, SNMP_PDU_SET);
}

#line 3531 "subscript.w"


#line 5958 "subscript.w"

Scheme_Object *SchemeMibNext(int argc, Scheme_Object * argv[])
{
	return SchemeMibRequest(argc, argv, SNMP_PDU_NEXT);
}

#line 3532 "subscript.w"


#line 5972 "subscript.w"

WORD SchemeMibCallback(SNMP_OBJECT * snmp, WORD idlen, VOID * param)
{
	LANGUAGE_MIB_OBJECT *object;
	LanguageCallback *mib = (LanguageCallback *) param;
	Scheme *scheme;
	Scheme_Object *call, *args, *result, *varbind, *request, *id, *type, *syntax;

	if ((scheme = SchemeContextSwitch(mib->language)) == NULL)
		return SNMP_GENERROR;

	object = &mib->callbacks.mib;

	if ((request = SnmpObjectGetRequest(snmp)) == NULL)
		return SNMP_GENERROR;

	if ((id = SnmpObjectGetId(snmp, object->offset)) == NULL)
		return SNMP_GENERROR;
	if ((type = SnmpObjectGetType(snmp)) == NULL)
		return SNMP_GENERROR;
	if ((syntax = SnmpObjectGetSyntax(snmp)) == NULL)
		return SNMP_GENERROR;

	varbind = scheme_make_vector(3, scheme_null);
	SCHEME_TYPE(varbind) = scheme->varbind_type;
	SCHEME_VEC_ELS(varbind)[0] = id;
	SCHEME_VEC_ELS(varbind)[1] = type;
	SCHEME_VEC_ELS(varbind)[2] = syntax;

	args = scheme_make_pair(mib->param, scheme_null);
	args = scheme_make_pair(varbind, args);
	args = scheme_make_pair(request, args);
	args = scheme_make_pair(scheme_make_integer(mib->id), args);
	call = scheme_make_pair(mib->callback, args);

	result = SCHEME_CATCH_ERROR(scheme_eval(call, scheme->env), 0);

	if (result == NULL)
	{
		scheme_write_string("error executing mib callback", scheme->stdoutport);
		return SNMP_GENERROR;
	}

	if (SCHEME_INTP(result))
		return SCHEME_INT_VAL(result);

	if (!SCHEME_VARBINDP(result))
		return SNMP_GENERROR;

	id = SCHEME_VEC_ELS(result)[0];
	type = SCHEME_VEC_ELS(result)[1];
	syntax = SCHEME_VEC_ELS(result)[2];

	if (!SnmpObjectPutId(snmp, id, object->offset))
		return SNMP_GENERROR;
	if (!SnmpObjectPutType(snmp, type))
		return SNMP_GENERROR;
	if (!SnmpObjectPutSyntax(snmp, syntax))
		return SNMP_GENERROR;

	return SNMP_NOERROR;
}

#line 3533 "subscript.w"


#line 6043 "subscript.w"

LanguageCallback *SchemeMib(Scheme * scheme, int argc, Scheme_Object * argv[], LONG * tree, INT treeLen)
{
	LanguageCallback *mib;
	Scheme_Object *elm;
	INT i, varLen, idLen;
	LONG *id;

	varLen = SCHEME_VEC_SIZE(argv[0]);
	idLen = treeLen + 1 + varLen + 1;

	if ((id = DnpapMalloc(idLen * sizeof(id[0]))) == NULL)
		return NULL;

	for (i = 0; i < treeLen; i++)
	{
		id[i] = tree[i];
	}
	id[treeLen] = SubscriptRunScript(scheme->run);
	for (i = 0; i < varLen; i++)
	{
		if (!SCHEME_INTP(elm = SCHEME_VEC_ELS(argv[0])[i]))
		{
			DnpapFree(id);
			return NULL;
		}
		id[treeLen + 1 + i] = SCHEME_INT_VAL(elm);
	}
	id[treeLen + 1 + varLen] = SubscriptRunIndex(scheme->run);

	if ((mib = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	mib->id = (int) mib;
	mib->language = scheme;
	mib->callback = argv[1];
	mib->param = argv[4];
	mib->suspend = FALSE;
	mib->prev = NULL;
	mib->next = NULL;
	mib->callbacks.mib.object = MibRegister(id, idLen, SchemeMibCallback,
										SCHEME_INT_VAL(argv[2]),
										SCHEME_INT_VAL(argv[3]), mib);
	DnpapFree(id);
	if (mib->callbacks.mib.object == NULL)
	{
		DnpapFree(mib);
		return NULL;
	}
	mib->callbacks.mib.offset = treeLen + 1;

	return mib;
}

#line 3534 "subscript.w"


#line 6104 "subscript.w"

BOOLEAN SchemeDeMib(LanguageCallback * mib)
{
	MibDeRegister(mib->callbacks.mib.object);
	DnpapFree(mib);
	return TRUE;
}

#line 3535 "subscript.w"


#line 6120 "subscript.w"

Scheme_Object *SchemeMibRegister(int argc, Scheme_Object * argv[], LONG * tree, INT treeLen)
{
	Scheme *scheme;
	LanguageCallback *mib;
	int command;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if (argc != 5 ||
		!SCHEME_VECTORP(argv[0]) ||
		!SCHEME_PROCP(argv[1]) ||
		!SCHEME_INTP(argv[2]) ||
		!SCHEME_INTP(argv[3]))
	{
		scheme_write_string("mib-register: arguments do not match either in type or number", scheme->stdoutport);
		return scheme_false;
	}

	if ((mib = SchemeMib(scheme, argc, argv, tree, treeLen)) == NULL)
	{
		scheme_write_string("mib-register: can not register mib", scheme->stdoutport);
		return scheme_false;
	}

	if (AddCallback(&scheme->mibs, mib) == FALSE)
	{
		scheme_write_string("mib-register: can not add mib", scheme->stdoutport);
		return scheme_false;
	}

	return scheme_make_integer(mib->id);
}

#line 3536 "subscript.w"


#line 6163 "subscript.w"

Scheme_Object *SchemeMibDeRegister(int argc, Scheme_Object * argv[])
{
	Scheme *scheme;
	LanguageCallback *mib;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if (argc != 1 || !SCHEME_INTP(argv[0]))
	{
		scheme_write_string("mib-deregister: arguments do not match either in type or number", scheme->stdoutport);
		return scheme_false;
	}

	if ((mib = RemoveCallback(&scheme->mibs, SCHEME_INT_VAL(argv[0]))) == NULL)
		return scheme_false;
	SchemeDeMib(mib);

	return scheme_true;
}

#line 3537 "subscript.w"


#line 6193 "subscript.w"

Scheme_Object *SchemeMibRegisterArgs(int argc, Scheme_Object * argv[])
{
	static LONG tree[] =
	{DNPAP_MIB, 4, 5};

	return SchemeMibRegister(argc, argv, tree, sizeof(tree) / sizeof(tree[0]));
}

#line 3538 "subscript.w"


#line 6210 "subscript.w"

Scheme_Object *SchemeMibRegisterResults(int argc, Scheme_Object * argv[])
{
	static LONG tree[] =
	{DNPAP_MIB, 4, 6};

	return SchemeMibRegister(argc, argv, tree, sizeof(tree) / sizeof(tree[0]));
}

#line 3539 "subscript.w"



#line 5612 "subscript.w"

BOOLEAN Varbinds2Objects(int request, Scheme_Object *varbinds, SNMP_OBJECT *objects, WORD nrobjects)
{
Scheme *scheme;
Scheme_Object *varbind, *id, *type, *syntax;
int i;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return FALSE;

	for (i = 0; i < nrobjects; i++)
	{
		varbind = SCHEME_VEC_ELS(varbinds)[i];
		if (!SCHEME_VARBINDP(varbind))
			return FALSE;
		objects[i].Request = request;
		id = SCHEME_VEC_ELS(varbind)[0];
		if (SnmpObjectPutId(&objects[i], id, 0) == FALSE)
			return FALSE;
		if (request == SNMP_PDU_SET)
		{
			type = SCHEME_VEC_ELS(varbind)[1];
			syntax = SCHEME_VEC_ELS(varbind)[2];
			if (SnmpObjectPutType(&objects[i], type) == FALSE)
				return FALSE;
			if (SnmpObjectPutSyntax(&objects[i], syntax) == FALSE)
				return FALSE;
		}
	}
	return TRUE;
}

#line 3541 "subscript.w"


#line 5652 "subscript.w"

Scheme_Object *Objects2Varbinds(SNMP_OBJECT *objects, WORD nrobjects)
{
Scheme_Object *varbinds, *varbind;
Scheme *scheme;
int i;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_null;
	if (objects == NULL || nrobjects < 1)
		return scheme_null;
	if ((varbinds = scheme_make_vector(nrobjects, scheme_null)) == NULL)
		return scheme_null;
	for (i = 0; i < nrobjects; i++)
	{
		if ((varbind = scheme_make_vector(3, scheme_null)) == NULL)
			return scheme_null;
		SCHEME_TYPE(varbind) = scheme->varbind_type;
		SCHEME_VEC_ELS(varbind)[0] = SnmpObjectGetId(&objects[i], 0);
		SCHEME_VEC_ELS(varbind)[1] = SnmpObjectGetType(&objects[i]);
		SCHEME_VEC_ELS(varbind)[2] = SnmpObjectGetSyntax(&objects[i]);
		SCHEME_VEC_ELS(varbinds)[i] = varbind;
	}
	return varbinds;
}

#line 3542 "subscript.w"



#line 5686 "subscript.w"

BOOLEAN SnmpObjectPutId(SNMP_OBJECT * snmp, Scheme_Object * id, int offset)
{
	int i;

	if (!SCHEME_VECTORP(id))
		return FALSE;

	snmp->IdLen = SCHEME_VEC_SIZE(id) + offset;

	for (i = offset; i < snmp->IdLen; i++)
	{
		Scheme_Object *elm = SCHEME_VEC_ELS(id)[i - offset];

		if (!SCHEME_INTP(elm))
			return FALSE;
		snmp->Id[i] = SCHEME_INT_VAL(elm);
	}
	return TRUE;
}

#line 3544 "subscript.w"


#line 5715 "subscript.w"

BOOLEAN SnmpObjectPutType(SNMP_OBJECT * snmp, Scheme_Object * type)
{
	if (!SCHEME_INTP(type))
		return FALSE;

	snmp->Type = SCHEME_INT_VAL(type);
	return TRUE;
}

#line 3545 "subscript.w"


#line 5733 "subscript.w"

BOOLEAN SnmpObjectPutSyntax(SNMP_OBJECT * snmp, Scheme_Object * syntax)
{
	int i;

	switch (snmp->Type)
	{
	case SNMP_INTEGER:					/* LngInt */
	case SNMP_IPADDR:					/* LngUns */
	case SNMP_COUNTER:					/* LngUns */
	case SNMP_GAUGE:					/* LngUns */
	case SNMP_TIMETICKS:				/* LngUns */
		if (!SCHEME_INTP(syntax))
			return FALSE;
		snmp->Syntax.LngInt = SCHEME_INT_VAL(syntax);
		break;
	case SNMP_OPAQUE:					/* BufChr */
	case SNMP_OCTETSTR:					/* BufChr */
		if (!SCHEME_VECTORP(syntax))
			return FALSE;
		snmp->SyntaxLen = SCHEME_VEC_SIZE(syntax);
		for (i = 0; i < snmp->SyntaxLen; i++)
		{
			Scheme_Object *elm = SCHEME_VEC_ELS(syntax)[i];

			if (!SCHEME_CHARP(elm))
				return FALSE;
			snmp->Syntax.BufChr[i] = SCHEME_CHAR_VAL(elm);
		}
		break;
	case SNMP_OBJECTID:					/* BufInt */
		if (!SCHEME_VECTORP(syntax))
			return FALSE;
		snmp->SyntaxLen = SCHEME_VEC_SIZE(syntax);
		for (i = 0; i < snmp->SyntaxLen; i++)
		{
			Scheme_Object *elm = SCHEME_VEC_ELS(syntax)[i];

			if (!SCHEME_INTP(elm))
				return FALSE;
			snmp->Syntax.BufInt[i] = SCHEME_INT_VAL(elm);
		}
		break;
	case SNMP_NULL:						/* Null   */
	default:
		break;
	}
	return TRUE;
}

#line 3546 "subscript.w"


#line 5791 "subscript.w"

Scheme_Object *SnmpObjectGetId(SNMP_OBJECT * snmp, int offset)
{
	int i;
	Scheme_Object *id;

	id = scheme_make_vector(snmp->IdLen - offset, scheme_null);
	for (i = offset; i < snmp->IdLen; i++)
	{
		SCHEME_VEC_ELS(id)[i - offset] = scheme_make_integer(snmp->Id[i]);
	}
	return id;
}

#line 3547 "subscript.w"


#line 5813 "subscript.w"

Scheme_Object *SnmpObjectGetType(SNMP_OBJECT * snmp)
{
	Scheme_Object *type;

	type = scheme_make_integer(snmp->Type);
	return type;
}

#line 3548 "subscript.w"


#line 5830 "subscript.w"

Scheme_Object *SnmpObjectGetSyntax(SNMP_OBJECT * snmp)
{
	Scheme_Object *syntax;
	int i;

	switch (snmp->Type)
	{
	case SNMP_INTEGER:					/* LngInt */
	case SNMP_IPADDR:					/* LngUns */
	case SNMP_COUNTER:					/* LngUns */
	case SNMP_GAUGE:					/* LngUns */
	case SNMP_TIMETICKS:				/* LngUns */
		syntax = scheme_make_integer(snmp->Syntax.LngInt);
		break;
	case SNMP_OPAQUE:					/* BufChr */
	case SNMP_OCTETSTR:					/* BufChr */
		syntax = scheme_make_vector(snmp->SyntaxLen, scheme_null);
		for (i = 0; i < snmp->SyntaxLen; i++)
		{
			SCHEME_VEC_ELS(syntax)[i] = scheme_make_char(snmp->Syntax.BufChr[i]);
		}
		break;
	case SNMP_OBJECTID:					/* BufInt */
		syntax = scheme_make_vector(snmp->SyntaxLen, scheme_null);
		for (i = 0; i < snmp->SyntaxLen; i++)
		{
			SCHEME_VEC_ELS(syntax)[i] = scheme_make_integer(snmp->Syntax.BufInt[i]);
		}
		break;
	case SNMP_NULL:						/* Null   */
	default:
		syntax = scheme_null;
		break;
	}
	return syntax;
}

#line 3549 "subscript.w"


#line 5876 "subscript.w"

Scheme_Object *SnmpObjectGetRequest(SNMP_OBJECT * snmp)
{
	Scheme_Object *request;

	request = scheme_make_integer(snmp->Request);
	return request;
}

#line 3550 "subscript.w"



#line 6233 "subscript.w"

Scheme_Object *SchemeSnmpConnect(int argc, Scheme_Object * argv[])
{
	Scheme *scheme;
	LanguageCallback *snmp;
	int command;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
	{
		scheme_write_string("snmp-connect: can only be called during 'start' or 'resume'", scheme->stdoutport);
		return scheme_false;
	}

	if (argc != 6 ||
		!SCHEME_PROCP(argv[0]) ||
		!SCHEME_STRINGP(argv[1]) ||
		!SCHEME_INTP(argv[2]) ||
		!SCHEME_STRINGP(argv[3]) ||
		!SCHEME_STRINGP(argv[4]))
	{
		scheme_write_string("snmp-connect: arguments do not match either in type or number", scheme->stdoutport);
		return scheme_false;
	}

	if ((snmp = SchemeSnmp(scheme, argv[0], SCHEME_STR_VAL(argv[1]), SCHEME_INT_VAL(argv[2]), SCHEME_STR_VAL(argv[3]), SCHEME_STR_VAL(argv[4]), argv[5])) == NULL)
	{
		scheme_write_string("snmp-connect: can not connect", scheme->stdoutport);
		return scheme_false;
	}

	if (AddCallback(&scheme->snmps, snmp) == FALSE)
	{
		scheme_write_string("snmp-connect: can not add snmp", scheme->stdoutport);
		return scheme_false;
	}

	return scheme_make_integer(snmp->id);
}

#line 3552 "subscript.w"


#line 6284 "subscript.w"

LanguageCallback *SchemeSnmp(Scheme *scheme, Scheme_Object *obj, char *host, int port, char *request, char *community, Scheme_Object *param)
{
LanguageCallback *snmp;
char addr[NWSNMP_SIZE_ADDRESS];

	if ((snmp = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	snmp->id = (int) snmp;
	snmp->language = scheme;
	snmp->callback = obj;
	snmp->param = param;
	snmp->suspend = FALSE;
	snmp->prev = NULL;
	snmp->next = NULL;
	sprintf(addr, "snmp:%s:%d:%s:%s", host, port, request, community);
	if (stricmp(request, "get") == 0)
		snmp->callbacks.snmp.request = SNMP_PDU_GET;
	else
	if (stricmp(request, "set") == 0)
		snmp->callbacks.snmp.request = SNMP_PDU_SET;
	else
	if (stricmp(request, "next") == 0)
		snmp->callbacks.snmp.request = SNMP_PDU_NEXT;
	else
	{
		DnpapFree(snmp);
		return NULL;
	}
	snmp->callbacks.snmp.conn = NwDgConnect(addr, SchemeSnmpCallback, snmp);
	if (snmp->callbacks.snmp.conn == NULL)
	{
		DnpapFree(snmp);
		return NULL;
	}
	return snmp;
}

#line 3553 "subscript.w"


#line 6372 "subscript.w"

BOOLEAN SchemeDeSnmp(LanguageCallback *snmp)
{
	NwDgClose(snmp->callbacks.snmp.conn);
    DnpapFree(snmp);
	return TRUE;
}

#line 3554 "subscript.w"


#line 6388 "subscript.w"

Scheme_Object *SchemeSnmpSend(int argc, Scheme_Object * argv[])
{
	Scheme *scheme;
	LanguageCallback *snmp;
	NwSnmpFrame frame;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if (argc != 2 || !SCHEME_INTP(argv[0]) || !SCHEME_VECTORP(argv[1]))
	{
		scheme_write_string("snmp-send: arguments do not match either in type or number", scheme->stdoutport);
		return scheme_false;
	}

	if ((snmp = SearchCallback(scheme->snmps, SCHEME_INT_VAL(argv[0]))) == NULL)
	{
		scheme_write_string("snmp-send: unknown snmp connection id", scheme->stdoutport);
		return scheme_false;
	}

	frame.Pdu.Request.Id = SchemeSnmpId++;
	frame.Pdu.Request.Status = 0;
	frame.Pdu.Request.Index = 0;

	frame.NrObjects = SCHEME_VEC_SIZE(argv[1]);
	if ((frame.Objects = DnpapMalloc(frame.NrObjects*sizeof(SNMP_OBJECT))) == NULL)
		return scheme_false;

	if (Varbinds2Objects(snmp->callbacks.snmp.request, argv[1], frame.Objects, frame.NrObjects) == FALSE)
	{
		DnpapFree(frame.Objects);
		return scheme_false;
	}

	if (NwDgSend(snmp->callbacks.snmp.conn, (BYTE *)&frame,
			sizeof(frame)+frame.NrObjects*sizeof(SNMP_OBJECT)) == FALSE)
	{
		DnpapFree(frame.Objects);
		return scheme_false;
	}

	DnpapFree(frame.Objects);

	return scheme_true;
}

#line 3555 "subscript.w"


#line 6444 "subscript.w"

Scheme_Object *SchemeSnmpDisConnect(int argc, Scheme_Object * argv[])
{
	Scheme *scheme;
	LanguageCallback *snmp;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if (argc != 1 || !SCHEME_INTP(argv[0]))
	{
		scheme_write_string("snmp-disconnect: arguments do not match either in type or number", scheme->stdoutport);
		return scheme_false;
	}

	if ((snmp = RemoveCallback(&scheme->snmps, SCHEME_INT_VAL(argv[0]))) == 0)
		return scheme_false;
	SchemeDeSnmp(snmp);

	return scheme_true;
}

#line 3556 "subscript.w"


#line 6330 "subscript.w"

VOID SchemeSnmpCallback(NW_DG *dg, CHAR *addr, BYTE *frame, INT length, VOID *param)
{
LanguageCallback *snmp = (LanguageCallback *) param;
Scheme *scheme;
Scheme_Object *obj;
NwSnmpFrame *pdu;
SNMP_OBJECT *objects;
WORD nrobjects;

    if ((scheme = SchemeContextSwitch(snmp->language)) == NULL)
    	return;

	if (snmp->callback == NULL || snmp->suspend == TRUE)
		return;

	pdu = (NwSnmpFrame *)frame;
	nrobjects = pdu->NrObjects;
	objects = pdu->Objects;

	obj = scheme_make_pair(snmp->param, scheme_null);
	obj = scheme_make_pair(Objects2Varbinds(objects, nrobjects), obj);
	obj = scheme_make_pair(scheme_make_integer(pdu->Pdu.Request.Index), obj);
	obj = scheme_make_pair(scheme_make_integer(pdu->Pdu.Request.Status), obj);
	obj = scheme_make_pair(scheme_make_integer(snmp->id), obj);
	obj = scheme_make_pair(snmp->callback, obj);
	obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);

	if (obj == NULL)
	{
		scheme_write_string("error executing snmp callback", scheme->stdoutport);
	}
}

#line 3557 "subscript.w"



#line 6474 "subscript.w"

Scheme_Object *SchemeTrapRegister(int argc, Scheme_Object * argv[])
{
	Scheme *scheme;
	LanguageCallback *trap;
	int command;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if ((command = SubscriptRunCommand(scheme->run)) != RUN_COMMAND_INIT &&
		command != RUN_COMMAND_STOP)
	{
		scheme_write_string("trap-register: can only be called during 'start' or 'resume'", scheme->stdoutport);
		return scheme_false;
	}

	if (argc != 3 ||
		!SCHEME_PROCP(argv[0]) ||
		!SCHEME_INTP(argv[1]))
	{
		scheme_write_string("trap-register: arguments do not match either in type or number", scheme->stdoutport);
		return scheme_false;
	}

	if ((trap = SchemeTrap(scheme, argv[0], SCHEME_INT_VAL(argv[1]), argv[2])) == NULL)
	{
		scheme_write_string("trap-register: can not register accept", scheme->stdoutport);
		return scheme_false;
	}

	if (AddCallback(&scheme->traps, trap) == FALSE)
	{
		scheme_write_string("trap-register: can not add trap", scheme->stdoutport);
		return scheme_false;
	}

	return scheme_make_integer(trap->id);
}

#line 3559 "subscript.w"


#line 6522 "subscript.w"

LanguageCallback *SchemeTrap(Scheme *scheme, Scheme_Object *obj, int port, Scheme_Object *param)
{
LanguageCallback *trap;
char addr[NWSNMP_SIZE_ADDRESS];

	if ((trap = DnpapMalloc(sizeof(LanguageCallback))) == NULL)
		return NULL;
	trap->id = (int) trap;
	trap->language = scheme;
	trap->callback = obj;
	trap->param = param;
	trap->suspend = FALSE;
	trap->prev = NULL;
	trap->next = NULL;
	sprintf(addr, "snmp:%d", port);
	trap->callbacks.accept = NwDgAccept(addr, SchemeTrapCallback, trap);
	if (trap->callbacks.accept == NULL)
	{
		DnpapFree(trap);
		return NULL;
	}
	return trap;
}

#line 3560 "subscript.w"


#line 6593 "subscript.w"

BOOLEAN SchemeDeTrap(LanguageCallback *trap)
{
	NwDgClose(trap->callbacks.accept);
    DnpapFree(trap);
	return TRUE;
}

#line 3561 "subscript.w"


#line 6609 "subscript.w"

Scheme_Object *SchemeTrapDeRegister(int argc, Scheme_Object * argv[])
{
	Scheme *scheme;
	LanguageCallback *trap;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if (argc != 1 || !SCHEME_INTP(argv[0]))
	{
		scheme_write_string("trap-deregister: arguments do not match either in type or number", scheme->stdoutport);
		return scheme_false;
	}

	if ((trap = RemoveCallback(&scheme->traps, SCHEME_INT_VAL(argv[0]))) == 0)
		return scheme_false;
	SchemeDeTrap(trap);

	return scheme_true;
}

#line 3562 "subscript.w"


#line 6555 "subscript.w"

VOID SchemeTrapCallback(NW_DG *dg, CHAR *addr, BYTE *frame, INT length, VOID *param)
{
LanguageCallback *trap = (LanguageCallback *) param;
Scheme *scheme;
Scheme_Object *obj;
NwSnmpFrame *pdu;
SNMP_OBJECT *objects;
WORD nrobjects;

    if ((scheme = SchemeContextSwitch(trap->language)) == NULL)
    	return;

	if (trap->callback == NULL || trap->suspend == TRUE)
		return;
	pdu = (NwSnmpFrame *)frame;
	nrobjects = pdu->NrObjects;
	objects = pdu->Objects;
    obj = scheme_make_pair(trap->param, scheme_null);
    obj = scheme_make_pair(Objects2Varbinds(objects, nrobjects), obj);
    obj = scheme_make_pair(scheme_make_integer(trap->id), obj);
    obj = scheme_make_pair(trap->callback, obj);
	obj = SCHEME_CATCH_ERROR(scheme_eval(obj, scheme->env), 0);

	if (obj == NULL)
	{
		scheme_write_string("error executing trap callback", scheme->stdoutport);
	}
}

#line 3563 "subscript.w"



#line 6639 "subscript.w"

Scheme_Object *SchemeTrapSend(int argc, Scheme_Object * argv[])
{
	Scheme *scheme;
	INT general, specific, commLen, listLen, i;
	CHAR *comm;
	SNMP_OBJECT *list = NULL;
	Scheme_Object *id, *syntax, *type;

	if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_false;

	if (argc != 4 ||
		!SCHEME_STRINGP(argv[0]) ||
		!SCHEME_INTP(argv[1]) ||
		!SCHEME_INTP(argv[2]) ||
		!SCHEME_VECTORP(argv[3]))
	{
		scheme_write_string("trap-send: arguments do not match either in type or number", scheme->stdoutport);
		return scheme_false;
	}

	comm = SCHEME_STR_VAL(argv[0]);
	commLen = strlen(comm);
	general = SCHEME_INT_VAL(argv[1]);
	specific = SCHEME_INT_VAL(argv[2]);

	listLen = SCHEME_VEC_SIZE(argv[3]);
	if (listLen != 0 &&
		(list = DnpapMalloc(listLen * sizeof(SNMP_OBJECT))) == NULL)
	{
		return scheme_false;
	}
	for (i = 0; i < listLen; i++)
	{
		Scheme_Object *elm = SCHEME_VEC_ELS(argv[3])[i];

		if (!SCHEME_VARBINDP(elm))
		{
			DnpapFree(list);
			return scheme_false;
		}

		id = SCHEME_VEC_ELS(elm)[0];
		type = SCHEME_VEC_ELS(elm)[1];
		syntax = SCHEME_VEC_ELS(elm)[2];

		if (!SnmpObjectPutId(list + i, id, 0))
		{
			DnpapFree(list);
			return scheme_false;
		}
		if (!SnmpObjectPutType(list + i, type))
		{
			DnpapFree(list);
			return scheme_false;
		}
		if (!SnmpObjectPutSyntax(list + i, syntax))
		{
			DnpapFree(list);
			return scheme_false;
		}
	}

	if (!AgentSendTrap(comm, commLen, SysTime(), general, specific, list, listLen))
	{
		DnpapFree(list);
		return scheme_false;
	}

	DnpapFree(list);
	return scheme_true;
}

#line 3565 "subscript.w"



#line 6800 "subscript.w"

VOID SuspendCallbacks(VOID *language, int lang, BOOLEAN suspend)
{
LanguageCallback *callback;
LanguageCallback *macs = NULL, *timers = NULL, *channels = NULL,
				*filters = NULL, *generators = NULL, *events = NULL,
				*mibs = NULL, *snmps = NULL, *traps = NULL;

	switch (lang)
	{
	case SCRIPT_LANGUAGE_SCHEME:
		macs = ((Scheme *)language)->macs;
		timers = ((Scheme *)language)->timers;
		channels = ((Scheme *)language)->channels;
		filters = ((Scheme *)language)->filters;
		generators = ((Scheme *)language)->generators;
		events = ((Scheme *)language)->events;
		mibs = ((Scheme *)language)->mibs;
		snmps = ((Scheme *)language)->snmps;
		traps = ((Scheme *)language)->traps;
		break;
	case SCRIPT_LANGUAGE_PERL:
#	ifdef SUBSCRIPT_PERL
		macs = ((Perl *)language)->macs;
		timers = ((Perl *)language)->timers;
		channels = ((Perl *)language)->channels;
		filters = ((Perl *)language)->filters;
		generators = ((Perl *)language)->generators;
		events = ((Perl *)language)->events;
		mibs = ((Perl *)language)->mibs;
		snmps = ((Perl *)language)->snmps;
		traps = ((Perl *)language)->traps;
#	endif
		break;
	default:
		return;
	}

	for (callback = macs; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
	for (callback = timers; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
	for (callback = channels; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
	for (callback = filters; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
	for (callback = generators; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
	for (callback = events; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
	for (callback = mibs; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
	for (callback = snmps; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
	for (callback = traps; callback != NULL; callback = callback->next)
		callback->suspend = suspend;
}

#line 3567 "subscript.w"


#line 6866 "subscript.w"

VOID RemoveAllCallbacks(VOID *language, int lang)
{
LanguageCallback *callback;
Scheme *scheme = NULL;
Perl *perl = NULL;

	switch (lang)
	{
	case SCRIPT_LANGUAGE_SCHEME:
		scheme = (Scheme *) language;
		for (callback = scheme->macs; callback != NULL; callback = scheme->macs)
		{
			CutCallback(&scheme->macs, callback);
			SchemeDeMac(callback);
		}
		for (callback = scheme->timers; callback != NULL; callback = scheme->timers)
		{
			CutCallback(&scheme->timers, callback);
			SchemeDeTimer(callback);
		}
		for (callback = scheme->channels; callback != NULL; callback = scheme->channels)
		{
			CutCallback(&scheme->channels, callback);
			SchemeDeChannel(callback);
		}
		for (callback = scheme->filters; callback != NULL; callback = scheme->filters)
		{
			CutCallback(&scheme->filters, callback);
			SchemeDeFilter(callback);
		}
		for (callback = scheme->generators; callback != NULL; callback = scheme->generators)
		{
			CutCallback(&scheme->generators, callback);
			SchemeDeGenerator(callback);
		}
		for (callback = scheme->events; callback != NULL; callback = scheme->events)
		{
			CutCallback(&scheme->events, callback);
			SchemeDeEvent(callback);
		}
		for (callback = scheme->mibs; callback != 0; callback = scheme->mibs)
		{
			CutCallback(&scheme->mibs, callback);
			SchemeDeMib(callback);
		}
		for (callback = scheme->traps; callback != 0; callback = scheme->traps)
		{
			CutCallback(&scheme->traps, callback);
			SchemeDeSnmp(callback);
		}
		break;
	case SCRIPT_LANGUAGE_PERL:
#	ifdef SUBSCRIPT_PERL
		perl = (Perl *) language;
		for (callback = perl->macs; callback != NULL; callback = perl->macs)
		{
			CutCallback(&perl->macs, callback);
			SchemeDeMac(callback);
		}
		for (callback = perl->timers; callback != NULL; callback = perl->timers)
		{
			CutCallback(&perl->timers, callback);
			SchemeDeTimer(callback);
		}
		for (callback = perl->channels; callback != NULL; callback = perl->channels)
		{
			CutCallback(&perl->channels, callback);
			SchemeDeChannel(callback);
		}
		for (callback = perl->filters; callback != NULL; callback = perl->filters)
		{
			CutCallback(&perl->filters, callback);
			SchemeDeFilter(callback);
		}
		for (callback = perl->generators; callback != NULL; callback = perl->generators)
		{
			CutCallback(&perl->generators, callback);
			SchemeDeGenerator(callback);
		}
		for (callback = perl->events; callback != NULL; callback = perl->events)
		{
			CutCallback(&perl->events, callback);
			SchemeDeEvent(callback);
		}
		for (callback = perl->mibs; callback != 0; callback = perl->mibs)
		{
			CutCallback(&perl->mibs, callback);
			SchemeDeMib(callback);
		}
		for (callback = perl->traps; callback != 0; callback = perl->traps)
		{
			CutCallback(&perl->traps, callback);
			SchemeDeSnmp(callback);
		}
#	endif
		break;
	default:
		return;
	}
}

#line 3568 "subscript.w"


#line 6721 "subscript.w"

BOOLEAN AddCallback(LanguageCallback **list, LanguageCallback *entry)
{
	entry->prev = NULL;
	entry->next = *list;
	if (*list != NULL)
		(*list)->prev = entry;
	*list = entry;
	return TRUE;
}

#line 3569 "subscript.w"


#line 6740 "subscript.w"

LanguageCallback *SearchCallback(LanguageCallback *list, int id)
{
LanguageCallback *entry;

	for (entry = list; entry != NULL; entry = entry->next)
		if (entry->id == id)
			break;

	return entry;
}

#line 3570 "subscript.w"


#line 6760 "subscript.w"

LanguageCallback *RemoveCallback(LanguageCallback **list, int id)
{
LanguageCallback *entry;

	entry = SearchCallback(*list, id);
	CutCallback(list, entry);

	return entry;
}

#line 3571 "subscript.w"


#line 6779 "subscript.w"

VOID CutCallback(LanguageCallback **list, LanguageCallback *entry)
{
	if (entry == NULL)
		return;
	if (entry->prev != NULL)
		entry->prev->next = entry->next;
	else
		*list = entry->next;
	if (entry->next != NULL)
		entry->next->prev = entry->prev;
}

#line 3572 "subscript.w"



#line 4025 "subscript.w"

Scheme *SchemeNew(VOID)
{
    Scheme *scheme;

    if ((scheme = DnpapMalloc(sizeof(Scheme))) == NULL)
        return NULL;

    scheme->env = NULL;
    scheme->init = NULL;
    scheme->start = NULL;
    scheme->stop = NULL;
    scheme->resume = NULL;
    scheme->exit = NULL;

    scheme->macs = NULL;
    scheme->timers = NULL;
    scheme->filters = NULL;
    scheme->channels = NULL;
    scheme->generators = NULL;
    scheme->events = NULL;
    scheme->mibs = NULL;
    scheme->snmps = NULL;
    scheme->traps = NULL;

    scheme->stdinport = NULL;
    scheme->stdoutport = NULL;
    scheme->stdindata = NULL;
    scheme->stdinline = 0;
    scheme->stdinpos = 0;
    scheme->stdoutdata = NULL;
    scheme->stdoutline = 0;
    scheme->stdoutpos = 0;

	scheme->hash_type = NULL;
	scheme->packet_type = NULL;
	scheme->varbind_type = NULL;

    /* create a new scheme environment */
    if ((scheme->env = scheme_basic_env()) == NULL)
    {
        SchemeDel(scheme);
        return NULL;
    }

    return scheme;
}

#line 3574 "subscript.w"


#line 4081 "subscript.w"

VOID SchemeDel(Scheme *scheme)
{
    DnpapFree(scheme);
}

#line 3575 "subscript.w"


#ifdef SUBSCRIPT_PERL

#line 7148 "subscript.w"

Perl *PerlNew(VOID)
{
    Perl *perl;

    if ((perl = DnpapMalloc(sizeof(Perl))) == NULL)
        return NULL;

    perl->env = NULL;
    perl->init = NULL;
    perl->start = NULL;
    perl->stop = NULL;
    perl->resume = NULL;
    perl->exit = NULL;

    /* create a new perl environment */
    if ((perl->env = perl_alloc()) == NULL)
    {
        PerlDel(perl);
        return NULL;
    }

	perl_construct(perl->env);

    return perl;
}

#line 3578 "subscript.w"


#line 7183 "subscript.w"

VOID PerlDel(Perl *perl)
{
    DnpapFree(perl);
}

#line 3579 "subscript.w"

#endif


#line 3880 "subscript.w"

VOID SchemeContextInit(VOID)
{
	CurrentScheme = NULL;
}

#line 3582 "subscript.w"


#line 3894 "subscript.w"

Scheme *SchemeContextSwitch(Scheme *scheme)
{
	CurrentScheme = scheme;
	if (CurrentScheme == NULL)
	{
		DnpapMessage(DMC_FATAL, SUBSCRIPT_CONTEXT, "subscript: no context available");
		return NULL;
	}
	scheme_stdin_port = CurrentScheme->stdinport;
	scheme_stdout_port = CurrentScheme->stdoutport;
	scheme_stderr_port = CurrentScheme->stdoutport;
	scheme_set_current_ports(scheme_stdin_port, scheme_stdout_port);
	return CurrentScheme;
}

#line 3583 "subscript.w"


#line 3918 "subscript.w"

Scheme *SchemeContextCurrent(VOID)
{
	return CurrentScheme;
}

#line 3584 "subscript.w"


#ifdef SUBSCRIPT_PERL

#line 7197 "subscript.w"

VOID PerlContextInit(VOID)
{
	CurrentPerl = NULL;
}

#line 3587 "subscript.w"


#line 7211 "subscript.w"

Perl *PerlContextSwitch(Perl *perl)
{
	CurrentPerl = perl;
	if (CurrentPerl == NULL)
	{
		DnpapMessage(DMC_FATAL, SUBSCRIPT_CONTEXT, "subscript: no context available");
		return NULL;
	}
	return CurrentPerl;
}

#line 3588 "subscript.w"


#line 7231 "subscript.w"

Perl *PerlContextCurrent(VOID)
{
	return CurrentPerl;
}

#line 3589 "subscript.w"

#endif


#line 4095 "subscript.w"

int SchemeInputGetc(Scheme_Input_Port *port)
{
Scheme *scheme = (Scheme *)port->port_data;

	scheme->stdinpos++;

	while (scheme->stdinline == 0 || scheme->stdindata == NULL ||
			scheme->stdindata[scheme->stdinpos] == '\0')
	{
		if ((scheme->stdindata = scheme->rungets(scheme->run, scheme->stdinline+1)) == NULL)
			return EOF;
		scheme->stdinline++;
		scheme->stdinpos = 0;
	}

	return scheme->stdindata[scheme->stdinpos];
}

#line 3592 "subscript.w"


#line 4122 "subscript.w"

void SchemeInputUnGetc(int c, Scheme_Input_Port *port)
{
Scheme *scheme = (Scheme *)port->port_data;

	if (scheme->stdinline == 0 || scheme->stdindata == NULL ||
		c == '\0' || c == EOF)
		return;

	scheme->stdindata[scheme->stdinpos] = c;

	scheme->stdinpos--;

	while (scheme->stdinpos < 0)
	{
		if (scheme->stdinline > 1)
		{
			scheme->stdinline--;
			scheme->stdindata = scheme->rungets(scheme->run, scheme->stdinline);
			scheme->stdinpos = strlen(scheme->stdindata)-1;
		}
		else
		{
			scheme->stdinline = 0;
			scheme->stdindata = NULL;
			scheme->stdinpos = 0;
		}
	}
}

#line 3593 "subscript.w"


#line 4160 "subscript.w"

int SchemeInputPoll(Scheme_Input_Port *port)
{
int c;

	if ((c = SchemeInputGetc(port)) == EOF)
		return 0;
	SchemeInputUnGetc(c, port);
	return 1;
}

#line 3594 "subscript.w"


#line 4179 "subscript.w"

void SchemeInputClose(Scheme_Input_Port *port)
{
	/* do nothing */
}

#line 3595 "subscript.w"


#line 4193 "subscript.w"

void SchemeOutputPuts(char *s, Scheme_Output_Port *port)
{
Scheme *scheme = (Scheme *)port->port_data;

	scheme->runputs(scheme->run, ++scheme->stdoutline, s);
}

#line 3596 "subscript.w"


#line 4209 "subscript.w"

void SchemeOutputClose(Scheme_Output_Port *port)
{
	/* do nothing */
}

#line 3597 "subscript.w"



#line 4462 "subscript.w"

Scheme_Object *scheme_make_packet(PROT_PKT *pkt)
{
Scheme_Object *packet;
Scheme *scheme;

    if ((scheme = SchemeContextCurrent()) == NULL)
		return scheme_null;

	if ((packet = scheme_alloc_object()) == NULL)
		return scheme_null;
	SCHEME_TYPE(packet) = scheme->packet_type;
	SCHEME_PTR_VAL(packet) = pkt;

	return packet;
}

#line 3599 "subscript.w"

