include ../../include/gcc_unx.std

SYS	= system
SYSLIB	= system

OPTIONS = 

install: maxmib.ins perf.ins sys.ins register.ins if.ins snmp.ins control.ins

control.ins:
	@cd control $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

if.ins:
	@cd if $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

maxmib.ins:
	@cd maxmib $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

perf.ins:
	@cd perf $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

register.ins:
	@cd register $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

snmp.ins:
	@cd snmp $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

sys.ins:
	@cd sys $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS) $(SEP) \
	cd ..

clean: maxmib.cln perf.cln register.cln sys.cln if.cln snmp.cln control.cln

control.cln:
	@cd control $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

if.cln:
	@cd if $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

maxmib.cln:
	@cd maxmib $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

perf.cln:
	@cd perf $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

register.cln:
	@cd register $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

snmp.cln:
	@cd snmp $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..

sys.cln:
	@cd sys $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS) $(SEP) \
	cd ..


