/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _REGISTER_H
#define _REGISTER_H


#include <dnpap.h>
#include <snmp.h>
#include <trap.h>


#define REQUESTCOMMUNITY    "dnpap"

#define REGISTERCODE        SNMP_TRAP_ENTSPECIFIC
#define REGISTERSPECIFIC    TRAP_SPECIFIC_REGISTER


enum RegisterErrors
{
    REGISTER_TRAPFAIL = REGISTER_ERROR
};


BOOLEAN RegisterInit(VOID);

WORD RegisterBeholderMessage(SNMP_OBJECT *obj, WORD idlen, VOID *param);
WORD RegisterBeholder(SNMP_OBJECT *obj, WORD idlen, VOID *param);


#endif
