include ../../include/gcc_unx.std

SYS     = boolset
SYSLIB  = dnpap

OBJ = 

all: obj

install: all $(INCDIR)/$(SYS).h

$(INCDIR)/$(SYS).h: $(SYS).h 
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

$(MANDIR)/$(SYS).man: $(SYS).man 
	$(CP) $(SYS).man $(MANDIR)/$(SYS).man 

$(LIBDIR)/lib$(SYSLIB).a: $(OBJ) 
	$(AR) $(LIBDIR)/lib$(SYSLIB).a $(OBJ) 
	$(RANLIB) $(LIBDIR)/lib$(SYSLIB).a
	
obj: $(OBJ)
       
doc: $(SYS).man

clean:
	- $(RM) *.o
	- $(RM) *.a
	- $(RM) *.exe
	- $(RM) test
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS).man: $(SYS).c
	$(MAN) $(SYS).c > $(SYS).man

$(SYS).o: $(SYS).c $(SYS).h
