/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#include <dnpap.h>
#include <ctype.h>

#include "dmemory.h"



#ifdef SPECIAL_MEMCMP

#define memtst(i, n)			\
	if (n > i)					\
	{							\
		if (p1[i] < p2[i])		\
			return -1;			\
		else					\
		if (p1[i] > p2[i])		\
			return 1;			\
	}							\
	else						\
		return 0
			
		
int memcmp(CONST VOID *b1, CONST VOID *b2, ULONG len)
{
ULONG i;
CONST BYTE *p1 = b1, *p2 = b2;
			   
	memtst(0, len);
	memtst(1, len);
	memtst(2, len);
		
	for(i = 3; i < len && p1[i] == p2[i]; i++)
		;
		
	if (i == len)
		return 0;
	if(p1[i] < p2[i])
	   	return -1;
	else
		return 1;
}

#endif

		

defconvtype(long)

defconvtype(ulong)

defconvtype(word)

defconvtype(dword)

defconvtype(lword)

defconvtype(int)

defconvtype(uint)
