/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifdef OS2
#ifndef GCC
#define INCL_VIO
#include <os2.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <dnpap.h>
#include <config.h>
#include "message.h"

PRIVAT void  VioDevPut   __((void *, const char *));

EXPORT TRANSDEVICE messageVioDev = { "VIO", NULL, VioDevPut, NULL, NULL };


/**************************************************************
** NAME:        VioDevPut
** SYNOPSIS:    PRIVAT void 
**              VioDevPut(void *fp, CONST char *str)
** DESCRIPTION: Puts the string in the viodevice.
** RETURNS:     void
**************************************************************/
PRIVAT void 
VioDevPut(void *fp, CONST char *str)
{
    VioWrtTTY((char *)str,strlen(str),0);
}
#endif
#endif

