/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#include <dnpap.h>
#include <string.h>
#include <ctype.h>

#include "dstring.h"


int strcnt(CONST char* str, CONST char c)
{
int i, n;

    n = 0;
    for (i = 0; i < strlen(str); i++)
        if (str[i] == c)
            n++;
    return n;
}


#ifdef NO_BUILTIN_STRICMP

int stricmp(CONST char *s1, CONST char *s2)
{
int i;

	for(i = 0; tolower(s1[i]) == tolower(s2[i]) 
		&& s1[i] != '\0' 
		&& s2[i] != '\0'; i++);
	if(s1[i] == '\0' && s2[i] == '\0')
		return 0;
	else
		if(tolower(s1[i]) < tolower(s2[i]))
			return -1;
		else
			return 1;
}

#endif
