/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
/************************************************************************
 ** MODULE INFORMATION*
 **********************
 **     FILE     NAME:       MIB.H
 **     SYSTEM   NAME:       Sage
 **     ORIGINAL AUTHOR(S):  Jan van Oorschot
 **     VERSION  NUMBER:     1.00
 **     CREATION DATE:       
 **
 ** DESCRIPTION: include file for the MIB library
 **     Only includes the api's
 *************************************************************************
 ** CHANGES INFORMATION **
 *************************
 ** REVISION:    $Revision$
 ** WORKFILE:    $Workfile$
 ** LOGINFO:     $Log$
 *************************************************************************/
#if defined(__STDC__) || defined(__cplusplus)
#ifndef __
#define __(a) a
#endif
#else
#ifndef __
#define __(a) ()
#endif
#endif

int MibDfInit(void);
int MibDfFullMib(void);
int MibDfReadMib(FILE * fp);
int MibDfName2ID(LONG * id, CONST char *name);
CONST char *MibDfID2Name(CONST LONG * id, CONST int nr);
CONST char *MibDfID2Name2(CONST LONG * id, CONST int nr, int *nrmatched);
int MibDfIDType(CONST LONG * id, CONST int nr);
int MibDfIDMode(CONST LONG * id, CONST int nr);
int MibDfIDStatus(CONST LONG * id, CONST int nr);
int MibDfIDInfo(CONST LONG * id, CONST int nr, char *res);
int MibDfNameType(CONST char *name);
int MibDfNameMode(CONST char *name);
int MibDfNameStatus(CONST char *name);

CONST char *MibDfGetFirstChild(CONST char *name);
CONST char *MibDfGetNextChild(CONST char *name);
