!include dnpap\dnpap\standard.mak

OPTIONS = 

all: install

install: dnpap.ins block.ins snmp.ins b2.ins mibdf.ins mgmt.ins tools.ins vip.ins view.ins pix.ins

dist: dist.tim dist.exe dist.src

dist.source: dist.tim dist.src 

dist.tim:
        date <NUL: >release

dist.exe:
	cd ..
        $(ZIP) -r btngexe.zip btng\readme.1st
        $(ZIP) -r btngexe.zip btng\release
        $(ZIP) -r btngexe.zip btng\bin\* btng\lib\*
        $(ZIP) -r btngexe.zip btng\doc\* btng\init\* btng\mibhome\* btng\perl\*
        $(ZIP) -r btngexe.zip btng\snm\* btng\sh\* btng\tcl\*
	cd btng

dist.src:
	cd ..
        $(ZIP) -r btngsrc.zip btng\readme.1st 
        $(ZIP) -r btngsrc.zip btng\release
        $(ZIP) -r btngsrc.zip btng\bin\readme btng\lib\readme
        $(ZIP) -r btngsrc.zip btng\include\readme btng\man\readme
        $(ZIP) -r btngsrc.zip btng\gcc_os2.mak btng\gcc_unx.mak btng\msc_os2.mak
        $(ZIP) -r btngsrc.zip btng\doc\* btng\init\* btng\mibhome\* btng\mib\* btng\perl\*
        $(ZIP) -r btngsrc.zip btng\block\* btng\dnpap\* btng\snmp\* btng\mibdf\* btng\mgmt\* btng\tools\*
        $(ZIP) -r btngsrc.zip btng\snm\* btng\sh\* btng\tcl\*
        $(ZIP) -r btngsrc.zip btng\b2\* btng\vip\* btng\view\* btng\pix\*
	cd btng

block.ins:
        @cd block
        $(MAKE) -f msc_os2.mak install $(OPTIONS) 
        @cd ..

dnpap.ins:
        @cd dnpap 
        $(MAKE) -f msc_os2.mak install $(OPTIONS) 
        @cd ..

snmp.ins:
        @cd snmp  
        $(MAKE) -f msc_os2.mak install $(OPTIONS)  
        @cd ..

b2.ins:
        @cd b2 
        $(MAKE) -f msc_os2.mak install $(OPTIONS)  
        @cd ..

mibdf.ins:
        @cd mibdf 
        $(MAKE) -f msc_os2.mak install $(OPTIONS)  
        @cd ..

mgmt.ins:
        @cd mgmt 
        $(MAKE) -f msc_os2.mak install $(OPTIONS)  
        @cd ..

tools.ins:
        @cd tools 
        $(MAKE) -f msc_os2.mak install $(OPTIONS)  
        @cd ..

vip.ins:
        @cd vip
        $(MAKE) -f msc_os2.mak install $(OPTIONS)  
        @cd ..

view.ins:
        @cd view
        $(MAKE) -f msc_os2.mak install $(OPTIONS)  
        @cd ..

pix.ins:
        @cd pix
        $(MAKE) -f msc_os2.mak install $(OPTIONS)  
        @cd ..


veryclean: clean
        $(RM) $(LIBDIR)\*.lib
        $(RM) $(LIBDIR)\*.bak
        $(RM) $(INCDIR)\*.h
        $(RM) $(INCDIR)\standard.mak
        $(RM) $(MAN)\*.man

clean: block.cln dnpap.cln snmp.cln b2.cln mibdf.cln mgmt.cln tools.cln vip.cln view.cln pix.cln

block.cln:
        @cd block
        $(MAKE) -f msc_os2.mak clean $(OPTIONS) 
        @cd ..

dnpap.cln:
        @cd dnpap 
        $(MAKE) -f msc_os2.mak clean $(OPTIONS) 
        @cd ..

snmp.cln:
        @cd snmp  
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)  
        @cd ..

b2.cln:
        @cd b2 
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)  
        @cd ..

mibdf.cln:
        @cd mibdf 
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)  
        @cd ..

mgmt.cln:
        @cd mgmt 
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)  
        @cd ..

tools.cln:
        @cd tools 
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)  
        @cd ..

vip.cln:
        @cd vip
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)  
        @cd ..

view.cln:
        @cd view
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)  
        @cd ..

pix.cln:
        @cd pix
        $(MAKE) -f msc_os2.mak clean $(OPTIONS)  
        @cd ..
