/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _NWBPF_H
#define _NWBPF_H
    

#include <sys/types.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <net/if.h>
#include <bpf.h>

#include <block.h>
#include <dnpap.h>

#include "nw.h"
            

#define NWBPF_SIZE_ENTRY		32
#define NWBPF_SIZE_INTERFACE	32
#define NWBPF_SIZE_PACKET		2048
#define NWBPF_SIZE_ADDRESS		6

#define NWBPFDEVICE		"bpf"

                      
enum NwBpfErrors
{
    NWBPF_OK = NW_ERROR, 
    NWBPF_PARAM, NWBPF_OPEN, NWBPF_NEWBPF, NWBPF_INIT,
    NWBPF_SETUP,  NWBPF_IOCTL, NWBPF_BLOCK,
    NWBPF_ADDLIST, NWBPF_SEND, NWBPF_READ, 
    NWBPF_WEVENT, NWBPF_EEVENT, NWBPF_NEVENT,
	NWBPF_CONFIG
};


typedef struct bpf_stat		BPFSTAT;
typedef struct bpf_program	PROGRAM;
typedef struct bpf_hdr 		BPFHDR;


extern NW_DG_IFACE BpfDgIface;


#endif
