/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _NWENI_H
#define _NWENI_H
    

#include "nw.h"
            

#define NWENI_SIZE_ENTRY       256
#define NWENI_SIZE_INTERFACE   128
#define NWENI_SIZE_PACKET     9182
#define NWENI_SIZE_ADDRESS       6


enum NwEniErrors
{
    NWENI_OK = NW_ERROR, 
    NWENI_PARAM, NWENI_INIT,
    NWENI_OPEN, NWENI_SETUP, NWENI_IOCTL, 
    NWENI_NEWENI, 
    NWENI_ADDLIST, NWENI_BLOCK,
    NWENI_READ, NWENI_SEND,     
    NWENI_WEVENT, NWENI_EEVENT, NWENI_NEVENT,
	NWENI_CONFIG
};


extern NW_DG_IFACE EniDgIface;


#endif
