/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _NWETH_H
#define _NWETH_H
    

#include <sys/types.h>
#include <sys/time.h>
#include <net/if.h>

#include <block.h>
#include <dnpap.h>

#include "nw.h"
            

#define NWETH_SIZE_ENTRY        32
#define NWETH_SIZE_INTERFACE    32
#define NWETH_SIZE_PACKET     2048
#define NWETH_SIZE_ADDRESS       6

#define NWETH_DEFAULT_FLAGS		(IFF_PROMISC)

                      
enum NwEthErrors
{
    NWETH_OK = NW_ERROR, 
    NWETH_PARAM, NWETH_OPEN, NWETH_NEWETH, NWETH_INIT,
    NWETH_SETUP,  NWETH_IOCTL, NWETH_BLOCK,
    NWETH_ADDLIST, NWETH_SEND, NWETH_READ, 
    NWETH_WEVENT, NWETH_EEVENT, NWETH_NEVENT,
	NWETH_CONFIG
};


extern NW_DG_IFACE EthDgIface;


#endif
