/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _NWPF_H
#define _NWPF_H
    

#include <sys/types.h>
#include <sys/time.h>
#include <net/pfilt.h>

#include <block.h>
#include <dnpap.h>

#include "nw.h"
            

#define NWPF_SIZE_ENTRY        32
#define NWPF_SIZE_INTERFACE    32
#define NWPF_SIZE_PACKET     2048
#define NWPF_SIZE_ADDRESS       6

#define NWPF_DEFAULT_FLAGS      (ENTSTAMP | ENBATCH | ENNONEXCL | ENCOPYALL)

#define NWPFDEVICE      "pf0"

                      
enum NwPfErrors
{
    NWPF_OK = NW_ERROR, 
    NWPF_PARAM, NWPF_OPEN, NWPF_NEWPF, NWPF_INIT,
    NWPF_SETUP,  NWPF_IOCTL, NWPF_BLOCK,
    NWPF_ADDLIST, NWPF_SEND, NWPF_READ, 
    NWPF_WEVENT, NWPF_EEVENT, NWPF_NEVENT,
	NWPF_CONFIG
};


typedef struct enstamp ENSTAMP;
typedef struct enfilter ENFILTER;
typedef struct endevp ENDEVP;


extern NW_DG_IFACE PfDgIface;


#endif
