#!/usr/local/bin/perl

# this program is a demonstration of the Tricklet 
# perl interface made by the DNPAP group of
# the Technical University Delft, The Netherlands.
# 
require "spook.pl";
#
# handle the arguments
#
if( @ARGV>3 )
{
	die 	"call as:  perl demoget.pl [<host> <community> [<medium>]\n" ,
		" where:\n" ,
		"	<host>		name of RMON monitor\n" ,
		"	<community>	community name for creating collectors\n",
		"	<medium>	UDP or PIPE\n";
}
($iniHost , $iniComm , $iniMed , @rest) = @ARGV;
#
# open a SNMP connection 
#
&snmp_open(1) || die "cant open a Spook connection\n";
if($iniHost ne "") { &snmp_host(1,$iniHost);}
if($iniMed ne "")  {&snmp_medium(1,$iniMed);}
&snmp_connect(1) || die "could't connect to ($iniHost,$iniMed)";
if($iniComm ne "") {&snmp_community(1,$iniComm);}
#
#collect and print some SNMP variables
#
@ret = &snmp_getnext(1,"sysDescr");
printf("sysDescr->%s[%d]=%s\n",$ret[0],$ret[1],$ret[2]);
@ret = &snmp_getnext(1,("sysDescr","sysUpTime"));
printf("1:%s[%d]=%s\n2:%s[%d]=%s\n",
	$ret[0],$ret[1],$ret[2],
	$ret[3],$ret[4],$ret[5]);
#
# close the SNMP connection
#
&snmp_disconnect(1);
&snmp_close(1);
