#
# demonstration handling of the DiscConn Output
#
dbmopen(%EtherIP,"EtherIp",0644);
while(<>)
{
  ($id , $descr, @args) = split(/ /,$_);

  Switch:
  {
      $descr eq "discEthernetConnSD" && do 
        { &discEthernetConnSD($id,@args); last Switch};
      $descr eq "discIPConnSD" && do 
        { &discIPConnSD($id,@args); last Switch};
      $descr eq "discConnControlStart" && do 
        { &discConnControlStart($id,@args); last Switch};
      $descr eq "discConnControlEnd" && do   
        { &discConnControlEnd($id,@args); last Switch};
      $nothing = 1;
  }
}
dbmclose(%EtherIP);

sub discConnControlStart
{
    ($id,$time,$Index,$DataSource,$TotalConnections,
     $EthernetConnections,$IPConnections,$UDPConnections,
     $TCPConnections,$LastDeleteTime,$Owner,$Status) = @_;

    print "Starting Analysing Data File $id, $time\n";

    return 1;
}
sub discConnControlEnd
{
    ($id,$time,$Index,$DataSource,$TotalConnections,
     $EthernetConnections,$IPConnections,$UDPConnections,
     $TCPConnections,$LastDeleteTime,$Owner,$Status) = @_;

    print "Ending Analysing Data File $id, $time\n";

    return 1;
}

sub discEthernetConnSD
{
    ($id,$Source,$Destination,$Index,$Pkts,$Octets,$LRUTime) = @_;

    if($Pkts > 10)
    {
	print "$Source <--> $Destination, $Pkts\n";
    }
}

sub discIPConnSD
{
    ($id,$EthernetSource,$Source,$EthernetDestination,$Destination,
     $Index,$Pkts,$Octets,$LRUTime) = @_;

    # very buggy. Double registers, broadcast fail
    # update the EtherIP table
    if($EthernetSource ne "ff:ff:ff:ff:ff:ff")
    {
	$tmp = $EtherIP{$EthernetSource};
	if( index($tmp,$Source) == -1)
	{
	    $EtherIP{$EthernetSource} = 
		$tmp . " " . $Source;
	}
    }
    if($EthernetDestination ne "ff:ff:ff:ff:ff:ff")
    {
	$tmp = $EtherIP{$EthernetDestination};
	if( index($tmp,$Destination) == -1)
	{
	    $EtherIP{$EthernetDestination} = 
		$tmp . " " . $Destination;
	}
    }

    if($Pkts > 100)
    {
	print "$Pkts $Source ";
	@lst = split(/:/,$Source);
	@addr = (hex($lst[0]) , hex($lst[1]) , hex($lst[2]) , hex($lst[3]));
	print join("." , @addr) . " " ;
	print join(":" , @lst) . " ";
	($name,$aliases,$addrtype,$length,@addrs) =gethostbyaddr(pack("C4",@addr),2);
	print $name;
	print "\n";
    }
}
