#!/usr/local/bin/perl
#########################################################################
## MODULE INFORMATION#
######################
##     FILE     NAME:       eventtst.pl
##     SYSTEM   NAME:       eventtst
##     ORIGINAL AUTHOR(S):  Jan van Oorschot
##     VERSION  NUMBER:     1.00
##     CREATION DATE:       Thu Jul 14 16:14:55 1994
##
## DESCRIPTION: test the event collector
##              
#########################################################################
## CHANGE INFORMATION ##
#########################
##      JvO - Jul 14, 1994:  Created
#########################################################################
require "spook.pl";	   
require "rmon/rmon.pl";
require "rmon/event.pl";

@ErrorMessage =
(
"call as:  perl eventtst.pl",
"              <eventDescription>",
"              <eventType>",
"              <eventCommunity>",
"              [host community]"
);

$ires = &snmp_commandline_open(1,3,@ARGV);
if($ires == -1){ foreach $line (@ErrorMessage) { print "$line\n";};exit;};
  (
              $iniEventDescription,
              $iniEventType,
              $iniEventCommunity
  ) = @ARGV;
#
# do the filter Thingy
#
$iniColl = &eventCreator( 1, $iniOwnerString , 
              $iniEventDescription,
              $iniEventType,
              $iniEventCommunity
	   ) || die "could not create collector" ;

&eventGardner(1,$iniColl,"eventtst",STDOUT);

&eventTerminator(1,$iniColl,$iniOwnerString);


&snmp_close(1);



