#!/usr/local/bin/perl --*- Perl -*--
#########################################################################
## MODULE INFORMATION#
######################
##     FILE     NAME:       timertst.pl
##     SYSTEM   NAME:       timertst
##     ORIGINAL AUTHOR(S):  Jan van Oorschot
##     VERSION  NUMBER:     1.00
##     CREATION DATE:       Wed Jul 20 10:44:24 1994
##
## DESCRIPTION: test the timer library
##              
#########################################################################
## CHANGE INFORMATION ##
#########################
##      JvO - Jul 20, 1994:  Created
#########################################################################
require "timer.pl";

&TimerInit();			

&TimerPush("timer1",time()+10,"arg1");
&TimerPush("timer2",time()+20,"arg2");
&TimerPush("timer3",time()+30,"arg3");
&TimerPush("timer4",time()+30,"arg4");


while($nxt = &TimerNext())
{
    sleep($nxt - time());
    @evs = &TimerEvents($nxt);
    foreach $ev (@evs)
    {
	($id,$time,$args) = &TimerPop($ev);
	print("Event <$id,$time,$args>\n");
    }
}
