# split in- or output list into separate varbinds
VarbindSplit()
{
	(IFS="; "; set - "$*"; echo $*)
}


# extract name from a varbind
VarbindName()
{
	echo "$*" | awk '{ if (match($0, "[a-zA-Z]+")) print substr($0, RSTART, RLENGTH); else print "" }'
}


# extract index from a varbind
VarbindIndex()
{
	echo "$*" | awk '{ if (match($0, "\[[0-9\.]+\]")) print substr($0, RSTART+1, RLENGTH-2); else print "" }'
}


# extract value from a varbind
VarbindValue()
{
	echo "$*" | awk '{ if (i = index($0, "=")) print substr($0, i+1); else print "" }'
}
