/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#include <dnpap.h>
#include <memory.h>
#include <string.h>

#include "defs.h"
#include "funcs.h"

BOOLEAN Basename(BYTE * name, BYTE * base, INT size)
{
	int i, n, l;

	l = strlen(name);
	i = l;
	while (i >= 0 && name[i] != '.')
		i--;
	if (i <= 0)
		i = l;
	n = 0;
	while (i >= 0 && name[i] != '\\' && name[i] != '/')
	{
		i--;
		n++;
	}
	i++;
	n--;
	if (n >= size)
		return FALSE;
	memcpy(base, name + i, (size_t) n);
	base[n] = '\0';
	return TRUE;
}
