include ../../include/gcc_unx.std

SYS     = nwxmp
SYSLIB  = nwxmp

all: nwround nwecho nwthrough nwxmp nwaecho

nwround: nwround.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwround nwround.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -latm

nwecho: nwecho.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwecho nwecho.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -latm

nwthrough: nwthrough.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwthrough nwthrough.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -latm

nwxmp: nwxmp.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwxmp nwxmp.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -lsnmp -latm

nwaecho: nwaecho.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwaecho nwaecho.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -latm

nwasend: nwasend.o $(LIBDIR)/libnw.a $(LIBDIR)/libblock.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a
	$(LN) $(CFLAGS) -o nwasend nwasend.o $(LDFLAGS) -lnw -lblock -ldnpap -ldnpapx -latm

clean:
	- $(RM) *.o
	- $(RM) *.a
	- $(RM) *.exe
	- $(RM) core
	- $(RM) nwround
	- $(RM) nwthrough
	- $(RM) nwasend
	- $(RM) nwecho
	- $(RM) nwaecho
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak
	- $(RM) *~

install: $(BINDIR)/nwround $(BINDIR)/nwecho $(BINDIR)/nwthrough 

$(BINDIR)/nwround: nwround
	$(CP) nwround $(BINDIR)/nwround

$(BINDIR)/nwecho: nwecho
	$(CP) nwecho $(BINDIR)/nwecho

$(BINDIR)/nwthrough: nwthrough
	$(CP) nwthrough $(BINDIR)/nwthrough

