/************************************************************************
** MODULE INFORMATION*
**********************
**     FILE     NAME:       nwxmp.h
**     SYSTEM   NAME:       nwxmp
**     ORIGINAL AUTHOR(S):  Jan van Oorschot
**     VERSION  NUMBER:     1.00
**     CREATION DATE:       Tue Dec  7 19:20:26 1993
**
** DESCRIPTION: nw demo system
**              
*************************************************************************
** CHANGE INFORMATION **
*************************
**      JvO - Dec 7, 1993:  Created
*************************************************************************/

typedef struct _frame FRAME;

struct _frame
{
    ULONG type;			/* measurement type */
    ULONG id;			/* measurement id */
    ULONG cnt;			/* sequence number */
    ULONG l1;			/* length from sender to receiver */
    ULONG l2;			/* length from receiver to sender */
    ULONG t1;			/* send at sender */
    ULONG t2;			/* received at receiver  */
    ULONG t3;			/* send at receiver */
    ULONG t4;			/* received at sender */
};

#define MAX_LEN	10000
#define MAX_NR	2000000

#define TYPE_ECHO 	1
#define TYPE_THROUGH 	2
#define TYPE_REQUEST	3
