include ./dnpap/dnpap/gcc_unx.std

SYS     = btng
SYSLIB  = btng

all: install

install: dnpap.ins block.ins snmp.ins nw.ins mibdf.ins mgmt.ins tools.ins 

dnpap.ins:                                                                
	@cd dnpap $(SEP) $(MAKE) -f gcc_unx.mak install  $(SEP) cd ..

nw.ins:
	@cd nw $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

block.ins:
	@cd block $(SEP) \
	$(MAKE) -f gcc_unx.mak install $(OPTIONS)   $(SEP) \
	cd ..

snmp.ins:
	@cd snmp  $(SEP) $(MAKE) -f gcc_unx.mak install   $(SEP) cd ..

mibdf.ins:
	@cd mibdf $(SEP) $(MAKE) -f gcc_unx.mak install   $(SEP) cd ..

mgmt.ins:
	@cd mgmt $(SEP) $(MAKE) -f gcc_unx.mak install   $(SEP) cd ..

tools.ins:
	@cd tools $(SEP) $(MAKE) -f gcc_unx.mak install   $(SEP) cd ..

veryclean: clean
	-$(RM) $(LIBDIR)/*.a
	-$(RM) $(INCDIR)/*.h
	-$(RM) $(INCDIR)/gcc_unx.std
	-$(RM) $(INIDIR)/*.ini
	-$(RM) $(MANDIR)/*.man

clean: nw.cln block.cln dnpap.cln snmp.cln mibdf.cln mgmt.cln tools.cln 


nw.cln:
	@cd nw $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)  $(SEP) \
	cd ..

block.cln:
	@cd block $(SEP) \
	$(MAKE) -f gcc_unx.mak clean $(OPTIONS)   $(SEP) \
	cd ..

b2.cln:
	@cd b2 $(SEP) $(MAKE) -f gcc_unx.mak clean  $(SEP) cd ..

dnpap.cln:
	@cd dnpap $(SEP) $(MAKE) -f gcc_unx.mak clean  $(SEP) cd ..

snmp.cln:
	@cd snmp  $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

mibdf.cln:
	@cd mibdf $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

mgmt.cln:
	@cd mgmt $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

tools.cln:
	@cd tools $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

vip.cln:
	@cd vip $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..

view.cln:
	@cd view $(SEP) $(MAKE) -f gcc_unx.mak clean   $(SEP) cd ..


dist: fastclean release distribution

fastclean:
	@-fastclean.all 2>&1 > /dev/null

release:
	@date > RELEASE
	
distribution:
	@cd .. $(SEP)  $(MAKE) -f btng_unx.mak distribution
